<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/**************************/
/* Cration d'une session */
/**************************/
function login_process($login, $passwd){
	// Ncessaire  l'excution du script
	global $SALT, $DATE, $SESSION_EXPIRE, $LANG, $REMOTE_ADDR;
	// Valeur de retours  sauvegarder
	global $ID_SESS, $DROIT, $PRIV, $ATK_LOGIN, $ATK_PASSWD, $ATKSESSID;
	global $PHP_SESS_ENABLED;
	
	// On crypte le password donn pour faire une comparaison
	$passwd=crypt($passwd,$SALT);
	// Recherche si le login/password existe dans la table users
	$query = "
		SELECT atk_users.login, atk_users.admin
		FROM atk_users
		WHERE login='$login' AND passwd='$passwd'";
	$sql = dbquery($query);

	// Si il existe et password correcte alors
	if($row = mysql_fetch_array($sql)){

		$nb = dbgetfirst("SELECT count(*) FROM atk_admin WHERE login='$login'");
		// Si c'est bien un admin quelque part alors
		if($nb OR $row["admin"]){
			
			// Supprime les sessions expires
			dbquery("DELETE FROM atk_sessions WHERE expire < $DATE");
	
			if($PHP_SESS_ENABLED){

				$ATK_LOGIN = $row["login"]; // Rcupre le login avec la bonne casse
				$ATK_PASSWD = $passwd;
				$_SESSION["SESS_LOGIN"] = $ATK_LOGIN;
				$_SESSION["SESS_PASSWD"] = $ATK_PASSWD;
				
				// Cre un ID de session unique
				$ID_SESS=md5(uniqid(rand()));
				$_SESSION["SESS_ID"][0] = $ID_SESS;
	
				// $droit de l'admin
				$DROIT = $row["admin"];
				$PRIV = strrev(decbin($DROIT));
	
				// Insre le nouveau $ATK_LOGIN dans la table de session
				$query = "
					INSERT INTO atk_sessions
					(id,session,ip,forum,user,expire,droit)
					VALUES ('$ID_SESS', '$ATKSESSID', '$REMOTE_ADDR', 0,
					'$ATK_LOGIN', $SESSION_EXPIRE, $DROIT)";
				dbquery($query);
	
				$message=$LANG["ADMIN-LOG-OK"];

			} else {
	
				$ATK_LOGIN = $row["login"]; // Rcupre le login avec la bonne casse
				// Cre un ID de session unique
				$ID_SESS=md5(uniqid(rand()));
				// et l'envoie par cookie
				setcookie("ATK_ADMIN",$ID_SESS);
				// $droit de l'admin
				$DROIT = $row["admin"];
				$PRIV = strrev(decbin($DROIT));
				// Insre le nouveau $ATK_LOGIN dans la table de session
				$query = "
					INSERT INTO atk_sessions
					(id,ip,forum,user,expire,droit)
					VALUES ('$ID_SESS', '$REMOTE_ADDR', 0,
					'$ATK_LOGIN', $SESSION_EXPIRE, $DROIT)";
				dbquery($query);
				$message=$LANG["ADMIN-LOG-OK"];
			}
		}

	}

	if(empty($message)) $message=$LANG["ADMIN-LOG-ERROR"];

	return $message;
}

/*************************/
/* Dconnexion d'un user */
/*************************/
function disconnect_process(){
	global $LANG, $ID_SESS, $DROIT, $ATK_LOGIN;

	// Supprime le $ATK_LOGIN qui se dconnecte de la table sessions
	dbquery("DELETE FROM atk_sessions WHERE user='$ATK_LOGIN' AND forum=0");
	// Supprime tous les cookies, sauf pour le last_visit
	$_SESSION["SESS_LOGIN"] = "nobody";
	$_SESSION["SESS_PASSWD"] = "";
	$_SESSION["SESS_ID"][0] = "";
	$ATK_LOGIN = "nobody";
	$ATK_PASSWD = "";
			
	$DROIT=0;
	$ID_SESS="";
	
	// Supprime le cookie de session
	setcookie("ATK_ADMIN");

	return $LANG["ADMIN-DISCONNECT-CONFIRM"];
}

/******************/
/* Cre un membre */
/******************/
function subscribe($login, $passwd, $passwd2, $email){
	global $LANG, $ATK_LOGIN, $DATE, $SALT;

	// Vrification de la validit des renseignements fournis
	if($passwd!=$passwd2)
		$message=$LANG["SUBSCRIBE-PASSWD-ERROR"];
	if(strlen($passwd)<4)
		$message=$LANG["SUBSCRIBE-PASSWD-ERROR-2"];
	if(!(eregi("^[_\.0-9a-z-]+@([0-9a-z-]+\.)+[a-z]{2,4}$",$email)))
		$message=$LANG["SUBSCRIBE-EMAIL-ERROR"];
	if(strlen($login)<2)
		$message=$LANG["SUBSCRIBE-LOGIN-ERROR"];
	if(ereg("[[:punct:]]", $login))
		$message = $LANG["SUBSCRIBE-LOGIN-ERROR-3"];
	if(empty($message) && (user_exist($login) || $login=="nobody"))
		$message=$LANG["SUBSCRIBE-LOGIN-ERROR-2"];

	if(empty($message)){
		$passwd = crypt($passwd, $SALT);
		$query = "
			INSERT INTO atk_users
			(login,passwd,email,subscribe,owner,admin,signature,other)
			VALUES ('$login','$passwd','$email',$DATE,'$ATK_LOGIN',0,'','')";
		dbquery($query);	
		$message = $LANG["ADMIN-SUBSCRIBE-OK"];
	}
	
	return $message;
}

/*******************************/
/* Cration d'un nouveau forum */
/*******************************/
function create_forum($filename, $title, $passwd, $subject, $style, $structure){
	global $DATE, $LANG, $PRIV, $SALT, $DEF_LANG, $ATK_LOGIN, $BY_ID;

	// Vrifie les droits
	if(empty($PRIV[0])) error(10);

	// Si gestion par fichier, on vrifie que le fichier n'existe pas dj
	if(!$BY_ID && !empty($filename) && file_exists($filename . ".php")) $err=1;
	if(empty($title)) $err=1;
	if(empty($style)) $err=1;

	// Si pas d'erreur on cre le forum
	if(empty($err)){

		// Initialisation de certaines donnes
		if(!$BY_ID) $filename .= ".php";
		else $filename="";
		if($passwd) $passwd=crypt($passwd,$SALT);

		// On rcupre les infos du style  appliquer
		$style_type = substr($style, 0, 3);
		$style_id = substr($style, 4);

		// Vrifie l'existence d'un index pour ce user
		// Et rcupre l'id de la catgorie
		$query="SELECT count(*) FROM atk_index WHERE owner='$ATK_LOGIN'";
		$nb=dbgetfirst($query);
		if(empty($nb)){
			$query = "
				INSERT INTO atk_index (owner, title, language, intro, status, meta_description)
				VALUES ('$ATK_LOGIN','" . $LANG["INDEX-TITLE"] . "','$DEF_LANG', '', '', '')";
			dbquery($query);
			// On applique le style choisi pour le forum
			if($style_type == "xml") index_xml($ATK_LOGIN, $style_id);
			if($style_type == "fid") index_copy_forum($ATK_LOGIN, $style_id);
			$query = "
				INSERT INTO atk_category (owner, title,order_cat)
				VALUES ('$ATK_LOGIN','" . $LANG["CAT-TITLE"] . "',0)";
			dbquery($query);
			$category=mysql_insert_id();
			$order_cat=0;
		} else {
			$query="SELECT MIN(id) FROM atk_category WHERE owner='$ATK_LOGIN'";
			$category=dbgetfirst($query);
			// Rcupre l'order du forum cr
			$query = "SELECT MAX(order_cat) FROM atk_forums WHERE owner='$ATK_LOGIN' AND category=$category";
			$order_cat = dbgetfirst($query);
			$order_cat++;
		}
		
		// On cr le forum dans la base
		$query = "
			INSERT INTO atk_forums (category,order_cat,date,filename,passwd,title,subject,language, owner, structure,intro,log_login,alert_mail,other_profile,status,meta_description)
			VALUES ($category, $order_cat, $DATE, '$filename', '$passwd', \"$title\", \"$subject\", '$DEF_LANG', '$ATK_LOGIN', $structure,'','','','','','')";
		dbquery($query);
		$id = mysql_insert_id();

		// On donne les droits sur ce forum au crateur si besoin
		if(empty($PRIV[4])){
			$query="INSERT INTO atk_admin VALUES ('$ATK_LOGIN', $id, 255)";
			dbquery($query);
		}

		// Le crateur devient membres d'origine de ses forums
		$query="UPDATE atk_users SET owner='$ATK_LOGIN' WHERE login='$ATK_LOGIN'";
		dbquery($query);

		// On cre un fichier pour le forum si besoins
		if(!$BY_ID){
			$file=fopen($filename,'w');
				fwrite($file,"<?\n");
				fwrite($file,"\$FORUM=$id;");
				fwrite($file,"\n");
				fwrite($file,"include(\"./forum/main.php\");");
				fwrite($file,"\n?>");
			fclose($file);
		}

		// On applique le style choisi
		if($style_type == "xml") forum_xml($id, $style_id);
		if($style_type == "fid") forum_copy($style_id, $id);

		// On initialise le lien vers le nouveau forum pour l'affichage
		if($BY_ID) $message=str_replace("%filename", "./forum.php?fid=$id", $LANG["ADMIN-NEW-OK"]);
		else $message=str_replace("%filename", $filename, $LANG["ADMIN-NEW-OK"]);

	} else $message=$LANG["ADMIN-FILENAME-ERROR"];

	return $message;
}

/******************************************************/
/* Suppression d'un forum                             */
/* On ne supprime pas les membres d'un forum supprim */
/******************************************************/
function delete_forum($idel){
	global $LANG, $PRIV, $ATK_LOGIN, $BY_ID;

	$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$idel";
	$priv = dbgetfirst($query);
	$priv = strrev(decbin($priv));
	if(empty($PRIV[1]) AND empty($priv[4])) error(11);

	// Dcale les order des forums
	$query = "SELECT category, order_cat FROM atk_forums WHERE id=$idel";
	$row = dbgetline($query);
	$id_cat = $row["category"];
	$order_cat = $row["order_cat"];
	$query="UPDATE atk_forums SET order_cat=order_cat-1 WHERE order_cat>$order_cat AND category=$id_cat";
	dbquery($query);
	
	// Rcupre le propritaire du forum
	$query = "SELECT owner FROM atk_forums WHERE id=$idel";
	$owner = dbgetline($query);
	
	// Supprime l'index si il n'y a plus de forum
	$query = "
		SELECT COUNT(atk_forums.id)
		FROM atk_forums
		WHERE atk_forums.owner='$owner'";
	$nb = dbgetfirst($query);
	if($nb<2){
		dbquery("DELETE FROM atk_category WHERE owner='$owner'");
		dbquery("DELETE FROM atk_index WHERE owner='$owner'");
	}
	
	// Mets  jour le nombre de posts des membres
	$query = "SELECT sender, count(id) FROM atk_posts WHERE forum='$idel' GROUP BY sender";
	$sql = dbquery($query);
	while($row = mysql_fetch_array($sql))
		dbquery("UPDATE atk_users SET nb_post = nb_post - " . $row[1] . " WHERE login = \"" . $row[0] . "\"");

	// Supprime tous ses droits admin
	dbquery("DELETE FROM atk_admin WHERE forum=$idel");
	// Supprime toutes ses sessions
	dbquery("DELETE FROM atk_sessions WHERE forum=$idel");
	
	// Supprime les sondages
	$query = "SELECT DISTINCT id_poll FROM atk_posts WHERE forum = $idel";
	$sql = dbquery($query);
	while($row=mysql_fetch_array($sql)){
		dbquery("DELETE FROM atk_polls WHERE id_poll = " . $row[0]);
		dbquery("DELETE FROM atk_votes WHERE id_poll = " . $row[0]);
	}
	
	// Supprime tous ses posts
	dbquery("DELETE FROM atk_posts WHERE forum=$idel");

	// Supprime le fichier si il existe
	$query = "SELECT filename FROM atk_forums WHERE id=$idel";
	$filename = dbgetfirst($query);
	if(!empty($filename)){
	    $tmp = error_reporting(E_ALL & ~(E_ERROR | E_WARNING | E_PARSE | E_NOTICE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_USER_ERROR | E_USER_WARNING | E_USER_NOTICE));
		$error = @unlink($filename);
		error_reporting($tmp);
	}
	if(!$BY_ID && !empty($error)) $error=0;
	
	// Supprime le forum
	dbquery("DELETE FROM atk_forums WHERE id=$idel");

	if(empty($error)) return $LANG["ADMIN-DEL-FORUM"];
	else return $LANG["ADMIN-DEL-FORUM-WITHOUT-UNLINK"];
}

/******************************************/
/* Modification d'un password d'un $login */
/******************************************/
function chg_passwd($passwd, $login){
	global $LANG, $SALT, $PRIV, $ATK_LOGIN, $ASSIGN_MEMBERS;

	if(empty($PRIV[4])){

		// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
		$flag=0;
		switch($ASSIGN_MEMBERS){
			// Tous les membres appartiennent  tous les forums
			case 0:

				$query = "
					SELECT atk_admin.droit
					FROM atk_admin
					WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;

			// Les membres sont regroups par propritaire
			case 1:
			case 2:
				// On cherche le propritaire du $login
				$query = "SELECT atk_users.owner FROM atk_users WHERE atk_users.login='$login'";
				$owner = dbgetfirst($query);

				// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin, atk_forums
					WHERE atk_admin.login = '$ATK_LOGIN'
					AND atk_admin.forum = atk_forums.id
					AND atk_forums.owner = '$owner'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;
		}

		if(!$flag) error(12);
	}

	// On change le password aprs vrification de sa longueur
	if(strlen($passwd)>3){
		$passwd=crypt($passwd,$SALT);
		// Met  jour le password dans la base
		dbquery("UPDATE atk_users SET passwd='$passwd' WHERE login='$login'");
		$message=$LANG["ADMIN-PASSWD-OK"];
	} else $message=$LANG["ADMIN-PASSWD-ERROR"];

	return $message;
}

/**************************************/
/* Suppression d'un $login des tables */
/**************************************/
function del_user($login){
	global $LANG, $PRIV, $ASSIGN_MEMBERS, $ATK_LOGIN;

	if(empty($PRIV[4])){

		// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
		$flag=0;
		switch($ASSIGN_MEMBERS){
			// Tous les membres appartiennent  tous les forums
			case 0:
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin
					WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;

			// Les membres sont regroups par propritaire
			case 1:
			case 2:
				// On cherche le propritaire du $login
				$query = "SELECT atk_users.owner FROM atk_users WHERE atk_users.login='$login'";
				$owner = dbgetfirst($query);

				// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin, atk_forums
					WHERE atk_admin.login = '$ATK_LOGIN'
					AND atk_admin.forum = atk_forums.id
					AND atk_forums.owner = '$owner'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;
		}

		if(!$flag) error(13);
	}

	// On vrifie qu'on ne supprime pas un admin
	$flag=0;
	// Vrifie qu'on ne supprime pas un admin majeur
	$query = "SELECT admin FROM atk_users WHERE login='$login'";
	$major = dbgetfirst($query);
	// Vrifie que $login n'est pas un admin mineur
	$query = "SELECT COUNT(*) FROM atk_admin WHERE login='$login'";
	$minor = dbgetfirst($query);
	// Vrifie que $login n'a pas d'index
	$query = "SELECT COUNT(*) FROM atk_index WHERE owner='$login'";
	$index = dbgetfirst($query);

	if(!$major && !$minor && !$index){
	
		// Renomme les utilisateurs
		$sql = dbquery("SELECT login FROM atk_users WHERE owner='$login' AND admin=0");
		while($row = mysql_fetch_array($sql)){
			$user = $row["login"];
			delete_avatar($user);
			dbquery("UPDATE atk_posts SET sender='nobody' WHERE sender='$user'");
			dbquery("DELETE FROM atk_inbox WHERE sender='$user' OR recipient='$user'");
			dbquery("DELETE FROM atk_sessions WHERE user='$user'");
			dbquery("DELETE FROM atk_admin WHERE login='$user'");
		}
		// Supprime les utilisateurs
		dbquery("DELETE FROM atk_users WHERE owner='$login'");
	
		// Modify les auteurs de tous les posts
		dbquery("UPDATE atk_posts SET sender='nobody' WHERE sender='$login'");
		// Supprime le users et ses sessions
		dbquery("DELETE FROM atk_users WHERE login='$login'");
		dbquery("DELETE FROM atk_sessions WHERE user='$login'");
		delete_avatar($login);
	}
}

/*********************************************/
/* Suppression des droits majeur d'un $login */
/*********************************************/
function del_admin($login){
	global $PRIV, $DROIT;

	if(empty($PRIV[5])) error(14);

	// Vrifie qu'on ne supprime pas le dernier super admin
	$flag=1;
	$query = "SELECT admin FROM atk_users WHERE login='$login'";
	$major = dbgetfirst($query);
	if($major==63){
		$query = "SELECT COUNT(*) FROM atk_users WHERE admin=63";
		$nb = dbgetfirst($query);
		if($nb<2) $flag=0;
	}

	// Suppression des droits major d'un admin
	if($flag) dbquery("UPDATE atk_users SET admin=0, more='' WHERE login='$login'");
}

/*****************************************/
/* Intertion de droits major d'un $login */
/*****************************************/
function insert_admin($login, $priv){
	global $PRIV, $LANG;

	if(empty($PRIV[5])) error(15);

	// Reconstitue l'entier qui correspond aux droits major du nouvel admin
	$privileges=0;
	for($i=0;$i<count($priv);$i++){
		if(isset($priv[$i]) AND isset($PRIV[$priv[$i]]) AND $PRIV[$priv[$i]]){
			$tmp=pow(2, (int)$priv[$i]);
			$privileges=$privileges+$tmp;
		}
	}

	// On met  jour les droit du $login
	dbquery("UPDATE atk_users SET admin=$privileges, more='" . $LANG["ADMIN-MORE"] . "' WHERE login='$login'");

	// Si tous les droits sur tous les forums, on supprimes ses droits
	// spcifiques  chaque forum dans la table atk_admin
	unset($priv);
	$priv=strrev(decbin($privileges));
	if(!empty($priv[4])) dbquery("DELETE FROM atk_admin WHERE login='$login'");
}

/*****************************************************/
/* Supprime des droits minor d'un admin sur un forum */
/*****************************************************/
function del_admin_forum($login, $forum){
	global $ATK_LOGIN, $PRIV;

	// Vrification des droits mineurs du donneur d'ordre
	$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$forum";
	$minor = dbgetfirst($query);
	$minor = strrev(decbin($minor));

	// On vrifie le propritaire du forum
	$query = "SELECT owner FROM atk_forums WHERE id=$forum";
	$owner = dbgetfirst($query);

	// Supprime l'admin minor si il a les droits ET si ce n'est pas lui mme
	if((!empty($PRIV[4]) || !empty($minor[3])) && $login!=$ATK_LOGIN && $login!=$owner){
		dbquery("DELETE FROM atk_admin WHERE login='$login' AND forum=$forum");
	}
}

/**************************************/
/* Ajoute un admin minor sur un forum */
/**************************************/
function insert_admin_forum($login, $forum, $priv){
	global $ATK_LOGIN, $PRIV;

	// Vrification des droits mineurs du donneur d'ordre
	$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$forum";
	$minor = dbgetfirst($query);
	$minor = strrev(decbin($minor));

	// Reconstitue les privilges en fonction des droits du donneurs d'ordre
	$privileges=0;
	for($i=0;$i<count($priv);$i++){
		// Vrifie les droits du donneur d'ordre
		if((!empty($minor[$priv[$i]]) || !empty($PRIV[4])) && ($i!=4 || ($i==4 && (!empty($minor[$priv[$i]]) || !empty($PRIV[1]))))){
				$tmp=pow(2, (int)$priv[$i]);
				$privileges += $tmp;
		}
	}

	// Vrification des droits majeurs du $login
	$query = "SELECT admin FROM atk_users WHERE login='$login'";
	$admin = dbgetfirst($query);
	$admin = strrev(decbin($admin));

	// Si le donneur d'ordre a les droits et si le $login n'est pas un admin major
	if((!empty($PRIV[4]) OR !empty($minor[3])) AND empty($admin[4]) AND $privileges){
		$nb = dbgetfirst("SELECT count(*) FROM atk_admin WHERE login='$login' AND forum=$forum");
		if($nb) dbquery("UPDATE atk_admin SET droit=$privileges WHERE login='$login' AND forum=$forum");
		else dbquery("INSERT INTO atk_admin VALUES ('$login', $forum, $privileges)");
	}
}

/**************************************/
/* Actions sur les posts slectionns */
/**************************************/
function do_on_posts($button){
	global $PRIV, $LANG, $choix, $select, $ATK_LOGIN;

	switch($button){

		// Boutton Supprimer: Demande confirmation avec $choix=12
		case $LANG["ADMIN-POSTS-SUBMIT-1"]:
			$select = urlencode(serialize($select));
			$choix=12;
			break;

		// Boutton invalider: Passe valid  0
		case $LANG["ADMIN-POSTS-SUBMIT-2"]:
			for($i=0;$i<count($select);$i++){
				if(empty($PRIV[4])){
					$query = "
						SELECT droit
						FROM atk_admin, atk_posts
						WHERE atk_posts.id = $select[$i]
						AND atk_posts.forum = atk_admin.forum
						AND atk_admin.login = '$ATK_LOGIN'";
					$droit = dbgetfirst($query);
					if($droit){
						$priv = strrev(decbin($droit));
						if(!empty($priv[1])) dbquery("UPDATE atk_posts SET valid=0 WHERE id=$select[$i]");
					} else error(19);
				} else dbquery("UPDATE atk_posts SET valid=0 WHERE id=$select[$i]");
			}
			$choix=4;
			break;

		// Boutton valider: Passe valid  1
		case $LANG["ADMIN-POSTS-SUBMIT-3"]:
			for($i=0;$i<count($select);$i++){
				if(empty($PRIV[4])){
					$query = "
						SELECT droit
						FROM atk_admin, atk_posts
						WHERE atk_posts.id = $select[$i]
						AND atk_posts.forum = atk_admin.forum
						AND atk_admin.login = '$ATK_LOGIN'";
					$droit = dbgetfirst($query);
					if($droit){
						$priv=strrev(decbin($droit));
						if(!empty($priv[1])) dbquery("UPDATE atk_posts SET valid=1 WHERE id=$select[$i]");
					} else error(19);
				} else dbquery("UPDATE atk_posts SET valid=1 WHERE id=$select[$i]");
			}
			break;
	}
}

/**********************************************/
/* Enregistrement des paramtres du forum $id */
/**********************************************/
function rec_param($id, $PARAM){
	global $PRIV, $LANG, $ATK_LOGIN, $SALT;

	// Vrifie les droits de modification sur le forum
	$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$id";
	$priv = dbgetfirst($query);
	$priv = strrev(decbin($priv));
	if(empty($PRIV[4]) AND empty($priv[0])) error(16);

	// Crypte le mot de passe si pass en paramtre
	if(!empty($PARAM["passwd"])) $PARAM["passwd"] = crypt($PARAM["passwd"], $SALT);

	// Si le titre du forum est vide, initialise le titre par dfaut
	if(isset($PARAM["title"]) && empty($PARAM["title"])) $PARAM["title"] = "Forum " . $id;

	// On rcupre les donnes du forum d'origine
	$query = "SELECT * FROM atk_forums WHERE id=$id";
	$SELF = dbgetline($query);
	@extract($SELF, EXTR_OVERWRITE);
	
	// On supprime les doubles quotes
	foreach($PARAM AS $key=>$value)
		$PARAM[$key] = str_replace("\"","'", $PARAM[$key]);

	// On extrait les valeurs envoyes par le formulaire
	@extract($PARAM, EXTR_OVERWRITE);

	// On traite le rsultat du formulaire pour les polices
	if(isset($deco_title))
		if(!$deco_title) $style_title = $bold_title + pow(2*$italic_title,1);
		else $style_title = $bold_title + pow(2*$italic_title,1) + pow(2,$deco_title+1);
	if(isset($deco_intro))
		if(!$deco_intro) $style_intro = $bold_intro + pow(2*$italic_intro,1);
		else $style_intro = $bold_intro + pow(2*$italic_intro,1) + pow(2,$deco_intro+1);
	if(isset($deco_text))
		if(!$deco_text) $style_text = $bold_text + pow(2*$italic_text,1);
		else $style_text = $bold_text + pow(2*$italic_text,1) + pow(2,$deco_text+1);
	if(isset($deco_menu))
		if(!$deco_menu) $style_menu = $bold_menu + pow(2*$italic_menu,1);
		else $style_menu = $bold_menu + pow(2*$italic_menu,1) + pow(2,$deco_menu+1);
	if(isset($deco_menu_a))
		if(!$deco_menu_a) $style_menu_a = $bold_menu_a + pow(2*$italic_menu_a,1);
		else $style_menu_a = $bold_menu_a + pow(2*$italic_menu_a,1) + pow(2,$deco_menu_a+1);
	if(isset($deco_post))
		if(!$deco_post) $style_post = $bold_post + pow(2*$italic_post,1);
		else $style_post = $bold_post + pow(2*$italic_post,1) + pow(2,$deco_post+1);
	if(isset($deco_post_a))
		if(!$deco_post_a) $style_post_a = $bold_post_a + pow(2*$italic_post_a,1);
		else $style_post_a = $bold_post_a + pow(2*$italic_post_a,1) + pow(2,$deco_post_a+1);
	if(isset($deco_ssmenu))
		if(!$deco_ssmenu) $style_ssmenu = $bold_ssmenu + pow(2*$italic_ssmenu,1);
		else $style_ssmenu = $bold_ssmenu + pow(2*$italic_ssmenu,1) + pow(2,$deco_ssmenu+1);	
	if(isset($deco_link))
		if(!$deco_link) $style_link = $bold_link + pow(2*$italic_link,1);
		else $style_link = $bold_link + pow(2*$italic_link,1) + pow(2,$deco_link+1);
	if(isset($deco_link_a))
		if(!$deco_link_a) $style_link_a = $bold_link_a + pow(2*$italic_link_a,1);
		else $style_link_a = $bold_link_a + pow(2*$italic_link_a,1) + pow(2,$deco_link_a+1);
	if(isset($deco_button_link))
		if(!$deco_button_link) $style_button_link = $bold_button_link + pow(2*$italic_button_link,1);
		else $style_button_link = $bold_button_link + pow(2*$italic_button_link,1) + pow(2,$deco_button_link+1);
	if(isset($deco_button_link_a))
		if(!$deco_button_link_a) $style_button_link_a = $bold_button_link_a + pow(2*$italic_button_link_a,1);
		else $style_button_link_a = $bold_button_link_a + pow(2*$italic_button_link_a,1) + pow(2,$deco_button_link_a+1);

	// On traite l'affichage des icones si besoin
	if(!empty($icon_flag)){
		$icon=0;
		if(isset($icon_0)) $icon += pow(2,0);
		if(isset($icon_1)) $icon += pow(2,1);
		if(isset($icon_2)) $icon += pow(2,2);
		if(isset($icon_3)) $icon += pow(2,3);
		if(isset($icon_4)) $icon += pow(2,4);
		if(isset($icon_5)) $icon += pow(2,5);
		if(isset($icon_6)) $icon += pow(2,6);
		if(isset($icon_7)) $icon += pow(2,7);
		if(isset($icon_8)) $icon += pow(2,8);
	}

	// On traite l'affichage des tagss si besoin
	if(!empty($tags_flag)){
		$tags=0;
		if(isset($tags_0)) $tags += pow(2,0);
		if(isset($tags_1)) $tags += pow(2,1);
		if(isset($tags_2)) $tags += pow(2,2);
		if(isset($tags_3)) $tags += pow(2,3);
		if(isset($tags_4)) $tags += pow(2,4);
		if(isset($tags_5)) $tags += pow(2,5);
		if(isset($tags_6)) $tags += pow(2,6);
		if(isset($tags_7)) $tags += pow(2,7);
		if(isset($tags_8)) $tags += pow(2,8);
		if(isset($tags_9)) $tags += pow(2,9);
		if(isset($tags_10)) $tags += pow(2,10);
		if(isset($tags_11)) $tags += pow(2,11);
		if(isset($tags_12)) $tags += pow(2,12);
		if(isset($tags_13)) $tags += pow(2,13);
		if(isset($tags_14)) $tags += pow(2,14);
		if(isset($tags_15)) $tags += pow(2,15);
		if(isset($tags_16)) $tags += pow(2,16);
		if(isset($tags_17)) $tags += pow(2,17);
		if(isset($tags_18)) $tags += pow(2,18);
		if(isset($tags_19)) $tags += pow(2,19);
	}

	// On enregistre les nouvelles valeurs
	$query="
		UPDATE atk_forums SET

		passwd = \"$passwd\", title = \"$title\",
		subject = \"$subject\", intro= \"$intro\",

		bg_img=\"$bg_img\", img_fixed=\"$img_fixed\",
		bg_img_tab = \"$bg_img_tab\",bg_img_tab_new = \"$bg_img_tab_new\",  bg_img_tab_title = \"$bg_img_tab_title\", img_new= \"$img_new\",
		img_line_1 = \"$img_line_1\", img_line_2 = \"$img_line_2\", img_post_it = \"$img_post_it\", img_ssmenu=\"$img_ssmenu\",
		img_col=\"$img_col\",folder = \"$folder\", folder_new = \"$folder_new\",
		folder_fire = \"$folder_fire\", folder_new_fire = \"$folder_new_fire\",
		puce_post_it = \"$puce_post_it\", puce_post_it_new = \"$puce_post_it_new\",
		folder_poll = \"$folder_poll\", folder_poll_new = \"$folder_poll_new\",
		poll_left_bar = \"$poll_left_bar\", poll_middle_bar=\"$poll_middle_bar\", poll_right_bar=\"$poll_right_bar\",
		button=\"$button\",

		bg_color=\"$bg_color\", border_color=\"$border_color\", border_width = \"$border_width\",
		bg_title_color=\"$bg_title_color\", bg_body_color=\"$bg_body_color\", bg_body_color_new=\"$bg_body_color_new\",
		table_bg_color=\"$table_bg_color\", table_border_color=\"$table_border_color\",
		del_mess_bg_color=\"$del_mess_bg_color\",
		bg_line_1=\"$bg_line_1\", bg_line_2=\"$bg_line_2\", bg_post_it=\"$bg_post_it\", bg_ssmenu=\"$bg_ssmenu\", bg_col=\"$bg_col\",
		bg_highlight = \"$bg_highlight\", bg_onclick = \"$bg_onclick\", separation=\"$separation\",
		title_color=\"$title_color\", intro_color=\"$intro_color\",
		selected_color=\"$selected_color\",
		menu_color=\"$menu_color\", menu_color_a=\"$menu_color_a\",
		link_color=\"$link_color\", link_color_a=\"$link_color_a\",
		post_color_tab=\"$post_color_tab\", post_color_a_tab=\"$post_color_a_tab\", post_color_v_tab=\"$post_color_v_tab\",
		post_color_arbo=\"$post_color_arbo\", post_color_a_arbo=\"$post_color_a_arbo\", post_color_v_arbo=\"$post_color_v_arbo\",
		post_it_color=\"$post_it_color\", post_it_color_a=\"$post_it_color_a\", ssmenu_color=\"$ssmenu_color\",
		text_color=\"$text_color\", button_link_color=\"$button_link_color\", button_link_color_a=\"$button_link_color_a\",
		input_bg_color=\"$input_bg_color\", input_text_color=\"$input_text_color\", input_border_color=\"$input_border_color\",
		scrollbar_base_color=\"$scrollbar_base_color\", scrollbar_face_color=\"$scrollbar_face_color\",
		scrollbar_highlight_color=\"$scrollbar_highlight_color\", scrollbar_shadow_color=\"$scrollbar_shadow_color\",
		scrollbar_3dlight_color=\"$scrollbar_3dlight_color\", scrollbar_arrow_color=\"$scrollbar_arrow_color\",
		scrollbar_track_color=\"$scrollbar_track_color\", scrollbar_darkshadow_color=\"$scrollbar_darkshadow_color\",

		font_title=\"$font_title\", size_title=\"$size_title\", style_title=\"$style_title\",
		font_intro=\"$font_intro\", size_intro=\"$size_intro\", style_intro=\"$style_intro\",
		font_text=\"$font_text\", size_text=\"$size_text\", style_text=\"$style_text\",
		font_menu=\"$font_menu\", size_menu=\"$size_menu\", style_menu=\"$style_menu\",
		font_menu_a=\"$font_menu_a\", size_menu_a=\"$size_menu_a\", style_menu_a=\"$style_menu_a\",
		font_post=\"$font_post\", size_post=\"$size_post\", style_post=\"$style_post\",
		font_post_a=\"$font_post_a\", size_post_a=\"$size_post_a\", style_post_a=\"$style_post_a\",
		font_ssmenu=\"$font_ssmenu\", size_ssmenu=\"$size_ssmenu\", style_ssmenu=\"$style_ssmenu\",
		font_link=\"$font_link\", size_link=\"$size_link\", style_link=\"$style_link\",
		font_link_a=\"$font_link_a\", size_link_a=\"$size_link_a\", style_link_a=\"$style_link_a\",
		font_button_link=\"$font_button_link\", size_button_link=\"$size_button_link\", style_button_link=\"$style_button_link\",
		font_button_link_a=\"$font_button_link_a\", size_button_link_a=\"$size_button_link_a\", style_button_link_a=\"$style_button_link_a\",

		structure=\"$structure\", url_title=\"$url_title\",
		nb_subjects_per_page=\"$nb_subjects_per_page\", nb_posts_per_page=\"$nb_posts_per_page\",
		nb_members_per_page=\"$nb_members_per_page\", nb_folder_fire=\"$nb_folder_fire\",

		top_url=\"$top_url\", bottom_url=\"$bottom_url\", return_path=\"$return_path\",
		return_index=\"$return_index\", language=\"$language\", log=\"$log\", log_forum=\"$log_forum\", log_login=\"$log_login\", width=\"$width\",
		mail_actived=\"$mail_actived\", return_mail=\"$return_mail\", alert_mail=\"$alert_mail\",
		local_time=\"$local_time\", fade_link=\"$fade_link\", fade_icon=\"$fade_icon\",
		icon=\"$icon\", tags=\"$tags\", dblmenu=\"$dblmenu\",  edit=\"$edit\", edit_alert=\"$edit_alert\",
		html=\"$html\", avatar=\"$avatar\", incrementation=\"$incrementation\", up_subject=\"$up_subject\",
		arbo=\"$arbo\", nb_smiley=\"$nb_smiley\", global_smiley=\"$global_smiley\", smiley_path=\"$smiley_path\",
		comment=\"$comment\", show_stat = \"$show_stat\", show_connected = \"$show_connected\",
		other_profile=\"$other_profile\", fast_view=\"$fast_view\",status=\"$status\",max_status=\"$max_status\",
		show_ssmenu = \"$show_ssmenu\", upload = \"$upload\", poll=\"$poll\", dynamic_poll=\"$dynamic_poll\",
		free_login=\"$free_login\",infos_perso=\"$infos_perso\",
		
		meta_title=\"$meta_title\", meta_keywords=\"$meta_keywords\", meta_description=\"$meta_description\"

		WHERE id=$id";

	dbquery($query);

	return $LANG["ADMIN-FORUMS-OK"];
}

/******************************************************/
/* Enregistrement des paramtres de l'index de $login */
/******************************************************/
function index_rec_perso($login, $PARAM){
	global $PRIV, $LANG, $ATK_LOGIN, $SALT;

	if(!isset($login)) $login="";
	if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);

	// On supprime les doubles quotes
	foreach($PARAM AS $key=>$value)
		$PARAM[$key] = str_replace("\"","'", $PARAM[$key]);

	// On extrait les valeurs envoyes par le formulaire
	@extract($PARAM, EXTR_OVERWRITE);

	// On traite l'affichage des icones si besoin
	if(!empty($icon_flag)){
		$icon=0;
		if(isset($icon_0)) $icon += pow(2,0);
		if(isset($icon_1)) $icon += pow(2,1);
		if(isset($icon_2)) $icon += pow(2,2);
		if(isset($icon_3)) $icon += pow(2,3);
		if(isset($icon_4)) $icon += pow(2,4);
		if(isset($icon_5)) $icon += pow(2,5);
		if(isset($icon_6)) $icon += pow(2,6);
	}

	// On enregistre les nouvelles valeurs
	$query = "
		UPDATE atk_index SET

		title = \"$title\", url_title = \"$url_title\", intro = \"$intro\",
		top_url = \"$top_url\", bottom_url = \"$bottom_url\",
		return_path = \"$return_path\", icon=\"$icon\",
		meta_title=\"$meta_title\", meta_keywords=\"$meta_keywords\", meta_description=\"$meta_description\"
		WHERE owner=\"$login\"";

	dbquery($query);

	return $LANG["ADMIN-INDEX-OK"];
}

/***************************/
/* Suppression d'un compte */
/***************************/
function del_account($owner){
	global $PRIV, $LANG, $ATK_LOGIN;
	
	if(empty($PRIV[2])) error(20);
	if($owner == $ATK_LOGIN) return $LANG["ADMIN-DELETE-ACCOUNT-ERROR"];	

	// Supprime l'index
	dbquery("DELETE FROM atk_category WHERE owner='$owner'");
	// Supprime les category
	dbquery("DELETE FROM atk_index WHERE owner='$owner'");
	
	$sql = dbquery("SELECT id FROM atk_forums WHERE owner='$owner'");
	while($row = mysql_fetch_array($sql)){
	     $id = $row["id"];
		// Supprime tous ses droits admin
		dbquery("DELETE FROM atk_admin WHERE forum=$id");
		// Supprime toutes ses sessions
		dbquery("DELETE FROM atk_sessions WHERE forum=$id");
		
		// Supprime les sondages
		$query = "SELECT DISTINCT id_poll FROM atk_posts WHERE forum = $id";
		$sql_tmp = dbquery($query);
		while($row_tmp=mysql_fetch_array($sql_tmp)){
			dbquery("DELETE FROM atk_polls WHERE id_poll = " . $row_tmp[0]);
			dbquery("DELETE FROM atk_votes WHERE id_poll = " . $row_tmp[0]);
		}
		
		// Mets  jour le nombre de posts des membres
		$query = "SELECT sender, count(id) FROM atk_posts WHERE forum = $id GROUP BY sender";
		$sql_tmp = dbquery($query);
		while($row_tmp = mysql_fetch_array($sql_tmp))
			dbquery("UPDATE atk_users SET nb_post = nb_post - " . $row_tmp[1] . " WHERE login = \"" . $row_tmp[0] . "\"");
		
		// Supprime tous ses posts
		dbquery("DELETE FROM atk_posts WHERE forum=$id");
	}

	// Supprime les forums
	dbquery("DELETE FROM atk_forums WHERE owner='$owner'");

	return $LANG["ADMIN-DELETE-ACCOUNT-OK"];
}

/*********************/
/* Suspend un membre */
/*********************/
function ban_members($login, $day, $hour, $minute){
	global $LANG, $PRIV, $ASSIGN_MEMBERS, $ATK_LOGIN, $DATE;

	if(empty($PRIV[4])){

		// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
		$flag=0;
		switch($ASSIGN_MEMBERS){
			// Tous les membres appartiennent  tous les forums
			case 0:
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin
					WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;

			// Les membres sont regroups par propritaire
			case 1:
			case 2:
				// On cherche le propritaire du $login
				$query = "SELECT atk_users.owner FROM atk_users WHERE atk_users.login='$login'";
				$owner = dbgetfirst($query);

				// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin, atk_forums
					WHERE atk_admin.login = '$ATK_LOGIN'
					AND atk_admin.forum = atk_forums.id
					AND atk_forums.owner = '$owner'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;
		}

		if(!$flag) error(24);
	}

	// On vrifie qu'on ne supprime pas un admin
	$flag=0;
	// Vrifie qu'on ne supprime pas un admin majeur
	$query = "SELECT admin FROM atk_users WHERE login='$login'";
	$major = dbgetfirst($query);
	// Vrifie que $login n'est pas un admin mineur
	$query = "SELECT COUNT(*) FROM atk_admin WHERE login='$login'";
	$minor = dbgetfirst($query);

	if(!$major && !$minor){
		$expire = $DATE + ($day*24*60*60) + ($hour*60*60) + ($minute*60);
		// Cr le bannissement
		dbquery("UPDATE atk_users SET ban=$expire WHERE login='$login'");
	}

	return $LANG["ADMIN-BAN-OK"];		
}

/**************************************/
/* Enlve le bannissement d'un membre */
/**************************************/
function unban_members($login){
	global $LANG, $PRIV, $ASSIGN_MEMBERS, $ATK_LOGIN, $DATE;

	if(empty($PRIV[4])){

		// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
		$flag=0;
		switch($ASSIGN_MEMBERS){
			// Tous les membres appartiennent  tous les forums
			case 0:
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin
					WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;

			// Les membres sont regroups par propritaire
			case 1:
			case 2:
				// On cherche le propritaire du $login
				$query = "SELECT atk_users.owner FROM atk_users WHERE atk_users.login='$login'";
				$owner = dbgetfirst($query);

				// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin, atk_forums
					WHERE atk_admin.login = '$ATK_LOGIN'
					AND atk_admin.forum = atk_forums.id
					AND atk_forums.owner = '$owner'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;
		}

		if(!$flag) error(24);
	}

	// Supprime le banissement
	dbquery("UPDATE atk_users SET ban=0 WHERE login='$login'");
	
	return $LANG["ADMIN-UNBAN-OK"];	
}

/*********************/
/* Modifie le profil */
/*********************/
function profile($login, $new_login, $email, $show_email, $alert_mp, $avatar, $town, $text, $url, $smiley, $msn, $aim, $skype, $yahoo, $icq, $other, $fast_view, $more, $show_status){
	global $ATK_LOGIN, $LANG, $choix, $ASSIGN_MEMBERS, $PRIV;

	if(empty($PRIV[4])){

		// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
		$flag=0;
		switch($ASSIGN_MEMBERS){
			// Tous les membres appartiennent  tous les forums
			case 0:
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin
					WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;

			// Les membres sont regroups par propritaire
			case 1:
			case 2:
				// On cherche le propritaire du $login
				$query = "SELECT atk_users.owner FROM atk_users WHERE atk_users.login='$login'";
				$owner = dbgetfirst($query);

				// On cherche les droits du $ATK_LOGIN sur chacun des forums du propritaire
				$query = "
					SELECT atk_admin.droit
					FROM atk_admin, atk_forums
					WHERE atk_admin.login = '$ATK_LOGIN'
					AND atk_admin.forum = atk_forums.id
					AND atk_forums.owner = '$owner'";
				$sql = dbquery($query);
				while($row = mysql_fetch_array($sql)){
					$priv = strrev(decbin($row["droit"]));
					if(!empty($priv[2])) $flag=1;
				}
				break;
		}

		if(!$flag) error(23);
	}

	// Vrifie si le login a chang, et si oui, le modifie
	if($new_login != $login){
	
		// Vrification de la validit des renseignements fournis
		if(strlen($new_login)<2)
			$message=$LANG["ADMIN-PROFILE-LOGIN-ERROR"];
		if(ereg("[[:punct:]]", $new_login))
			$message = $LANG["ADMIN-PROFILE-LOGIN-ERROR-1"];
		if(empty($message) && (user_exist($new_login) || $new_login=="nobody"))
			$message=$LANG["ADMIN-PROFILE-LOGIN-ERROR-2"];

		// On modifie tous les logins
		if(empty($message)){
			$query = "DELETE FROM atk_sessions WHERE user = '$login'";
			dbquery($query);		
			$query = "UPDATE atk_admin SET login='$new_login' WHERE login='$login'";
			dbquery($query);
			$query = "UPDATE atk_category SET owner = '$new_login' WHERE owner='$login'";
			dbquery($query);
			$query = "UPDATE atk_forums SET owner = '$new_login' WHERE owner='$login'";
			dbquery($query);
			$query = "UPDATE atk_inbox SET sender = '$new_login' WHERE sender='$login'";
			dbquery($query);
			$query = "UPDATE atk_inbox SET recipient = '$new_login' WHERE recipient='$login'";
			dbquery($query);
			$query = "UPDATE atk_index SET owner = '$new_login' WHERE owner='$login'";
			dbquery($query);
			$query = "UPDATE atk_posts SET sender='$new_login' WHERE sender='$login'";
			dbquery($query);
			$query = "UPDATE atk_users SET owner='$new_login' WHERE owner='$login'";
			dbquery($query);
			$query = "UPDATE atk_users SET login='$new_login' WHERE login='$login'";
			dbquery($query);
			$query = "UPDATE atk_forums SET last_sender='$new_login' WHERE last_sender='$login'";
			dbquery($query);
			$query = "UPDATE atk_posts SET last_sender='$new_login' WHERE last_sender='$login'";
			dbquery($query);
		}
	}
	
	if(empty($message)){
		// Traitement de la signature
		$text=before_reccord($text);
		$other=before_reccord($other);
		
		// Vrifie l'url de l'avatar
		if($avatar=="http://") $avatar="";
		$query = "SELECT avatar, size_0, size_1 FROM atk_users WHERE login='$login'";
		$row=dbgetline($query);
		$old_avatar = $row["avatar"];
		if($old_avatar != $avatar){
			delete_avatar($old_avatar);
			// Validit de l'image + dimension
			$size[0]=100; $size[1]=100;
			if(file_exist($avatar)){
				$size=getimagesize($avatar);
				if($size[0]>=$size[1] AND $size[0]>120){
						$size[1]=$size[1]*120/$size[0];
						$size[0]=120;
				}
				if($size[1]>$size[0] AND $size[1]>120){
						$size[0]=$size[0]*120/$size[1];
						$size[1]=120;
				}
				if($size[0]==0 OR $size[1]==0){
					$size[0]=100; $size[1]=100;
				}
			}
		} else {
			$size[0]=$row["size_0"];
			$size[1]=$row["size_1"];
		}
		
		// Vrifie les url
		if($url=="http://") $url="";
		// Autorisation de divulguer l'email
		if($show_email!='on') $show_email=0; else $show_email=1;
		// Mise  jour dans la bdd
		$query = "
			UPDATE atk_users
			SET email='$email',town='$town',
			show_email='$show_email',alert_mp='$alert_mp',url='$url',
			avatar='$avatar',size_0='$size[0]',
			size_1='$size[1]',signature='$text',smiley='$smiley',
			msn='$msn',aim='$aim',skype='$skype',yahoo='$yahoo',icq='$icq',
			other='$other',fast_view='$fast_view',more='$more', show_status='$show_status'
			WHERE login='$login'";
		dbquery($query);
		
		// Message de la mise  jour
		$message=$LANG["ADMIN-PROFILE-OK"];
		// Retour  la 1re page
		$choix=0;
	// Raffiche le formulaire
	} else {
		// On inclu la fonction qui affiche le profil
		include("./admin/profile.php");
		$choix=24;
	}

	return $message;
}
?>
