<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/**************************************************/
/* Redirige l'excution vers les bonnes fonctions */
/* en fonction des paramtres                     */
/**************************************************/
function gest_index($login,$rub,$msg){

	if($login=="") select_index();
	if($login!="" && $rub==0) change_index($login,$msg);

	// Choix de la rubrique
	if($login && $rub!=0)
		switch($rub){
			case 1:	modify_style($login); break;
			case 2:	add_category($login); break;
			case 3:	del_category($login); break;
			case 4:	affect_category($login); break;
			case 5:	rename_category($login); break;
			case 6:	style_perso($login); break;
		}
}

/*************************************/
/* Slection de l'index  paramtrer */
/*************************************/
function select_index(){
	global $LANG, $ATK_LOGIN, $DROIT, $PRIV, $PHP_SELF;

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-TITLE"] . "</p>";

	// Vrification des droits
	// Pas de droit affiche les forum de atk_admin
	if(!isset($option)) $option="";
	if(empty($PRIV[4])){
		$query = "
			SELECT owner
			FROM atk_index
			WHERE owner='$ATK_LOGIN'";
		$sql = dbquery($query);
		$flag=0;
		while($row=mysql_fetch_array($sql)){
			$option .= "<OPTION value='" . $row["owner"] . "'>" . $row["owner"] . "</OPTION>";
			$flag=1;
		}
	} else {
		$sql=dbquery("SELECT owner FROM atk_index");
		$flag=0;
		while($row=mysql_fetch_array($sql)){
			$option .= "<OPTION value='" . $row["owner"] . "'>" . $row["owner"] . "</OPTION>";
			$flag=1;
		}
	}

	// Si il existe des forums dans la liste
	if($flag){
		echo "<FORM method=post action='$PHP_SELF?choix=21'>";

		echo "<p class=atk_info align=center><b>" . $LANG["ADMIN-INDEX-CHOOSE"] . ":</b>";
		echo "<br><br>";

			echo "<SELECT class=atk_input name=login>";
				echo $option;
			echo "</SELECT>";
			echo "<br><br>";
			echo "<INPUT type=submit value='" . $LANG["INPUT-OK"] . "'>";

		echo "</FORM>";
	// Il n'a pas les droits sur aucun index
	} else {
		echo "<br><p class=atk_info align=center><b>" . $LANG["ADMIN-INDEX-NOMORE"] . "</b>";
	}
}

/*****************************************/
/* Slection de la rubrique  paramtrer */
/*****************************************/
function change_index($login,$msg){
	global $PHP_SELF, $LANG;

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-PARAM"] . " <a class=atk_title href='index.php?owner=$login' target='_blank'>" . $login . "</A><br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21'>" . $LANG["ADMIN-INDEX-RETURN-1"] . "</a></p>";

	// Affichage des messages de confirmation
	if($msg) show_message($msg);

	echo "<TABLE width=100% cellspacing=14px>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=1'>" . $LANG["ADMIN-INDEX-MENU-1"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-1bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=6'>" . $LANG["ADMIN-INDEX-MENU-6"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-6bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=2'>" . $LANG["ADMIN-INDEX-MENU-2"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-2bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=3'>" . $LANG["ADMIN-INDEX-MENU-3"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-3bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=4'>" . $LANG["ADMIN-INDEX-MENU-4"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-4bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login&rub=5'>" . $LANG["ADMIN-INDEX-MENU-5"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-5bis"];
	echo "</TD></TR>";
	echo "<TR><TD width=160px valign=top>";
		echo "<a class=atk_lien href='$PHP_SELF?action=export_index&login=$login'>" . $LANG["ADMIN-INDEX-MENU-7"] . "</a>";
	echo "</TD><TD valign=top>";
		echo "<p class=atk_info>" . $LANG["ADMIN-INDEX-MENU-7bis"];
	echo "</TD></TR>";
	echo "</TABLE>";
	
	echo "<BR><p class=atk_info align=center>" . $LANG["ADMIN-INDEX-INFO"];
	
	echo "<BR><BR>";
}

/********************************************/
/* Affiche la rubrique ajout d'une catgory */
/********************************************/
function add_category($login){
	global $PHP_SELF, $LANG, $ATK_LOGIN;

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-ADDCAT"] . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-FORUMS-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=add_category&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-INDEX-ADDCAT"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";

	echo "<TABLE align=center cellspacing=0px>";
	echo "<TR><TD width=180px>";
		echo "<p class=atk_info><b>" . $LANG["INDEX-OPTION-1"] . ":</b>";
	echo "</TD><TD width=100px>";
		echo "<INPUT class=atk_input type=text size=10 name='title'>";
	echo "</TD></TR>";
	echo "</TABLE>";

	echo "<br>";

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}

/******************************/
/* Suppression d'une category */
/******************************/
function del_category($login){
	global $PHP_SELF, $LANG, $ATK_LOGIN;

	// Recherche le nom de tous les forums pour l'affichage
	$sql=dbquery("SELECT id,title FROM atk_category WHERE owner=\"$login\"");
	dbclose();

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-DELETE-CAT"] . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-FORUMS-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=del_category&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-INDEX-DELETE-CAT"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";

	echo "<TABLE align=center cellspacing=0px>";
	echo "<TR><TD width=110px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-INDEX-DEL"] . ":</b>";
	echo "</TD><TD>";
		echo "<SELECT class=atk_input name='delete'>";
			// Recherche le nom de tous les forums pour l'affichage
			while($t=mysql_fetch_array($sql))
				echo "<option value='" . $t["id"] . "'>" . cut_text($t["title"],60) . "</option>";
		echo "</STYLE>";
	echo "</TD></TR>";
	echo "</TABLE>";

	echo "<br>";

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}

/*****************************************/
/* Affectation d'un forum  une catgory */
/*****************************************/
function affect_category($login){
	global $PHP_SELF, $LANG, $ATK_LOGIN;

	// Recherche les diffrentes catgory
	$sql_category=dbquery("SELECT id,title FROM atk_category WHERE owner=\"$login\"");
	// Recherche le nom de tous les forums pour l'affichage
	$sql_forum=dbquery("SELECT id,title FROM atk_forums WHERE owner=\"$login\"");
	dbclose();

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-AFFECT-CAT"] . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-FORUMS-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=affect&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-INDEX-AFFECT-CAT"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";

	echo "<TABLE align=center cellspacing=0px>";
	echo "<TR><TD width=140px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-INDEX-AFFECT-1"] . ":</b>";
	echo "</TD><TD>";
		echo "<SELECT class=atk_input name='forum'>";
			// Recherche le nom de tous les forums pour l'affichage
			while($t=mysql_fetch_array($sql_forum))
				echo "<option value='" . $t["id"] . "'>" . cut_text($t["title"],60) . "</option>";
		echo "</STYLE>";
	echo "</TD></TR>";
	echo "<TR><TD width=140px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-INDEX-AFFECT-2"] . ":</b>";
	echo "</TD><TD>";
		echo "<SELECT class=atk_input name='category'>";
			// Recherche le nom de tous les forums pour l'affichage
			while($t=mysql_fetch_array($sql_category))
				echo "<option value='" . $t["id"] . "'>" . cut_text($t["title"],60) . "</option>";
		echo "</STYLE>";
	echo "</TD></TR>";
	echo "</TABLE>";

	echo "<br>";

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}

/************************/
/* Renomme une category */
/************************/
function rename_category($login){
	global $PHP_SELF, $LANG, $ATK_LOGIN;

	// Recherche le nom de toutes les catgory
	$sql=dbquery("SELECT id,title FROM atk_category WHERE owner=\"$login\"");
	dbclose();

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-RENAME-CAT"] . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-FORUMS-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=rename_category&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-INDEX-RENAME-CAT"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";

	echo "<TABLE align=center cellspacing=0px>";
	echo "<TR><TD width=170px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-INDEX-RENAME-1"] . ":</b>";
	echo "</TD><TD>";
		echo "<SELECT class=atk_input name='category'>";
			// Recherche le nom de tous les forums pour l'affichage
			while($t=mysql_fetch_array($sql))
				echo "<option value='" . $t["id"] . "'>" . cut_text($t["title"],60) . "</option>";
		echo "</STYLE>";
	echo "</TD></TR>";
	echo "<TR><TD width=170px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-INDEX-RENAME-2"] . ":</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input name=title size=40>";
	echo "</TD></TR>";
	echo "</TABLE>";

	echo "<br>";

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}

/*******************************/
/* Applique un style  l'index */
/*******************************/
function modify_style($login){
	global $LANG, $PHP_SELF;

	// Recherche le nom de tous les forums pour l'affichage
	$sql_forum = dbquery("SELECT id,title FROM atk_forums");
	dbclose();

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-STYLE"] . " " . $login . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-INDEX-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=index_rec_style_forum&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-FORUMS-STYLE-1"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";
		echo "<TABLE align=center cellspacing=0px>";
		echo "<TR><TD width=110px>";
			echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-STYLE-1"] . " :</b>";
		echo "</TD><TD>";
			echo "<SELECT class=atk_input name='id_from'>";
				// Recherche le nom de tous les forums pour l'affichage
				while($row=mysql_fetch_array($sql_forum))
					echo "<option value='" . $row["id"] . "'>" . cut_text($row["title"],80) . "</option>";
			echo "</STYLE>";

		echo "</TD></TR>";
		echo "</TABLE>";

	echo "<p class=atk_info align=center><INPUT type=checkbox name=apply_to_all value=1>&nbsp;&nbsp;";
	echo $LANG["ADMIN-INDEX-APPLY-TO-ALL"];
				
	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";

	echo "<BR>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=index_rec_style_xml&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-FORUMS-STYLE-2"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";
		echo "<TABLE align=center cellspacing=0px>";
		echo "<TR><TD width=110px>";
			echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-STYLE-1"] . " :</b>";
		echo "</TD><TD>";
			echo "<SELECT class=atk_input name='dirname'>";
				// Recherche le nom de tous les forums pour l'affichage
				$style = getstylefile();
				for($i=0;$i<count($style); $i++)
					echo "<option value='" . $style[$i] . "'>" . cut_text($style[$i],80) . "</option>";
			echo "</STYLE>";
		echo "</TD></TR>";
		echo "</TABLE>";
	
	echo "<p class=atk_info align=center><INPUT type=checkbox name=apply_to_all value=1>&nbsp;&nbsp;";
	echo $LANG["ADMIN-INDEX-APPLY-TO-ALL"];

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}

/*******************************/
/* Personnalisation de l'index */
/*******************************/
function style_perso($login){
	global $LANG, $PHP_SELF;

	// Rcupre les anciennes valeurs
	$query = "
		SELECT url_title, title, top_url, bottom_url, intro, return_path, icon,
		meta_title, meta_keywords, meta_description
		FROM atk_index
		WHERE owner=\"$login\"";
	$row = dbgetline($query);
	dbclose();

	echo "<p class=atk_title>" . $LANG["ADMIN-INDEX-PERSO"] . ": " . $row["title"] . "<br>";
	echo "<a class=atk_lien href='$PHP_SELF?choix=21&login=$login'>" . $LANG["ADMIN-INDEX-RETURN-2"] . "</a></p>";

	echo "<FORM name=form method=post action='$PHP_SELF?action=index_rec_perso&login=$login&choix=21'>";

	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-FORUMS-PERSO-1"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";

	echo "<TABLE align=center cellspacing=0px>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-ADVANCED-1"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[return_path]' value='" . $row["return_path"] . "'>";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-1"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[top_url]' value='" . $row["top_url"] . "'>";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-2"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[bottom_url]' value='" . $row["bottom_url"] . "'>";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-3"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[url_title]' value=\"" . $row["url_title"] . "\">";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-4"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[title]' value=\"" . $row["title"] . "\">";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-5"] . " :</b>";
	echo "</TD><TD>";
		echo "<TEXTAREA class=atk_input name='PARAM[intro]' cols=50 rows=3>";
		echo $row["intro"];
		echo "</TEXTAREA>";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-ADVANCED-21"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT type=hidden name='PARAM[icon_flag]' value=1>";
		echo "<p class=atk_info>&nbsp;";
		$menu_icon=strrev(decbin($row["icon"]));
		if(isset($menu_icon[6]) AND $menu_icon[6]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_6]' value=6 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-7"];		
		if(isset($menu_icon[0]) AND $menu_icon[0]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_0]' value=0 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-1"];
		if(isset($menu_icon[1]) AND $menu_icon[1]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_1]' value=1 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-2"];
		if(isset($menu_icon[2]) AND $menu_icon[2]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_2]' value=2 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-3"];
		echo "<br>&nbsp;";
		if(isset($menu_icon[3]) AND $menu_icon[3]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_3]' value=3 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-4"];
		if(isset($menu_icon[4]) AND $menu_icon[4]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_4]' value=4 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-5"];
		if(isset($menu_icon[5]) AND $menu_icon[5]) $checked="CHECKED"; else $checked="";
		echo "<INPUT type=checkbox name='PARAM[icon_5]' value=5 $checked> " . $LANG["ADMIN-OPTION-ADVANCED-21-CHOOSE-6"];

	echo "</TD></TR>";
	echo "</TABLE>";

	echo "<br>";
	
	echo "<p class=atk_info align=left><b>" . $LANG["ADMIN-FORUMS-PERSO-2"] . "</b>";
	echo "<br><img src='images/barre.jpg'><br><br>";
	
	echo "<TABLE align=center cellspacing=0px width=470px>";
	echo "<TR><TD width=170px>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-7"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[meta_title]' value=\"" . $row["meta_title"] . "\">";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-8"] . " :</b>";
	echo "</TD><TD>";
		echo "<INPUT class=atk_input type=text size=30 name='PARAM[meta_keywords]' value=\"" . $row["meta_keywords"] . "\">";
	echo "</TD></TR>";
	echo "<TR><TD>";
		echo "<p class=atk_info><b>" . $LANG["ADMIN-OPTION-PERSO-9"] . " :</b>";
	echo "</TD><TD>";
		echo "<TEXTAREA class=atk_input name='PARAM[meta_description]' cols=50 rows=3>";
		echo $row["meta_description"];
		echo "</TEXTAREA>";
	echo "</TD></TR>";
	echo "</TABLE>";
	
	echo "<BR>";

	echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";

	echo "</FORM>";
}
?>
