<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/************************************************/
/* Ne pas toucher: info serveur base de donnes */
/* et clef de cryptage                          */
/************************************************/
include("./common/bddconf.php");		// Info bdd + Sel pour le cryptage
include("./common/database.php");		// Fonctions de connexion  la bdd

/*********************************************************/
/* Ne pas toucher: Rcupre les variables en GET ou POST */
/*********************************************************/
//@extract($_POST);					// Variables en POST
//@extract($_GET);					// Variables en GET
//@extract($_COOKIE);					// Variable des cookies
//@extract($_SERVER);					// Variable Server

/*********************************/
/* Donne la version du kit Aztek */
/*********************************/
$VERSION = "4.01";					// Version du kit

/**********************/
/* Rglage des dlais */
/**********************/
$DATE = time();						// TIME_STAMP_UNIX au moment du chargement
$LAST_VISIT_DEFAULT = $DATE-79200;	// Dernire visite par dfaut (pour les news) = 22h
$SESSION_EXPIRE = $DATE + 1200;		// Validit d'une session = 20min
$COOKIE_EXPIRE = $DATE+7776000;		// Dure de validite des cookies = 90 jours
$DELAY_MSG_ALREADY_SENT = 3600*24;	// Dlais de vrification des doubles posts
$USER_CONNEXION_TIME = 300;			// Affichage des connects = sessions - de 5 min

/*******************************/
/* Rglage des chemins d'accs */
/*******************************/
$SMILEY_PATH="./smileys";				// Rpertoire contenant les smileys
$WEBSITE="http://www.forum-aztek.com";		// Adresse du site web
$REMOTE_LINK_URL="http://www.forum-aztek.com/show_link.php";
$REMOTE_PUB_URL="http://www.forum-aztek.com/show_pub.php";
$URL_BAN="ban.html";					// Adresse de la page de redirection en cas de bannissement
$MAX_FILESIZE="100";					// Taille maximale de l'avatar tlcharg en Ko

/************************************/
/* Options de prsentation du forum */
/************************************/
$DEF_LANG="french";					// Language par dfaut
$MAX_TAB=15;						// Nombre de tabulation max
$OPACITY=60;						// Opacit des images si fade activ
$TAB_LENGTH=15;					// Taille des alinas  chaque rponse (en px)
$TAB_HEIGHT=27;					// Hauteur de chaque ligne du forum
$NB_COL_SMILEY=10;					// Nombre de colonnes pour le panel de smileys
$NB_COLS=70;						// Nombre de colonne des textarea
$DEFAULT_STYLE="Burst";			// Nom du style par dfaut
$MAX_WORD_LENGTH=100;				// Nombre de caractre conscutif max (insre un espace)
$POLL_MAX_WIDTH = 200;				// Longuer des barres pour les sondages
$POLL_STEP_WIDTH = 2;				// Pas pour l'animation des sondages
$POLL_TIME_INTERVAL = 18;			// Pas de temps pour l'animation des sondages
	
/************************************/
/* Ratio de la prsence des membres */
/* En message par jour              */
/************************************/
$PRESENCE[9]=12;			// ***** 
$PRESENCE[8]=6;				// ****|
$PRESENCE[7]=3;				// **** 
$PRESENCE[6]=1;				// ***|
$PRESENCE[5]=0.5;			// *** 
$PRESENCE[4]=0.3;			// **|
$PRESENCE[3]=0.1;			// ** 
$PRESENCE[2]=0.06;			// *|
$PRESENCE[1]=0.02;			// * 

/*************************************/
/* Type d'assignation des membres    */
/* 0 Commun  tous les forums        */
/* 1 Commun pour chaque propritaire */
/* 2 Indpendant de chaque forum     */
/*************************************/
$ASSIGN_MEMBERS=1;

/**********************************************/
/* Type de regroupement des recherches        */
/* 0 Tous les forums                          */
/* 1 Tous les forums pour chaque propritaire */
/* 2 Indpendant de chaque forum              */
/**********************************************/
$ASSIGN_SEARCH=1;

/************************************/
/* Options de fonctionnement du kit */
/************************************/

// $BY_ID=1 : On appelle le forum avec fid=$ID
// $BY_ID=0 : On appelle le forum par un fichier cr exprs => Amliore le rfrencement
$BY_ID = 0;

// Formulaire d'inscription ./subscribe.php pour s'inscrire librement en admin
// $SERVER = 1 : Formulaire activ
$FA_SERVER = 0;

// Mode de gestion des sessions
// Si gal  1, le forum utilisera la gestion classique des session de php qui
// fonctionnera mme si les cookie du visiteur ne sont pas activs.
// Si gal  0, le forum utilisera un systme alternatif qui fonctionne sur les
// anciennes version de php et qui amliore beaucoup le rfrencement.
$PHP_SESS_ENABLED = 0;
?>
