<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/************************************************************************/
/* Affichage des posts                                                  */
/* Paramtres: $id: id du messages  afficher ou id du group  afficher */
/* $page: Page  afficher, dans ce cas, $id est considr comme group   */
/************************************************************************/
function read_post($id, $page, $return, $view){
	global $PF, $SMILEY_PATH, $PHP_SELF, $FORUM, $ATK_LOGIN, $LAST_READ, $LAST_VISIT;

	// Calcul la page du premier post non lu
	if($view=="firstnewpost"){
		// On calcul la dead_date
		if(!empty($LAST_READ) && $LAST_READ> $LAST_VISIT) $dead_date = $LAST_READ;
		else $dead_date = $LAST_VISIT;
		
		// On recherche le nombre de post avant cette dead_date
		$query = "
			SELECT id
			FROM atk_posts
			WHERE forum=$FORUM
			AND group_id=$id
			AND date>=$dead_date
			ORDER BY date ASC
			LIMIT 1";
		$id_tmp = dbgetfirst($query);
		if(!empty($id_tmp)) $id = $id_tmp;
	}	
	
	// Rcupre le groupe  afficher (dans $group) et le num slectionn
	$query = "
		SELECT group_id, num
		FROM atk_posts
		WHERE forum=$FORUM AND id=$id";
	$sql = dbquery($query);
	if(!$row=mysql_fetch_array($sql)) exit;
	$group=$row["group_id"];
	$num=$row["num"];
	
	// Calcule le nombre de pages
	$query = "SELECT COUNT(*) FROM atk_posts WHERE group_id=$group";
	$nb = dbgetfirst($query);
	$n_page=ceil($nb/$PF["nb_posts_per_page"]);	

	// Calcul la page courante si ncessaire
	if(!$page){
		if($PF["incrementation"]){
			$query = "SELECT COUNT(*) FROM atk_posts WHERE group_id=$group AND num<$num";
		} else {
			$query = "SELECT COUNT(*) FROM atk_posts WHERE group_id=$group AND id<$id";			
		}
		$nb=dbgetfirst($query);
		$page=floor($nb/$PF["nb_posts_per_page"])+1;
	}

	// Rcupre l'ensemble des messages de cet interval pour les afficher
	$debut=($page-1)*$PF["nb_posts_per_page"];
	if($PF["incrementation"]){
		$query = "
			SELECT atk_posts.id,atk_posts.tab,atk_posts.sender,atk_posts.title,
				  atk_posts.comment,atk_posts.id_poll,atk_posts.smiley,atk_posts.date,atk_posts.num,
				  atk_posts.visited,atk_posts.text,atk_users.signature,
				  atk_posts.group_id, atk_posts.group_lock, atk_posts.post_it,
				  atk_users.email, atk_users.nb_post, atk_users.subscribe ,atk_users.avatar,atk_users.size_0,
				  atk_users.size_1,atk_users.url,atk_users.msn,atk_users.icq,
				  atk_users.aim,atk_users.yahoo,atk_users.skype,atk_users.more,atk_users.show_status,
				  atk_users.town,atk_users.show_email
			FROM atk_posts
			LEFT OUTER JOIN atk_users ON atk_posts.sender=atk_users.login
			WHERE atk_posts.group_id='$group' AND atk_posts.forum='$FORUM'
			ORDER BY atk_posts.num ASC
			LIMIT $debut," . $PF["nb_posts_per_page"];
	} else {
		$query = "
			SELECT atk_posts.id,atk_posts.tab,atk_posts.sender,atk_posts.title,
				  atk_posts.comment,atk_posts.id_poll,atk_posts.smiley,atk_posts.date,atk_posts.num,
				  atk_posts.visited,atk_posts.text,atk_users.signature,
				  atk_posts.group_id, atk_posts.group_lock, atk_posts.post_it,
				  atk_users.email, atk_users.nb_post, atk_users.subscribe, atk_users.avatar,atk_users.size_0,
				  atk_users.size_1,atk_users.url,atk_users.msn,atk_users.icq,
				  atk_users.aim,atk_users.yahoo,atk_users.skype,atk_users.more,atk_users.show_status,
				  atk_users.town,atk_users.show_email
			FROM atk_posts
			LEFT OUTER JOIN atk_users ON atk_posts.sender=atk_users.login
			WHERE atk_posts.group_id='$group' AND atk_posts.forum='$FORUM'
			ORDER BY atk_posts.id ASC
			LIMIT $debut," . $PF["nb_posts_per_page"];
	}

	$sql = dbquery($query);

	$row=mysql_fetch_array($sql);		
	$first_num=$row["num"];
	$nb=mysql_num_rows($sql);
	mysql_data_seek($sql, $nb - 1);
	$row=mysql_fetch_array($sql);
	$last_num=$row["num"];
	mysql_data_seek($sql, 0);

	// Incrmentaion du nombre de lu grace  first_num et  last_num
	$query = "
		UPDATE atk_posts
		SET visited=visited+1
		WHERE group_id=$group AND num>=$first_num AND num<=$last_num";
	dbquery($query);

	// Affichage des pages
	$param="&return=$return&msg=" . $group;
	show_pages($page,$n_page,$param);

	// Affichage des posts
	while($row=mysql_fetch_array($sql)){

		// $flag = true si nouveau message
		if(empty($putfirstnew)){
			$flag = (empty($LAST_READ) || (!empty($LAST_READ) && $LAST_READ<$row["date"]));
			if($row["date"]>$LAST_VISIT && $flag) $putfirstnew=1;
			else $putfirstnew=0;
		} elseif($putfirstnew==1) $putfirstnew=-1;
		if(!empty($putfirstnew) && $putfirstnew==1) echo "<a name='firstnewpost'></a>";
		
		// Affichage du sondage
		if(empty($row["answer"]) && !empty($row["id_poll"]))
			show_poll($row["id_poll"], $id);

		// Affichage du post
		show_post($row, $id, $return);
	}

	// Affichage des pages
	show_pages($page,$n_page,$param);

	// Affiche le deuxime menu
	if($PF["dblmenu"]){
		echo "<BR>";
		navigator($return);
	}
}

/************************/
/* Affichage d'un posts */
/************************/
function show_post($t,$id, $return){
	global $LANG, $DROIT, $MYSELF, $PF, $ATK_LOGIN, $MAX_TAB, $OPACITY, $LAST_VISIT, $LAST_READ;
	global $PRESENCE, $DATE, $SMILEY_PATH, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;

	$t["title"]=before_print_title($t["title"]);
	$t["comment"]=before_print_title($t["comment"]);
	$t["text"]=before_print_text($t["text"]);
	$t["signature"]=before_print_text($t["signature"]);

	if($t["tab"]>$MAX_TAB) $t["tab"]=$MAX_TAB;
	if(!$PF["incrementation"]) $t["tab"]=0;
	$width=100-$t["tab"]*2;

	echo "<a name='" . $t["id"] . "'></a>";
	
	echo "<p align=right>";
	echo "<table class=atk_default width=$width% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
		if($t["id"]==$id) echo "<span class=atk_selected>" . $t["title"] . "</span>";
		else echo $t["title"] . " [" . $t["id"] . "]";
		if($DROIT==2){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a href='" . $MYSELF . "suppr=" . $t["id"] . "'>";
			echo "<img src='images/delete.gif' border=0 align=middle ALT='Delete' TITLE='Delete'>";
			echo "</a>";
		}
		if($DROIT==2 AND $t["id"]==$t["group_id"]){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=lock&group=" . $t["group_id"] . "'>";
			if($t["group_lock"]) echo "<img src='./images/unlock.gif' border=0 align=middle ALT='Unlock' TITLE='Unlock'>";
			else echo "<img src='./images/lock.gif' border=0 align=middle ALT='Lock' TITLE='Lock'>";
			echo "</a>";
			
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "choix=14&group=" . $t["group_id"] . "'>";
			echo "<img src='./images/move.gif' border=0 align=middle ALT='Move' TITLE='Move'>";
			echo "</a>";			

			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=post_it&group=" . $t["group_id"] . "'>";
			if($t["post_it"]) echo "<img src='./images/del_post-it.gif' border=0 align=middle ALT='Delete Post-it' TITLE='Delete Post-it'>";
			else echo "<img src='./images/post-it.gif' border=0 align=center ALT='Post-it' TITLE='Post-it'>";
			echo "</a>";
		}
		
		echo "</td>";
	echo "</tr><tr>";
		// $flag = true si nouveau message
		$flag = (empty($LAST_READ) || (!empty($LAST_READ) && $LAST_READ<$t["date"]));
		if($t["date"]>$LAST_VISIT && $flag) echo "<td class=atk_body_img_new>";
		else echo "<td class=atk_body_img>";
	
		// Prpare la mise en place du fade
		$fade = " onmouseover=nereidFade(this,100,30,10) ";
		$fade.= "style='FILTER: alpha(opacity=$OPACITY)' ";
		$fade.= "onmouseout=nereidFade(this,$OPACITY,50,5)";
	
		echo "<table width=100% cellpadding=0px cellspacing=0px><tr>";

			echo "<td width=140px class=atk_body valign=top>";
			
				echo "<BR>";
				echo "<TABLE width=100% cellpadding=0 cellspacing=0>";
				echo "<TR>";
				echo "<TD class=atk_body valign=top>";
			
				if(!empty($CONNECTED_FORUM_USER[$t["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
				elseif(!empty($CONNECTED_INDEX_USER[$t["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";

				if($t["show_email"]){
					echo "<a href='mailto:" . $t["email"] . "' ALT='" . $t["email"] . "' TITLE='" . $t["email"] . "'>";
					echo $t["sender"];
					echo "</a>";
				} elseif($t["sender"]=="nobody") echo $LANG["NOBODY"];
				else echo $t["sender"];
				
				if(!empty($t["more"])){
					echo "<BR><B>" . $t["more"] . "</b>";
				}

				echo"<BR><BR>";	

				if($t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg)){
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/profil.gif' ALT='" . $LANG["POST-PROFIL"] . "' TITLE='" . $LANG["POST-PROFIL"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["url"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $t["url"] . "' target='_blank'>";
					echo "<img src='./images/web.gif' border='0px' ALT='" . $LANG["POST-WEB"] . " : " . $t["url"] . "' TITLE='" . $LANG["POST-WEB"] . " : " . $t["url"] . "'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				$icon=strrev(decbin($PF["icon"]));
				if(!empty($icon[0]) && $t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg) && $ATK_LOGIN!="nobody"){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=11&recipient=" . $t["sender"] . "&option=write'>";
					echo "<img src='./images/empty.gif' ALT='" . $LANG["POST-MP"] . "' TITLE='" . $LANG["POST-MP"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["msn"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/msn.gif' ALT='" . $LANG["POST-MSN"] . " : " . $t["msn"] . "' TITLE='" . $LANG["POST-MSN"] . " : " . $t["msn"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["icq"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<IMG src='./images/icq.gif' ALT='" . $LANG["POST-ICQ"] . " : " . $t["icq"] . "' TITLE='" . $LANG["POST-ICQ"] . " : " . $t["icq"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["aim"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/aim.gif' ALT='" . $LANG["POST-AIM"] . " : " . $t["aim"] . "' TITLE='" . $LANG["POST-AIM"] . " : " . $t["aim"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["skype"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/skype.gif' ALT='" . $LANG["POST-SKYPE"] . " : " . $t["skype"] . "' TITLE='" . $LANG["POST-SKYPE"] . " : " . $t["skype"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["yahoo"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/yahoo.gif' ALT='" . $LANG["POST-YAHOO"] . " : " . $t["yahoo"] . "' TITLE='" . $LANG["POST-YAHOO"] . " : " . $t["yahoo"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				
				echo "<BR><BR>";
				
				// Affichage de l'avatar
				if($PF["avatar"] && $t["avatar"]){
					echo "<center><img src='" . $t["avatar"] . "' alt='" . $t["sender"] . "' title='" . $t["sender"] . "' ";
					echo "width='" . $t["size_0"] . "' height='" . $t["size_1"] . "'></center><BR>";
				}

				if($t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg)){
					
					if($t["show_status"]==0){
						$q=$t["nb_post"]/(($DATE-$t["subscribe"])/86400);
						$part=10;
						if($q<$PRESENCE[9]) $part=9;
						if($q<$PRESENCE[8]) $part=8;
						if($q<$PRESENCE[7]) $part=7;
						if($q<$PRESENCE[6]) $part=6;
						if($q<$PRESENCE[5]) $part=5;
						if($q<$PRESENCE[4]) $part=4;
						if($q<$PRESENCE[3]) $part=3;
						if($q<$PRESENCE[2]) $part=2;
						if($q<$PRESENCE[1]) $part=1;
						$img = "images/stars/stars-$part.gif";
						$text = ($part/2) . " / 5";
						echo "<b>" . $LANG["USERS-LEVEL"] . " :</b> <IMG src='$img' ALT='$text' TITLE='$text'><BR>";
					
						if(!empty($PF["max_status"]) && !empty($PF["status"])){
							$status = status($t["nb_post"]);
							echo "$status<BR>";
						}
					}
						
					echo "<A href='" . $MYSELF . "choix=15&member=" . $t["sender"] . "'>" . $t["nb_post"] . " " . $LANG["POST-MSG-POST"] . "</A><BR><BR>";
					
				}

				echo "</TD>";
				echo "</TR>";
				echo "</TABLE>";
														
			echo "</td>";
			echo "<td valign=top class=atk_body>";

				$date=date($LANG["FORMAT-DATE"],$t["date"]+($PF["local_time"]*3600));
		
				echo "<BR><TABLE width=100% cellpadding=0 cellspacing=0>";
				echo "<TR>";
				echo "<TD class=atk_body valign=top width=400px>";
					if($t["smiley"]) echo "<IMG src='$SMILEY_PATH/" . $t["smiley"] . ".gif' align=center>&nbsp;&nbsp;";
					
					$read=str_replace("%n",$t["visited"],$LANG["POST-READ"]);
					echo "<b>" . $LANG["POST-DATE"];
					echo " :&nbsp;</b>$date" . " ($read)";
				echo "</TD>";
				
				$size = getimagesize($PF["button"]);
				$col = 1;
				
					if((empty($t["group_lock"]) && empty($PF["locked"])) || $DROIT==2) {
					
						$col++;
					
						echo "<TD  width='" . ($size[0]+10) . "' align='center'>";
						
						echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
							echo "<A class=atk_button_link href='" . $MYSELF . "return=$return&msg=" . $t["id"] . "#write' ALT='" . $LANG["POST-ANSWER"] . "' TITLE='" . $LANG["POST-ANSWER"] . "'>";
								echo $LANG["ANSWER-ICON"];
							echo "</A>";
						echo "</TD></TR></TABLE>";
						
						echo "</TD>";
					
					}
						
					if((empty($t["group_lock"]) && empty($PF["locked"])) || $DROIT==2) {
					
						$col++;
					
						echo "<TD width='" . ($size[0]+10) . "' align='center'>";
					
						echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
							echo "<A class=atk_button_link href='" . $MYSELF . "return=$return&cit=" . $t["id"] . "#write' ALT='" . $LANG["POST-CITATION"] . "' TITLE='" . $LANG["POST-CITATION"] . "'>";
								echo $LANG["CIT-ICON"];
							echo "</A>";
						echo "</TD></TR></TABLE>";
						
						echo "</TD>";
						
					}
					
					if($DROIT==2 OR ($ATK_LOGIN==$t["sender"] AND $PF["edit"] AND $ATK_LOGIN!="nobody" AND !$t["group_lock"] AND empty($PF["locked"]))){
						
						$col++;
						
						echo "</TD><TD width='" . ($size[0]+10) . "' align='center'>";
						
						echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
							echo "<A class=atk_button_link href='" . $MYSELF . "choix=12&post=" . $t["id"] . "' ALT='" . $LANG["POST-EDIT"] . "' TITLE='" . $LANG["POST-EDIT"] . "'>";
								echo $LANG["EDIT-ICON"];
							echo "</A>";
						echo "</TD></TR></TABLE>";
						
						echo "</TD>";
					}

				echo "</TR>";
				echo "<TR>";
				echo "<TD class=atk_body colspan=$col>";
				
					if(!empty($t["comment"])){
							echo "<BR><b>" . $LANG["POST-COMMENT"];
							echo " :</b>&nbsp;&nbsp;" . $t["comment"] . "<br><br>";
					}
					echo "<BR>" . $t["text"] . "<BR><BR>";

				echo "</TD>";
				echo "</TR><TR>";
				echo "<TD class=atk_body colspan=$col align=right>";				
					if(!empty($t["signature"])){
						echo "--------------------------------<BR>";
						echo $t["signature"];
					}
				echo "</TD>";				
				echo "</TR>";
				echo "</TABLE>";

			echo "</td></tr></table>";

		echo "</td>";
	echo "</tr></table>";
}


/**************************/
/* Affichage d'un sondage */
/**************************/
function show_poll($id, $id_post){
	global $LANG, $DROIT, $MYSELF, $PF, $ATK_LOGIN, $MAX_TAB, $OPACITY, $LAST_VISIT, $LAST_READ;
	global $PRESENCE, $DATE, $SMILEY_PATH, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;
	global $POLL_MAX_WIDTH, $POLL_STEP_WIDTH, $POLL_TIME_INTERVAL;

	/***********************/
	/* Rcupre le sondage */
	/***********************/
	$query = "SELECT question, choices, expire FROM atk_polls WHERE id_poll=$id";
	$row = dbgetline($query);
	$question = $row["question"];
	$choices = $row["choices"];
	$expire = $row["expire"];


	/*************************************/
	/* Regarde si on a le droit de voter */
	/*************************************/
	if($ATK_LOGIN != "nobody" && ($expire>$DATE || $expire==0)){
		$query = "SELECT count(*) FROM atk_votes WHERE id_poll=$id AND login='$ATK_LOGIN'";
		$nb = dbgetfirst($query);
	}
	if(!empty($nb)) $msg_alert = $LANG["POLL-INFO-2"];
	if($ATK_LOGIN == "nobody") $msg_alert = $LANG["POLL-INFO-1"];
	if($expire<$DATE && $expire!=0) $msg_alert = $LANG["POLL-INFO-3"];
	if(!empty($msg_alert)) $flag = 1;
	else $flag = 0;

	
	/************************************************************/
	/* Recherche des information et initialisation des variable */
	/************************************************************/
	$question=before_print_text($question);
	
	$values[0] = explode("\n",$choices);

	$nb_vote = 0;
	$query = "SELECT vote, count(vote) FROM atk_votes WHERE id_poll=$id GROUP BY vote";
	$sql = dbquery($query);
	while($row=mysql_fetch_array($sql)){
		$vote = $row["vote"];
		$nb_vote += $row[1];
		$values[1][$vote] = $row[1];
	}
	
	for($i=0; $i<count($values[0]); $i++){
		$values[0][$i]=before_print_text($values[0][$i]);
		if(empty($values[1][$i])){
			$values[1][$i]=0;
			$values[2][$i]=0;
		} else {
			$values[2][$i] = round($values[1][$i] * 1000 / $nb_vote) / 10;
		}			
	}
	
	/*********************************************************/
	/* Initialise les constantes pour la taille des sondages */
	/*********************************************************/
	$MAX_VALUE = max($values[2]);
	if(empty($MAX_VALUE)) $NB_STEP=0;
	else $NB_STEP = ($POLL_MAX_WIDTH / $POLL_STEP_WIDTH) * 100  / $MAX_VALUE;

	/************************/
	/* Affichage du sondage */
	/************************/
	echo "<p align=right>";
	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
			echo $LANG["POLL-TITLE"];
		echo "</td>";
	echo "</tr><tr>";
		echo "<td class=atk_body_img align=center>";

		echo "<BR>";
		echo "<b>" . $question . "</b>";
		echo "<BR><BR><BR>";

		echo "<FORM method='POST' name='form' action = '" . $MYSELF . "msg=$id_post&id_poll=$id&action=vote#top'>";

		echo "<TABLE align=center cellpadding=4 cellspacing=0>";

			for($i=0; $i<count($values[0]); $i++){
				echo "<TR>";
				
				echo "<TD width=12px class=atk_body>";
					if(empty($flag)){
						echo "<INPUT type=radio name=vote value=$i>";
					}
				echo "</TD>";
				echo "<TD class=atk_body>";
						echo "<b>" . $values[0][$i] . "</b>";
				echo "</TD>";
				echo "<TD width=8px>";
				echo "</TD>";
				echo "<TD width=90px class=atk_body>";

						if(!empty($PF["dynamic_poll"])) $percent=0;
						else $percent = $values[2][$i];

						echo "[ <SPAN id=percent_$i>" . $percent . "%</SPAN> - " . $values[1][$i] . " ]";
				echo "</TD>";
				$width=$POLL_MAX_WIDTH+10;
				echo "<TD width=$width>";
						echo "<TABLE height=12px cellpadding=0 cellspacing=0><TR>";
						echo "<TD background='" . $PF["poll_left_bar"] . "' width=4px></TD>";

						// Initialisation de la taille de la barre (si animation ou pas)
						if(!empty($PF["dynamic_poll"])) $width=1;
						else $width = (round($NB_STEP * $values[2][$i] / 100) * $POLL_STEP_WIDTH) + 1;
						
						echo "<TD id=tableau_$i background='" . $PF["poll_middle_bar"] . "' width=" . $width . "px></TD>";
						echo "<TD background='" . $PF["poll_right_bar"] . "' width=4px></TD>";
						echo "</TR></TABLE>";
				echo "</TD>";
				echo "</TR>";
			}

			echo "<TR>";
				echo "<TD colspan=5 height=26px>";
				echo "</TD>";
			echo "</TR>";

			echo "<TR>";
				echo "<TD class=atk_body valign=top colspan=5 align=center>";
					if(empty($flag)){
					
						$size = getimagesize($PF["button"]);
					
						echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
							echo "<A class=atk_button_link href='javascript:document.form.submit();'>";
								echo $LANG["VOTE-ICON"];
							echo "</A>";
						echo "</TD></TR></TABLE>";
						
					} else {
						echo "<b>" . $msg_alert . "</b>";
					}				
				echo "</TD>";
			echo "</TR>";
				

		echo "</TABLE>";

		echo "<BR>";
		echo "<b>" . $LANG["POLL-TOTAL"] . " : </b>" . $nb_vote;
		if($expire!=0){
			$date  = date($LANG["FORMAT-DATE"],$expire+($PF["local_time"]*3600));
			echo "<BR>";
			echo "<b>" . $LANG["POLL-END"] . " : </b>" .  $date;
		}
		
		if(!empty($PF["dynamic_poll"])){
	
			/*************************************************/
			/* Gre le javascript pour les barres dynamiques */
			/*************************************************/
			
			echo "\n\n<script type='text/javascript'><!--";
	
				echo "\nwindow.setTimeout('run()',1500);";
	
				for($i=0; $i<count($values[2]); $i++){
					echo "\n\nvar i_$i; ";
					echo "\nvar max_i_$i; ";
					echo "\nvar timer_$i; ";
				}
	
				echo "\n\nfunction run(){";
					for($i=0; $i<count($values[2]); $i++){
						echo "\n\ni_$i = 0; ";
						echo "\nmax_i_$i = " . round($NB_STEP * $values[2][$i] / 100) . "; ";
						echo "\ntimer_$i = window.setInterval('GrowUp_$i()',$POLL_TIME_INTERVAL); ";
					}
				echo "\n}";
	
				for($i=0; $i<count($values[2]); $i++){
					echo "\n\nfunction GrowUp_$i() {";
						echo "if(i_$i++ >= max_i_$i){";
							echo "window.clearInterval(timer_$i);";
							echo "document.getElementById('percent_$i').innerHTML = " . $values[2][$i] . " + '%';";
						echo "} else {";
							echo "var size = parseInt(document.getElementById('tableau_$i').width); ";
							echo "document.getElementById('tableau_$i').width = size + $POLL_STEP_WIDTH; ";
							echo "var percent = size * 100 / ($POLL_STEP_WIDTH * $NB_STEP); ";
							echo "document.getElementById('percent_$i').innerHTML = parseInt(percent) + ' %'; ";
						echo "}";
					echo "}";	
				}
	
			echo "//--></script>";
		
		}
		
		echo "<BR><BR>";
		
	echo "</td>";
	echo "</tr></table>";
	
	echo "</FORM>";
}
?>
