<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/*****************************************/
/* Fonction d'affichage du forum         */
/* Rcupre les donnes, et les affiches */
/*****************************************/
function view_forum($page){
	global $TAB_LENGTH, $SMILEY_PATH, $PF, $FAST_VIEW;
	global $LAST_VISIT, $TAB_HEIGHT, $MYSELF, $FORUM, $LANG, $ATK_LOGIN;
	global $last_date, $PF, $ATK_READ, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;
	global $PHP_SESS_ENABLED;

	$debut = ($page-1)*$PF["nb_subjects_per_page"];

	/************************************/
	/* Rcupre l'ensemble des messages */
	/************************************/
	// Retrouve la liste des sujets
	if($PF["up_subject"])$order="last_id"; else $order="id";
	if($FAST_VIEW){
		$query = "
			SELECT atk_posts.id, atk_posts.tab, atk_posts.sender, atk_posts.title, atk_posts.comment, atk_posts.id_poll,
			atk_posts.group_id, atk_posts.visited, atk_posts.smiley, atk_posts.date, atk_posts.num,
			atk_posts.group_lock, atk_posts.post_it, atk_posts.visited, atk_posts.text, atk_posts.answer,
			atk_posts.last_id, atk_posts.last_sender, atk_posts.last_date, atk_posts.nb_answer,
			atk_users.signature, atk_users.show_email, atk_users.town, atk_users.msn, atk_users.yahoo,
			atk_users.icq, atk_users.aim, atk_users.skype, atk_users.email, atk_users.url
			FROM atk_posts
			LEFT OUTER JOIN atk_users
			ON atk_posts.sender = atk_users.login
			WHERE atk_posts.forum = $FORUM
			AND atk_posts.num = 0
			ORDER BY atk_posts.post_it DESC, $order DESC
			LIMIT $debut," . $PF["nb_subjects_per_page"];
	} else {
		// Requte plus lgre si pas de $FAST_VIEW
		$query = "
			SELECT atk_posts.id, atk_posts.tab, atk_posts.sender, atk_posts.title, atk_posts.comment, atk_posts.id_poll,
			atk_posts.group_id, atk_posts.visited, atk_posts.smiley, atk_posts.date, atk_posts.num,
			atk_posts.group_lock, atk_posts.post_it, atk_posts.visited, atk_posts.text, atk_posts.answer,
			atk_posts.last_id, atk_posts.last_sender, atk_posts.last_date, atk_posts.nb_answer
			FROM atk_posts
			WHERE atk_posts.forum = $FORUM
			AND atk_posts.num = 0
			ORDER BY atk_posts.post_it DESC, $order DESC
			LIMIT $debut," . $PF["nb_subjects_per_page"];	
	}
	$sql = dbquery($query);
		
	/************************************/
	/* Affichage des posts dans l'ordre */
	/************************************/
	// Javascript qui gre le fast_view
	if($FAST_VIEW){
		?>
		<SCRIPT language="JAVASCRIPT">
			<!--
				function showPost(p){
					if(document.getElementById("post"+p).style.display == "none")
						document.getElementById("post"+p).style.display = "";
					else document.getElementById("post"+p).style.display = "none";
				}
			//-->
		</SCRIPT>
		<?
	}

	$k=0;
	// On calcule le nombre de colonne
	$nb=6;
	if($PF["global_smiley"]) $nb++;
	if($FAST_VIEW) $nb++;

	// Saut de ligne
	echo "<BR>";
	
	// Dbut du tableau gnral
	echo "<table class=atk_default width=100% cellspacing=0px cellpadding=0>";

	/*************************/
	/* Affichage de l'entte */
	/*************************/
	echo "<TR>";
		echo "<TD class=atk_title colspan=$nb cellspacing=0px cellpadding=0>";

			echo "<TABLE width=100% cellspacing=0px cellpadding=0><TR>";
			echo "<TD>";
	
			echo "<TABLE width=100% cellspacing=0px cellpadding=0><TR>";
			if($PF["global_smiley"]) echo "<TD width=45px>&nbsp;</TD>";
			echo "<TD align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-MESSAGE"];
			echo "</TD>";
			if($FAST_VIEW) echo "<TD width=15px></TD>";
			echo "<TD width=130px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-AUTHOR"];
			echo "</TD>";
			echo "<TD width=34px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-ANSWER"];
			echo "</TD>";
			echo "<TD width=34px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-LU"];
			echo "</TD>";
			echo "<TD width=130px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-LAST"];
			echo "</TD>";
			echo "</TR></TABLE>";

			echo "</TD>";
			echo "</TR></TABLE>";
	
		echo "</TD>";
	echo "</TR>";

	/**************************************/
	/* On affiche les sujets dans l'ordre */
	/**************************************/

	// Gestion de la surbrillance
	if($PF["bg_highlight"] || $PF["bg_onclick"]){
		include("./javascript/highlight.js");
		$highlight = "onClick=\"setRowColor(this, '" . $PF["bg_onclick"] . "', 'click')\" onMouseOver=\"setRowColor(this, '" . $PF["bg_highlight"] . "', 'over')\" onMouseOut=\"setRowColor(this, '', 'out')\"";
	} else $highlight="";
	$count=0;

	$color=""; $bg_img="";
	$post_it=0; $new_msg=0; $old_msg=0;

	while($row=mysql_fetch_array($sql)){

		$count++;

		if($PF["show_ssmenu"]){
			// On affiche les ligne vierges si ncessaire
			if($row["post_it"] && !$post_it){
				$post_it=1;
				echo "<TR>";
				echo "<TD class=atk_ssmenu colspan=$nb>";
					echo "&nbsp;&nbsp;&nbsp;";
					echo $LANG["FORUM-POST-IT"];
				echo "</TD>";
				echo "</TR>";	
			}
			if(!$row["post_it"] && !$new_msg && $row["last_date"]>$LAST_VISIT){
				$new_msg=1;
				echo "<TR>";
				echo "<TD class=atk_ssmenu colspan=$nb>";
					echo "&nbsp;&nbsp;&nbsp;";
					echo $LANG["FORUM-RECENT-SUBJECT"];
				echo "</TD>";
				echo "</TR>";	
			}
			if(!$row["post_it"] && !$old_msg && $row["last_date"]<=$LAST_VISIT){
				$old_msg=1;
				echo "<TR>";
				echo "<TD class=atk_ssmenu colspan=$nb>";
					echo "&nbsp;&nbsp;&nbsp;";
					echo $LANG["FORUM-FIRST-OLD-SUBJECT"];
				echo "</TD>";
				echo "</TR>";
			}
		}

		if(!$row["post_it"] AND $color==$PF["bg_line_1"]) $color=$PF["bg_line_2"]; else $color=$PF["bg_line_1"];
		if(!$row["post_it"] AND $bg_img==$PF["img_line_1"]) $bg_img=$PF["img_line_2"]; else $bg_img=$PF["img_line_1"];
		if($row["post_it"]) $color=$PF["bg_post_it"];
		if($row["post_it"]) $bg_img=$PF["img_post_it"];
		$title=cut_text($row["title"],60);
		$title=before_print_title($title);
		$comment=before_print_title($row["comment"]);
		$id=$row["id"];

		// Une ligne se trouve dans un tableau complet
		if(!empty($color)) echo "<TR bgcolor=$color id=\"row_$count\" $highlight>";
		else echo "<TR id=\"row_$count\" $highlight>"; 
		echo "<TD class=atk_forum width=34px align=center background='$bg_img'>";

			/**************************************/
			/* Choix de l'image en dbut de ligne */
			/**************************************/

			// Regarde si nouveau post
			if($PHP_SESS_ENABLED) $flag = (empty($_SESSION["READ"][$row["group_id"]]) || (!empty($_SESSION["READ"][$row["group_id"]]) && $_SESSION["READ"][$row["group_id"]]<$row["last_date"]));
			else $flag = (empty($ATK_READ[$row["group_id"]]) || (!empty($ATK_READ[$row["group_id"]]) && $ATK_READ[$row["group_id"]]<$row["last_date"]));

			
			// Image post-it
			if($row["post_it"]){
				$alt = $LANG["FORUM-NONEWMSG"];
				$img = $PF["puce_post_it"];
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]<($PF["nb_folder_fire"]) && $flag){
					$img=$PF["puce_post_it_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}

			// Image Sondage
			} elseif($row["id_poll"]) {
				$img=$PF["folder_poll"]; $alt = $LANG["FORUM-NONEWMSG"];
				if($row["last_date"]>$LAST_VISIT && $flag){
					$img=$PF["folder_poll_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}

			// Image message normal
			} else {
				// $flag = true si nouveau message
				$img=$PF["folder"]; $alt = $LANG["FORUM-NONEWMSG"];
				if($row["nb_answer"]>($PF["nb_folder_fire"]-1))$img=$PF["folder_fire"];
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]>($PF["nb_folder_fire"]-1) && $flag) {
					$img=$PF["folder_new_fire"];
					$alt = $LANG["FORUM-NEWMSG"];
				}
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]<($PF["nb_folder_fire"]) && $flag){
					$img=$PF["folder_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}
			}

			// Affiche l'image
			echo "<img border=0 src='$img' ALT='$alt' TITLE='$alt'>";

		echo "</TD>";
			if($PF["global_smiley"]){

				if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
				if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=45px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
				else echo "<TD class=atk_forum width=45px align=center background='$img'>";

					$smiley=$row["smiley"];
					if($smiley!='0' AND $smiley!=''){
						echo "<img src='$SMILEY_PATH/" . $smiley;
						echo ".gif' border=0 hspace=6 align=middle>";
					} else echo "&nbsp;";
				echo "</TD>";
			}
		echo "<TD class=atk_forum background='$bg_img'>";
			
			echo "<TABLE cellpdding=0 cellspacing=0 border=0>";
			echo "<TR>";
			echo "<TD class=atk_body>";
		
				if(!empty($flag) && $row["last_date"]>$LAST_VISIT && !empty($row["nb_answer"])){
					echo "<A href='" . $MYSELF . "msg=" . $row["id"] . "&return=$page&view=firstnewpost#firstnewpost'><IMG src='./images/showPost.gif' valign=middle border=0 ALT='" . $LANG["FORUM-FIRST-NON-SEE"] . "' TITLE='" . $LANG["FORUM-FIRST-NON-SEE"] . "'></a>";
					echo "</TD><TD class=atk_body>";
				}
				echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$id&return=" . $page . "#top'>";
					echo $title;
				echo "</a>";
				if($row["group_lock"]){
					echo "&nbsp;&nbsp;&nbsp;";
					echo "<img border=0 src='./images/lock.gif'>";
				}
				if($comment) echo "<BR>" . $comment;
				create_page($row["nb_answer"], $id, $page);
			
			echo "</TD>";
			echo "</TR>";
			echo "</TABLE>";
			
		echo "</TD>";
		if($FAST_VIEW){
			echo "<TD class=atk_forum width=25px align=center background='$bg_img'>";
			echo "&nbsp;<img align=middle src='./images/showPost.gif' border=0 onclick='javascript: showPost($k);' ALT='" . $LANG["FORUM-FAST-VIEW"] . "' TITLE='" . $LANG["FORUM-FAST-VIEW"] . "'>";
			echo "</TD>";
		}
		if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
		if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=130px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
		else echo "<TD class=atk_forum width=130px align=center background='$img'>";
			if(!empty($CONNECTED_FORUM_USER[$row["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
			elseif(!empty($CONNECTED_INDEX_USER[$row["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
			$date=date($LANG["FORMAT-DATE"],$row["date"]+($PF["local_time"]*3600));
			if($row["sender"] != "nobody" && !ereg("^-(.)*-$",$row["sender"],$reg)) echo "<a class=atk_post_tab href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>" . $row["sender"] . "</a>";
			elseif($row["sender"] != "nobody") echo $row["sender"];
			else echo $LANG["NOBODY"];
			echo "<BR>";
			echo $date;
		echo "</TD>";
		echo "<TD class=atk_forum width=30px align=center background='$bg_img'>";
			echo $row["nb_answer"];
		echo "</TD>";
		echo "<TD class=atk_forum width=30px align=center background='$bg_img'>";
			echo $row["visited"];
		echo "</TD>";

		if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
		if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=130px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
		else echo "<TD class=atk_forum width=130px align=center background='$img'>";
			if($row["last_id"] != $id){
				if(!empty($CONNECTED_FORUM_USER[$row["last_sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
				elseif(!empty($CONNECTED_INDEX_USER[$row["last_sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
				if($row["last_sender"] != "nobody" && !ereg("^-(.)*-$",$row["last_sender"],$reg)) echo "<a class=atk_post_tab href='" . $MYSELF . "choix=5&method=3&login=" . $row["last_sender"] . "'>" . $row["last_sender"] . "</a>";
				elseif($row["last_sender"] != "nobody") echo $row["last_sender"];
				else echo $LANG["NOBODY"];
				echo "&nbsp;<A href='" . $MYSELF . "msg=" . $row["last_id"] . "&return=$page#" . $row["last_id"] . "'><IMG src='./images/view.gif' border=0 ALT='" . $LANG["FORUM-VIEW-LAST"] . "' TITLE='" . $LANG["FORUM-VIEW-LAST"] . "'></a>";
				echo "<BR>";
				$last_date=date($LANG["FORMAT-DATE"],$row["last_date"]+($PF["local_time"]*3600));
				echo $last_date;
			} else echo "&nbsp;";
		echo "</TD>";
		echo "</TR>";

		// On crit le message en display=none pour qu'il ne soit pas visible
		if($FAST_VIEW){
			echo "<TR id='post$k' style='display: none;'>";
				echo "<TD colspan=$nb cellspacing=0px cellpadding=0>";
					show_post($row, $id, $page);
				echo "</TD>";
			echo "</TR>";
		}

		$k++;
	}

	// fin du tableau
	echo "</TABLE>";

	/*******************************************/
	/* Nombre de messages, affichage des pages */
	/*******************************************/
	// Nombre de sujets
	$query = "SELECT count(*) FROM atk_posts WHERE forum=$FORUM AND num=0";
	$n_posts=dbgetfirst($query);
	
	$n_page=ceil($n_posts/$PF["nb_subjects_per_page"]);
	$param="";
	show_pages($page, $n_page, $param);

	/**************************/
	/* Affiche le double menu */
	/**************************/
	if($PF["dblmenu"]){
		echo "<BR>";
		navigator();
	}
}

/***********************/
/* Affichage d'un post */
/***********************/
function show_post($row, $id, $page){
	global $LANG, $DROIT, $MYSELF, $PF, $ATK_LOGIN, $OPACITY, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;

	$row["title"]=before_print_title($row["title"]);
	$row["comment"]=before_print_title($row["comment"]);
	$row["text"]=before_print_text($row["text"]);
	$row["signature"]=before_print_text($row["signature"]);

	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
		
		echo $row["title"];
		if($DROIT == 2){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a href='" . $MYSELF . "suppr=" . $row["id"] . "'>";
			echo "<img src='images/delete.gif' border=0 align=middle ALT='Delete' TITLE='Delete'>";
			echo "</a>";
		}
		if($DROIT == 2 AND $row["id"] == $row["group_id"]){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=lock&group=" . $row["group_id"] . "'>";
			if($row["group_lock"]) echo "<img src='./images/unlock.gif' border=0 align=middle ALT='Unlock' TITLE='Unlock'>";
			else echo "<img src='./images/lock.gif' border=0 align=middle ALT='Lock' TITLE='Lock'>";
			echo "</a>";

			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "choix=14&group=" . $row["group_id"] . "'>";
			echo "<img src='./images/move.gif' border=0 align=middle ALT='Move' TITLE='Move'>";
			echo "</a>";

			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=post_it&group=" . $row["group_id"] . "'>";
			if($row["post_it"]) echo "<img src='./images/del_post-it.gif' border=0 align=middle ALT='Delete Post-it' TITLE='Delete Post-it'>";
			else echo "<img src='./images/post-it.gif' border=0 align=middle ALT='Post-it' TITLE='Post-it'>";
			echo "</a>";
		}
		echo "</td>";
	echo "</tr><tr>";
		echo "<td class=atk_body_img>";

			echo "<table width=100% cellpadding=0px cellspacing=0px><tr>";
			echo "<td valign=top>";

			// Prpare la mise en place du fade
			$fade = " onmouseover=nereidFade(this,100,30,10) ";
			$fade.= "style='FILTER: alpha(opacity=$OPACITY)' ";
			$fade.= "onmouseout=nereidFade(this,$OPACITY,50,5)";

			echo "<table width=100%><tr>";
			echo "<td class=atk_body>";

				echo "<b>" . $LANG["POST-AUTHOR"];
				echo " :</b>&nbsp;&nbsp;";
				if(!empty($CONNECTED_FORUM_USER[$row["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
				elseif(!empty($CONNECTED_INDEX_USER[$row["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
				if($row["show_email"]){
					echo "<a href='mailto:" . $row["email"] . "'>";
					echo $row["sender"];
					echo "</a>";
				}
				elseif($row["sender"]=="nobody") echo $LANG["NOBODY"];
				else echo $row["sender"];
				if($row["sender"] != "nobody"){
					echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/profil.gif' ALT='" . $LANG["POST-PROFIL"] . "' TITLE='" . $LANG["POST-PROFIL"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["url"]){
					echo "&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $row["url"] . "' target='_blank'>";
					echo "<img src='./images/web.gif' border='0px' ALT='" . $LANG["POST-WEB"] . " : " . $row["url"] . "' TITLE='" . $LANG["POST-WEB"] . " : " . $row["url"] . "' ";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				$icon=strrev(decbin($PF["icon"]));
				if(!empty($icon[0]) && $row["sender"] != "nobody"){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=11&recipient=" . $row["sender"] . "&option=write'>";
					echo "<img src='./images/empty.gif' ALT='" . $LANG["POST-MP"] . "' TITLE='" . $LANG["POST-MP"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["msn"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/msn.gif' ALT='" . $LANG["POST-MSN"] . " : " . $row["msn"] . "' TITLE='" . $LANG["POST-MSN"] . " : " . $row["msn"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["icq"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<IMG src='./images/icq.gif' ALT='" . $LANG["POST-ICQ"] . " : " . $row["icq"] . "' TITLE='" . $LANG["POST-ICQ"] . " : " . $row["icq"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["aim"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/aim.gif' ALT='" . $LANG["POST-AIM"] . " : " . $row["aim"] . "' TITLE='" . $LANG["POST-AIM"] . " : " . $row["aim"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["skype"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/skype.gif' ALT='" . $LANG["POST-SKYPE"] . " : " . $row["skype"] . "' TITLE='" . $LANG["POST-SKYPE"] . " : " . $row["skype"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["yahoo"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/yahoo.gif' ALT='" . $LANG["POST-YAHOO"] . " : " . $row["yahoo"] . "' TITLE='" . $LANG["POST-YAHOO"] . " : " . $row["yahoo"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
			echo "</td>";
			echo "</tr><tr>";
				$date=date($LANG["FORMAT-DATE"],$row["date"]+($PF["local_time"]*3600));
				$read=str_replace("%n",$row["visited"],$LANG["POST-READ"]);
				echo "<td class=atk_body><b>" . $LANG["POST-DATE"];
				echo " :</b>&nbsp;&nbsp;$date" . " ($read)";
			echo "</td>";
			echo "</tr>";
			if(!empty($row["comment"])){
				echo "<tr>";
					echo "<td class=atk_body><b>" . $LANG["POST-COMMENT"];
					echo " :</b>&nbsp;&nbsp;" . $row["comment"] . "</td>";
				echo "</tr>";
			}
			echo "<tr>";
				echo "<td class=atk_body><BR>" . $row["text"] . "<BR><BR></td>";
			echo "</tr><tr>";
				echo "<td class=atk_body align=right>";
					if(!empty($row["signature"])){
						echo "--------------------------------<BR>";
						echo $row["signature"];
					}
				echo "</td>";
			echo "</tr><tr>";
			echo "<td class=atk_body>";
				if((empty($row["group_lock"]) && empty($PF["locked"])) || $DROIT==2) {
					echo "<a href='" . $MYSELF . "msg=" . $row["id"] . "&return=$page#write'>";
					echo $LANG["POST-ANSWER"] . "</a>";
					echo "&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "cit=" . $row["id"] . "&return=$page#write'>";
					echo $LANG["POST-CITATION"] . "</a>";
				}
				if($DROIT==2 OR ($ATK_LOGIN==$row["sender"] AND $PF["edit"] AND $ATK_LOGIN!="nobody" AND !$row["group_lock"] AND empty($PF["locked"]))){
					echo "&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=12&post=" . $row["id"] . "'>";
					echo $LANG["POST-EDIT"] . "</a>";
				}		
			echo "</td>";
			echo "</tr></table>";

			echo "</td></tr></table>";

		echo "</td>";
	echo "</tr></table>";
}

/*************************************/
/* Affiche les pages dans les sujets */
/*************************************/
function create_page($nb, $msg, $page){
	global $PF, $MYSELF;

	$nb=ceil(($nb+1)/$PF["nb_posts_per_page"]);

	if($nb<2) return;

     echo "&nbsp;&nbsp;[&nbsp;";

	if($nb>4){
		for($i=1; $i<3; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
		echo "...&nbsp;";
		for($i=$nb-1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	} else {
		for($i=1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	}

	echo "]";
}
?>