<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***************************/
/* Affichage des connects */
/***************************/
function infos(){
	global $SESSION_EXPIRE, $USER_CONNEXION_TIME, $FORUM, $ASSIGN_MEMBERS;
	global $owner, $LANG, $PF, $MYSELF, $CONNECTED_FORUM, $CONNECTED_INDEX;
	global $NOBODY_FORUM, $NOBODY_INDEX, $SESS_USE;
	global $PHP_SESS_ENABLED;

	/****************************************/
	/* Effectue des requtes pour les infos */
	/****************************************/

	/*****************************************/
	/* Recherche les connects si ncessaire */
	/*****************************************/
	$expire=$SESSION_EXPIRE-$USER_CONNEXION_TIME;
	
	// Session php
	if($PHP_SESS_ENABLED){
		
		if(empty($PF["show_connected"])){
	
			// Recherche des connects non invits
			$query = "
				SELECT atk_sessions.user, atk_sessions.session, atk_sessions.forum
				FROM atk_forums, atk_sessions
				WHERE atk_sessions.expire >= $expire
				AND atk_sessions.user <> 'nobody'
				AND atk_sessions.forum = atk_forums.id
				AND atk_forums.owner = '$owner'";
			$sql = dbquery($query);
			
			// Recherche les connects
			$ii = 0; $if = 0;
			while($row=mysql_fetch_array($sql)){
				if(!empty($FORUM) && $row["forum"]==$FORUM){
					$CONNECTED_FORUM[$if++]=$row["user"];
					$CONNECTED_FORUM_USER[$row["user"]]=1;
				}
				if(empty($SESS_USE[$row["session"]])){
					$CONNECTED_INDEX[$ii++]=$row["user"];
					$CONNECTED_INDEX_USER[$row["user"]]=1;
				}
				$SESS_USE[$row["session"]] = 1;
			}
	
		}
		
		// Recherche des connects invits
		$query = "
			SELECT atk_sessions.user, atk_sessions.session, atk_sessions.forum
			FROM atk_forums, atk_sessions
			WHERE atk_sessions.expire >= $expire
			AND atk_sessions.user = 'nobody'
			AND atk_sessions.forum = atk_forums.id
			AND atk_forums.owner = '$owner'";
		$sql = dbquery($query);
		
		// Recherche les connects
		$NOBODY_INDEX = 0; $NOBODY_FORUM = 0;
		while($row=mysql_fetch_array($sql)){
			if(empty($SESS_USE[$row["session"]])){
				if(!empty($FORUM) && $row["forum"]==$FORUM){
					$NOBODY_FORUM++;
				}
				if(empty($LOGIN_USE[$row["user"]])){
					$NOBODY_INDEX++;
				}			
				$SESS_USE[$row["session"]] = 1;
			}
		}
	
	// Session fait maison
	} else {
		
		$query = "
			SELECT atk_sessions.user, atk_users.email,
			atk_users.show_email, atk_sessions.ip, atk_sessions.forum
			FROM atk_forums, atk_sessions
			LEFT OUTER JOIN atk_users
			ON atk_sessions.user=atk_users.login
			WHERE atk_sessions.expire >= $expire
			AND atk_sessions.forum = atk_forums.id
			AND atk_forums.owner = '$owner'";
		$sql = dbquery($query);
		
		// Recherche les connects
		$ii = 0; $NOBODY_INDEX = 0;
		$if = 0; $NOBODY_FORUM = 0;
		while($row=mysql_fetch_array($sql)){
			
			// Enlve le dernier nombre de l'ip pour les no_ip qui changent toujours d'ip...
			ereg ("([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3})", $row["ip"], $regs);
   			$row["ip"] = $regs[1] . "." . $regs[2] . "." . $regs[3];

			if(!empty($FORUM) && $row["forum"]==$FORUM && $row["user"]=="nobody" && empty($IP_forum[$row["ip"]])){
				$IP_forum[$row["ip"]]=1;
				$NOBODY_FORUM++;
			}
			if($row["user"]=="nobody" && empty($IP_index[$row["ip"]])){
				$IP_index[$row["ip"]]=1;
				$NOBODY_INDEX++;
			}
			if(!empty($FORUM) && $row["forum"]==$FORUM && $row["user"]!="nobody" && empty($CONNECTED_FORUM_USER[$row["user"]])){
				$CONNECTED_FORUM[$if++]=$row["user"];
				$CONNECTED_FORUM_USER[$row["user"]]=1;
			}
			if($row["user"]!="nobody" && empty($CONNECTED_INDEX_USER[$row["user"]])){
				$CONNECTED_INDEX[$ii++]=$row["user"];
				$CONNECTED_INDEX_USER[$row["user"]]=1;
			}
		}

	}

	// Rcupre la liste des admins
	if(!empty($FORUM)){
		$query = "
			SELECT DISTINCT atk_users.email,atk_users.login,atk_users.show_email
			FROM atk_users LEFT OUTER JOIN atk_admin
			ON atk_users.login = atk_admin.login
			WHERE atk_users.admin = 63
			OR atk_admin.forum = $FORUM";
	} else {
		$query = "
			SELECT DISTINCT atk_users.email,atk_users.login,atk_users.show_email
			FROM atk_users
			WHERE atk_users.admin = 63
			OR atk_users.login = '$owner'";
	}
	$sql4 = dbquery($query);

	// Rcupre le nombre de membres
	if(empty($FORUM) AND $ASSIGN_MEMBERS==2) $ASSIGN_MEMBERS=1;
	switch($ASSIGN_MEMBERS){
		// On rcupre tous les membres qui on crit sur des forums
		case 0:
			$query="
				SELECT COUNT(atk_users.login)
				FROM atk_users
				WHERE atk_users.nb_post > 0";
			$n_user = dbgetfirst($query);
			break;

		// On rcupre les membres qui ont crit sur un forum de $owner
		case 1:
			$query="
				SELECT COUNT(atk_users.login)
				FROM atk_users
				WHERE atk_users.owner = '$owner'
				AND atk_users.nb_post > 0";
			$n_user = dbgetfirst($query);
			break;

		// On rcupre les membres qui ont crit sur le forum courant
		case 2:
			$query="
				SELECT COUNT(*)
				FROM atk_users, atk_posts
				WHERE atk_users.login = atk_posts.sender
				AND atk_posts.forum = $FORUM
				GROUP BY atk_users.login";
			$sql = dbquery($query);
			$n_user = mysql_num_rows($sql);
			break;
	}

	// Date et nombre de visites
	if(!empty($FORUM)){
		$query = "SELECT date,nb_visit,nb_post FROM atk_forums WHERE id=$FORUM";
		$detail_forum = dbgetline($query); 
	}
	$query = "SELECT MIN(date),SUM(nb_visit),SUM(nb_post) FROM atk_forums WHERE owner='$owner'";
	$detail_index = dbgetline($query);

	/****************************/
	/* Affiche les statistiques */
	/****************************/
	// Recherche les connects sur l'index
	$connected="";
	for($i=0; $i<count($CONNECTED_INDEX); $i++)
		$connected.="&nbsp;<a href='" . $MYSELF . "choix=5&method=3&login=" . $CONNECTED_INDEX[$i] . "'>" . $CONNECTED_INDEX[$i] . "</a>&nbsp;";
	if($NOBODY_INDEX==1) $connected = "&nbsp;1 ". $LANG["NOBODY"] . "&nbsp;" . $connected;
	if($NOBODY_INDEX>1) $connected = "&nbsp;" . $NOBODY_INDEX . " ".$LANG["STAT-NOBODY-PLURIEL"]."&nbsp;" . $connected;
	$LANG["STAT-CONNECTED-1"]=str_replace("%connected",$connected,$LANG["STAT-CONNECTED-1"]);	

	$connected="";
	for($i=0; $i<count($CONNECTED_FORUM); $i++)
		$connected.="&nbsp;<a href='" . $MYSELF . "choix=5&method=3&login=" . $CONNECTED_FORUM[$i] . "'>" . $CONNECTED_FORUM[$i] . "</a>&nbsp;";
	if($NOBODY_FORUM==1) $connected = "&nbsp;1 ". $LANG["NOBODY"] . "&nbsp;" . $connected;
	if($NOBODY_FORUM>1) $connected = "&nbsp;" . $NOBODY_FORUM . " ".$LANG["STAT-NOBODY-PLURIEL"]."&nbsp;" . $connected;
	$LANG["STAT-CONNECTED-2"]=str_replace("%connected",$connected,$LANG["STAT-CONNECTED-2"]);	

	// Recherche les modrateurs
	while($row=mysql_fetch_array($sql4)){
		$admin="<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["login"] . "'>" . $row["login"] . "</a>";
		$LANG["STAT-MODERATEUR"].= "&nbsp;&nbsp;&nbsp;" . $admin;
	}

	// Recherches statistiques
	$LANG["STAT-STAT-1"]=str_replace("%n_post",$detail_index[2],$LANG["STAT-STAT-1"]);
	$LANG["STAT-STAT-1"]=str_replace("%n_user",$n_user,$LANG["STAT-STAT-1"]);
	
	if(!empty($FORUM)){
		if(!empty($detail_index[2])) $per_cent = round($detail_forum[2]/$detail_index[2] * 100);
		else $per_cent = 0;
		$LANG["STAT-STAT-2"]=str_replace("%n_post",$detail_forum[2],$LANG["STAT-STAT-2"]);
		$LANG["STAT-STAT-2"]=str_replace("%per_cent",$per_cent,$LANG["STAT-STAT-2"]);

		$date=date($LANG["FORMAT-DATE"],$detail_forum[0]+($PF["local_time"]*3600));
		$LANG["STAT-STAT-3"]=str_replace("%n_visit",$detail_forum[1],$LANG["STAT-STAT-3"]);
		$LANG["STAT-STAT-3"]=str_replace("%date",$date,$LANG["STAT-STAT-3"]);
	} else {
		$date=date($LANG["FORMAT-DATE"],$detail_index[0]+($PF["local_time"]*3600));
		$LANG["STAT-STAT-3"]=str_replace("%n_visit",$detail_index[1],$LANG["STAT-STAT-3"]);
		$LANG["STAT-STAT-3"]=str_replace("%date",$date,$LANG["STAT-STAT-3"]);	
	}
	
	echo "<BR>";

	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>" . $LANG["STAT-INFORMATION"];
		echo "</td>";
	echo "</tr><tr><td class=atk_body_img>";

		echo "<table><tr>";
			echo "<td class=atk_body>";
				
				echo "<TABLE><TR>";
				echo "<TD width=46px>";
					echo "<IMG src='images/user.gif' ALT='" . $LANG["STAT-ALT-USER"] . "' TITLE='" . $LANG["STAT-ALT-USER"] . "'>";
				echo "</TD><TD class=atk_body>";
					echo $LANG["STAT-CONNECTED-1"];
					echo "<BR>";
					if(!empty($FORUM)){
						echo $LANG["STAT-CONNECTED-2"];
						echo "<BR>";
					}
					echo $LANG["STAT-MODERATEUR"];
				echo "</TD>";
				echo "</TR></TABLE>";

			echo "</td>";
		echo "</tr><tr>";
			echo "<td class=atk_body>";
				echo "<TABLE><TR>";
				echo "<TD width=46px>";
					echo "<IMG src='images/stat.gif' ALT='" . $LANG["STAT-ALT-STAT"] . "' TITLE='" . $LANG["STAT-ALT-STAT"] . "'>";
				echo "</TD><TD class=atk_body>";
					echo $LANG["STAT-STAT-1"];
					echo "<BR>";
					if(!empty($FORUM)){
						echo $LANG["STAT-STAT-2"];
						echo "<BR>";
					}
					echo $LANG["STAT-STAT-3"];
				echo "</TD>";
				echo "</TR></TABLE>";			
			 echo "</td>";
		echo "</tr></table>";

	echo "</tr></table>";

}

/*****************************/
/* Affiche la section d'aide */
/*****************************/
function help(){
	global $LANG, $PF, $MYSELF, $ID_SESS, $ATK_LOGIN, $HTTP_USER_AGENT, $FORUM, $DEF_HELP;

	echo "<BR>";

	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>" . $LANG["HELP-TITLE"];
		echo "</td>";
	echo "</tr><tr><td class=atk_body_img>";
    echo "<BR><TABLE width=96% align=center><TR><TD class=atk_body>";

		include("lang/" . $DEF_HELP . "/" . $DEF_HELP . "_help.php");

    echo "</TD></TR></TABLE>";

  echo "</tr></table>";

}
?>
