<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/*****************************************/
/* Fonction d'affichage du forum         */
/* Rcupre les donnes, et les affiches */
/*****************************************/
function member_posts($member, $page){
	global $TAB_LENGTH, $SMILEY_PATH, $PF, $FAST_VIEW, $owner, $BY_ID;
	global $TAB_HEIGHT, $MYSELF, $FORUM, $LANG, $ATK_LOGIN;
	global $DATE, $PF, $MAX_TAB, $LAST_VISIT, $ATK_READ, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;
	global $PHP_SESS_ENABLED, $ATK_ACCES;

	/**************************************/
	/* Recherche des messages dans la bdd */
	/**************************************/
	// Rcupre l'ensemble des messages de cet interval pour les afficher
	$debut = ($page-1) * $PF["nb_subjects_per_page"];
	
	if($FAST_VIEW){
		$query = "
			SELECT atk_posts.nb_direct_answer, 
			atk_posts.id,atk_posts.tab,atk_posts.sender,atk_posts.title,atk_posts.comment,atk_posts.group_id,
			atk_posts.smiley,atk_posts.date,atk_posts.num,atk_posts.group_lock,atk_posts.post_it,
			atk_posts.visited,atk_posts.text,atk_posts.answer,atk_users.signature,
			atk_users.email,atk_users.avatar,atk_users.size_0,
			atk_users.size_1,atk_users.url,atk_users.msn,atk_users.icq,
			atk_users.aim,atk_users.yahoo,atk_users.skype,
			atk_users.town,atk_users.show_email,
			atk_forums.title AS forum_title, atk_forums.id as forum_id, atk_forums.filename, atk_forums.passwd, atk_forums.log_login
			FROM atk_posts
			LEFT OUTER JOIN  atk_users
			ON atk_users.login = atk_posts.sender
			LEFT OUTER JOIN  atk_forums
			ON atk_forums.id = atk_posts.forum
			WHERE atk_users.login = '$member'
			AND atk_forums.owner = '$owner'
			ORDER BY atk_posts.date DESC
			LIMIT $debut, " . $PF["nb_subjects_per_page"];
	} else {
		$query = "
			SELECT atk_posts.nb_direct_answer,
			atk_posts.id,atk_posts.tab,atk_posts.sender,atk_posts.title,atk_posts.comment,atk_posts.group_id,
			atk_posts.smiley,atk_posts.date,atk_posts.num,atk_posts.group_lock,atk_posts.post_it,
			atk_posts.visited,atk_posts.text,atk_posts.answer,
			atk_forums.title AS forum_title, atk_forums.id as forum_id, atk_forums.filename, atk_forums.passwd, atk_forums.log_login
			FROM atk_posts
			LEFT OUTER JOIN  atk_users
			ON atk_users.login = atk_posts.sender
			LEFT OUTER JOIN  atk_forums
			ON atk_forums.id = atk_posts.forum
			WHERE atk_users.login = '$member'
			AND atk_forums.owner = '$owner'
			ORDER BY atk_posts.date DESC
			LIMIT $debut, " . $PF["nb_subjects_per_page"];
	}		

	
	$sql = dbquery($query);


	/************************************/
	/* Affichage des posts dans l'ordre */
	/************************************/
	// Javascript qui gre le fast_view
	if($FAST_VIEW){
		?>
		<SCRIPT language="JAVASCRIPT">
			<!--
				function showPost(p){
					if(document.getElementById("post"+p).style.display == "none")
						document.getElementById("post"+p).style.display = "";
					else document.getElementById("post"+p).style.display = "none";
				}
			//-->
		</SCRIPT>
		<?
	}

	$k=0;
	// On calcule le nombre de colonne
	$nb=6;
	if($PF["global_smiley"]) $nb++;
	if($FAST_VIEW) $nb++;

	// Saut de ligne
	echo "<BR>";
	
	// Dbut du tableau gnral
	echo "<table class=atk_default width=100% cellspacing=0px cellpadding=0>";

	/*************************/
	/* Affichage de l'entte */
	/*************************/
	echo "<TR>";
		echo "<TD class=atk_title colspan=$nb cellspacing=0px cellpadding=0>";

			echo "<TABLE width=100% cellspacing=0px cellpadding=0><TR>";
			echo "<TD>";
	
			echo "<TABLE width=100% cellspacing=0px cellpadding=0><TR>";
			if($PF["global_smiley"]) echo "<TD width=45px>&nbsp;</TD>";
			echo "<TD align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-MESSAGE"];
			echo "</TD>";
			if($FAST_VIEW) echo "<TD width=15px></TD>";
			echo "<TD width=130px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-AUTHOR"];
			echo "</TD>";
			echo "<TD width=34px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-ANSWER"];
			echo "</TD>";
			echo "<TD width=34px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-LU"];
			echo "</TD>";
			echo "<TD width=130px align=center>";
				echo "<p class=atk_menu>" . $LANG["FORUM-COL"];
			echo "</TD>";
			echo "</TR></TABLE>";

			echo "</TD>";
			echo "</TR></TABLE>";
	
		echo "</TD>";
	echo "</TR>";

	/**************************************/
	/* On affiche les sujets dans l'ordre */
	/**************************************/

	// Gestion de la surbrillance
	if($PF["bg_highlight"] || $PF["bg_onclick"]){
		include("./javascript/highlight.js");
		$highlight = "onClick=\"setRowColor(this, '" . $PF["bg_onclick"] . "', 'click')\" onMouseOver=\"setRowColor(this, '" . $PF["bg_highlight"] . "', 'over')\" onMouseOut=\"setRowColor(this, '', 'out')\"";
	} else $highlight="";
	$count=0;

	$color=""; $bg_img="";
	$post_it=0; $new_msg=0; $old_msg=0;

	while($row=mysql_fetch_array($sql)){
	
	   $id_forum = $row["forum_id"];
	   $passwd = $row["passwd"];
	   if(!empty($ATK_ACCES[$id_forum]) && $ATK_ACCES[$id_forum]==$passwd) $ACCES=1;
	   else $ACCES=0;
		
	   $list_login = explode("\n", $row["log_login"]);
	   $LOG_FORUM = 0;
	   foreach($list_login AS $login){
	   	$login = str_replace("\r","",$login);
		if(strtolower($login) == strtolower($ATK_LOGIN)) $LOG_FORUM = 1;
	   }
		
	   if(((!empty($passwd) && $ACCES) || empty($passwd)) && ($row["log_login"]=="" || $LOG_FORUM)){

		$count++;

		if(!$row["post_it"] AND $color==$PF["bg_line_1"]) $color=$PF["bg_line_2"]; else $color=$PF["bg_line_1"];
		if(!$row["post_it"] AND $bg_img==$PF["img_line_1"]) $bg_img=$PF["img_line_2"]; else $bg_img=$PF["img_line_1"];
		if($row["post_it"]) $color=$PF["bg_post_it"];
		if($row["post_it"]) $bg_img=$PF["img_post_it"];
		$title=cut_text($row["title"],60);
		$title=before_print_title($title);
		$comment=before_print_title($row["comment"]);
		$id=$row["id"];

		// Une ligne se trouve dans un tableau complet
		if(!empty($color)) echo "<TR bgcolor=$color id=\"row_$count\" $highlight>";
		else echo "<TR id=\"row_$count\" $highlight>"; 
		echo "<TD class=atk_forum width=34px align=center background='$bg_img'>";

			/**************************************/
			/* Choix de l'image en dbut de ligne */
			/**************************************/

			// Regarde si nouveau post
			if($PHP_SESS_ENABLED) $flag = (empty($_SESSION["READ"][$row["group_id"]]) || (!empty($_SESSION["READ"][$row["group_id"]]) && $_SESSION["READ"][$row["group_id"]]<$row["last_date"]));
			else $flag = (empty($ATK_READ[$row["group_id"]]) || (!empty($ATK_READ[$row["group_id"]]) && $ATK_READ[$row["group_id"]]<$row["last_date"]));

			
			// Image post-it
			if($row["post_it"]){
				$alt = $LANG["FORUM-NONEWMSG"];
				$img = $PF["puce_post_it"];
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]<($PF["nb_folder_fire"]) && $flag){
					$img=$PF["puce_post_it_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}

			// Image Sondage
			} elseif($row["id_poll"]) {
				$img=$PF["folder_poll"]; $alt = $LANG["FORUM-NONEWMSG"];
				if($row["last_date"]>$LAST_VISIT && $flag){
					$img=$PF["folder_poll_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}

			// Image message normal
			} else {
				// $flag = true si nouveau message
				$img=$PF["folder"]; $alt = $LANG["FORUM-NONEWMSG"];
				if($row["nb_answer"]>($PF["nb_folder_fire"]-1))$img=$PF["folder_fire"];
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]>($PF["nb_folder_fire"]-1) && $flag) {
					$img=$PF["folder_new_fire"];
					$alt = $LANG["FORUM-NEWMSG"];
				}
				if($row["last_date"]>$LAST_VISIT && $row["nb_answer"]<($PF["nb_folder_fire"]) && $flag){
					$img=$PF["folder_new"];
					$alt = $LANG["FORUM-NEWMSG"];
				}
			}

			// Affiche l'image
			echo "<img border=0 src='$img' ALT='$alt' TITLE='$alt'>";

		echo "</TD>";
			if($PF["global_smiley"]){

				if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
				if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=45px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
				else echo "<TD class=atk_forum width=45px align=center background='$img'>";

					$smiley=$row["smiley"];
					if($smiley!='0' AND $smiley!=''){
						echo "<img src='$SMILEY_PATH/" . $smiley;
						echo ".gif' border=0 hspace=6 align=middle>";
					} else echo "&nbsp;";
				echo "</TD>";
			}
		echo "<TD class=atk_forum background='$bg_img'>";
			
			echo "<TABLE cellpdding=0 cellspacing=0 border=0>";
			echo "<TR>";
			echo "<TD class=atk_body>";

				if($BY_ID == 1) echo "<a class=atk_post_tab href='forum.php?fid=" . $row["forum_id"] . "&msg=" . $row["id"] . "#" . $row["id"] . "'>";
				else echo "<a class=atk_post_tab href='" . $row["filename"] . "?msg=" . $row["id"] . "#" . $row["id"] . "'>";
					echo $title;
				echo "</a>";
				if($row["group_lock"]){
					echo "&nbsp;&nbsp;&nbsp;";
					echo "<img border=0 src='./images/lock.gif'>";
				}
				if($comment) echo "<BR>" . $comment;
			
			echo "</TD>";
			echo "</TR>";
			echo "</TABLE>";
			
		echo "</TD>";
		
		if($FAST_VIEW){
			echo "<TD class=atk_forum width=25px align=center background='$bg_img'>";
			echo "&nbsp;<img align=middle src='./images/showPost.gif' border=0 onclick='javascript: showPost($k);' ALT='" . $LANG["FORUM-FAST-VIEW"] . "' TITLE='" . $LANG["FORUM-FAST-VIEW"] . "'>";
			echo "</TD>";
		}
		if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
		if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=130px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
		else echo "<TD class=atk_forum width=130px align=center background='$img'>";
			if(!empty($CONNECTED_FORUM_USER[$row["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
			elseif(!empty($CONNECTED_INDEX_USER[$row["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
			$date=date($LANG["FORMAT-DATE"],$row["date"]+($PF["local_time"]*3600));
			if($row["sender"] != "nobody" && !ereg("^-(.)*-$",$row["sender"],$reg)) echo "<a class=atk_post_tab href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>" . $row["sender"] . "</a>";
			elseif($row["sender"] != "nobody") echo $row["sender"];
			else echo $LANG["NOBODY"];
			echo "<BR>";
			echo $date;
		echo "</TD>";
		echo "<TD class=atk_forum width=34px align=center background='$bg_img'>";
			echo $row["nb_direct_answer"];
		echo "</TD>";
		echo "<TD class=atk_forum width=34px align=center background='$bg_img'>";
			echo $row["visited"];
		echo "</TD>";
		echo "<TD class=atk_forum width=130px align=center background='$bg_img'>";
			if($BY_ID == 1) echo "<a class=atk_post_tab href='forum.php?fid=" . $row["forum_id"] . "'>";
			else echo "<a class=atk_post_tab href='" . $row["filename"] . "'>";
				echo $row["forum_title"];
			echo "</A>";
		echo "</TD>";

		echo "</TR>";

		// On crit le message en display=none pour qu'il ne soit pas visible
		if($FAST_VIEW){
			echo "<TR id='post$k' style='display: none;'>";
				echo "<TD colspan=$nb cellspacing=0px cellpadding=0>";
					show_post($row, $id, $page);
				echo "</TD>";
			echo "</TR>";
		}

		$k++;
		
	   }
		
	}

	// fin du tableau
	echo "</TABLE>";

	/*******************************************/
	/* Nombre de messages, affichage des pages */
	/*******************************************/
	// Nombre de sujets
	$query = "SELECT count(*) FROM atk_posts LEFT OUTER JOIN atk_forums ON atk_forums.id = atk_posts.forum WHERE sender = '$member' AND atk_forums.owner = '$owner'";
	$n_posts=dbgetfirst($query);
	
	$n_page=ceil($n_posts/$PF["nb_subjects_per_page"]);
	$param="&choix=15&member=$member";
	show_pages($page, $n_page, $param);

	/**************************/
	/* Affiche le double menu */
	/**************************/
	if($PF["dblmenu"]){
		echo "<BR>";
		navigator(15);
	}
}

/***********************/
/* Affichage d'un post */
/***********************/
function show_post($row, $id, $page){
	global $LANG, $DROIT, $MYSELF, $PF, $ATK_LOGIN, $OPACITY, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;

	$row["title"]=before_print_title($row["title"]);
	$row["comment"]=before_print_title($row["comment"]);
	$row["text"]=before_print_text($row["text"]);
	$row["signature"]=before_print_text($row["signature"]);

	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
		
		echo $row["title"];

		echo "</td>";
	echo "</tr><tr>";
		echo "<td class=atk_body_img>";

			echo "<table width=100% cellpadding=0px cellspacing=0px><tr>";
			echo "<td valign=top>";

			// Prpare la mise en place du fade
			$fade = " onmouseover=nereidFade(this,100,30,10) ";
			$fade.= "style='FILTER: alpha(opacity=$OPACITY)' ";
			$fade.= "onmouseout=nereidFade(this,$OPACITY,50,5)";

			echo "<table width=100%><tr>";
			echo "<td class=atk_body>";

				echo "<b>" . $LANG["POST-AUTHOR"];
				echo " :</b>&nbsp;&nbsp;";
				if(!empty($CONNECTED_FORUM_USER[$row["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
				elseif(!empty($CONNECTED_INDEX_USER[$row["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
				if($row["show_email"]){
					echo "<a href='mailto:" . $row["email"] . "'>";
					echo $row["sender"];
					echo "</a>";
				}
				elseif($row["sender"]=="nobody") echo $LANG["NOBODY"];
				else echo $row["sender"];
				if($row["sender"] != "nobody"){
					echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/profil.gif' ALT='" . $LANG["POST-PROFIL"] . "' TITLE='" . $LANG["POST-PROFIL"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["url"]){
					echo "&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $row["url"] . "' target='_blank'>";
					echo "<img src='./images/web.gif' border='0px' ALT='" . $LANG["POST-WEB"] . " : " . $row["url"] . "' TITLE='" . $LANG["POST-WEB"] . " : " . $row["url"] . "' ";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				$icon=strrev(decbin($PF["icon"]));
				if(!empty($icon[0]) && $row["sender"] != "nobody"){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=11&recipient=" . $row["sender"] . "&option=write'>";
					echo "<img src='./images/empty.gif' ALT='" . $LANG["POST-MP"] . "' TITLE='" . $LANG["POST-MP"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["msn"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/msn.gif' ALT='" . $LANG["POST-MSN"] . " : " . $row["msn"] . "' TITLE='" . $LANG["POST-MSN"] . " : " . $row["msn"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["icq"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<IMG src='./images/icq.gif' ALT='" . $LANG["POST-ICQ"] . " : " . $row["icq"] . "' TITLE='" . $LANG["POST-ICQ"] . " : " . $row["icq"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["aim"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/aim.gif' ALT='" . $LANG["POST-AIM"] . " : " . $row["aim"] . "' TITLE='" . $LANG["POST-AIM"] . " : " . $row["aim"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["skype"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/skype.gif' ALT='" . $LANG["POST-SKYPE"] . " : " . $row["skype"] . "' TITLE='" . $LANG["POST-SKYPE"] . " : " . $row["skype"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($row["sender"] != "nobody" AND $row["yahoo"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $row["sender"] . "'>";
					echo "<img src='./images/yahoo.gif' ALT='" . $LANG["POST-YAHOO"] . " : " . $row["yahoo"] . "' TITLE='" . $LANG["POST-YAHOO"] . " : " . $row["yahoo"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
			echo "</td>";
			echo "</tr><tr>";
				$date=date($LANG["FORMAT-DATE"],$row["date"]+($PF["local_time"]*3600));
				$read=str_replace("%n",$row["visited"],$LANG["POST-READ"]);
				echo "<td class=atk_body><b>" . $LANG["POST-DATE"];
				echo " :</b>&nbsp;&nbsp;$date" . " ($read)";
			echo "</td>";
			echo "</tr>";
			if(!empty($row["comment"])){
				echo "<tr>";
					echo "<td class=atk_body><b>" . $LANG["POST-COMMENT"];
					echo " :</b>&nbsp;&nbsp;" . $row["comment"] . "</td>";
				echo "</tr>";
			}
			echo "<tr>";
				echo "<td class=atk_body><BR>" . $row["text"] . "<BR><BR></td>";
			echo "</tr><tr>";
				echo "<td class=atk_body align=right>";
					if(!empty($row["signature"])){
						echo "--------------------------------<BR>";
						echo $row["signature"];
					}
				echo "</td>";
			echo "</tr><tr>";
			echo "<td class=atk_body>";
				if((empty($row["group_lock"]) && empty($PF["locked"])) || $DROIT==2) {
					echo "<a href='" . $MYSELF . "msg=" . $row["id"] . "&return=$page#write'>";
					echo $LANG["POST-ANSWER"] . "</a>";
					echo "&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "cit=" . $row["id"] . "&return=$page#write'>";
					echo $LANG["POST-CITATION"] . "</a>";
				}
				if($DROIT==2 OR ($ATK_LOGIN==$row["sender"] AND $PF["edit"] AND $ATK_LOGIN!="nobody" AND !$row["group_lock"] AND empty($PF["locked"]))){
					echo "&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=12&post=" . $row["id"] . "'>";
					echo $LANG["POST-EDIT"] . "</a>";
				}		
			echo "</td>";
			echo "</tr></table>";

			echo "</td></tr></table>";

		echo "</td>";
	echo "</tr></table>";
}
?>
