<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***********************/
/* Affiche les membres */
/***********************/
function show_members($owner, $page, $method, $login){
	global $PF, $FORUM, $LANG, $ASSIGN_MEMBERS;

	// Supprime le HTML et Javascript
	$login=str_replace("<","&lt;",$login);

	// Place $order en fonction de la mthode de classement choisi
	switch($method){
		// Tri par login croissant
		case 0:	$order="atk_users.login ASC";
				break;
		// Tri par login dcroissant
		case 1:	$order="atk_users.login DESC";
				break;
		// Tri par date d'inscription dcroissante
		case 2:	$order="atk_users.subscribe DESC";
				break;
		// Recherche  partir d'un login
		case 3:	$condition = "LEFT(atk_users.login," . strlen($login) . ") = '$login'";
				break;
	}
	
	// Affichage de la liste
	if($method!=3){

     	// Si index : On prend tous les membres de $owner
		if(empty($FORUM) AND $ASSIGN_MEMBERS == 2) $ASSIGN_MEMBERS = 1;

		switch($ASSIGN_MEMBERS){
			
			// On rcupre tous les membres qui on crit sur des forums
			case 0:
				$query="
					SELECT COUNT(atk_users.login)
					FROM atk_users
					WHERE atk_users.nb_post > 0";
				$nb = dbgetfirst($query);

				$debut=($page-1)*$PF["nb_members_per_page"];
				$query="
					SELECT atk_users.*
					FROM atk_users
					WHERE atk_users.nb_post > 0
					ORDER BY $order
					LIMIT $debut," . $PF["nb_members_per_page"];
				$sql = dbquery($query);
				dbclose();
				break;

			// On rcupre les membres de $owner
			case 1:
				$query="
					SELECT COUNT(atk_users.login)
					FROM atk_users
					WHERE atk_users.owner = '$owner'
					AND atk_users.nb_post > 0";
				$nb = dbgetfirst($query);

				$debut=($page-1)*$PF["nb_members_per_page"];
				$query="
					SELECT atk_users.*
					FROM atk_users
					WHERE atk_users.owner = '$owner'
					AND atk_users.nb_post > 0
					ORDER BY $order
					LIMIT $debut," . $PF["nb_members_per_page"];
				$sql = dbquery($query);
				break;

			// On rcupre les membres qui ont crit sur le forum courant
			case 2:
				$query="
					SELECT COUNT(*)
					FROM atk_users, atk_posts
					WHERE atk_users.login = atk_posts.sender
					AND atk_posts.forum = $FORUM
					GROUP BY atk_users.login";
				$sql = dbquery($query);
				$nb = mysql_num_rows($sql);

				$debut=($page-1)*$PF["nb_members_per_page"];
				$query = "
					SELECT atk_users.*
					FROM atk_users, atk_posts
					WHERE atk_users.login = atk_posts.sender
					AND atk_posts.forum = $FORUM
					GROUP BY atk_users.login
					ORDER BY $order
					LIMIT $debut," . $PF["nb_members_per_page"];
				$sql = dbquery($query);
				dbclose();
				break;

		}

		// On raffiche le formulaire de recherche des membres
		search_member($method);
		// On affiche tous les membres 1 par 1
		while($row=mysql_fetch_array($sql)) print_members($row);

		// On prpare l'affichage des pages
		if($nb){
			$nb_page=ceil($nb/$PF["nb_members_per_page"]);
			$param="&choix=5&method=" . $method;
			show_pages($page,$nb_page,$param);
		}

	// Recherche d'un membre particulier
	} else {

		// Recherche dans tous les membres
		$query="
			SELECT COUNT(atk_posts.id), atk_users.*
			FROM atk_users LEFT OUTER JOIN atk_posts
			ON atk_users.login=atk_posts.sender
			WHERE $condition
			GROUP BY atk_users.login";
		$sql=dbquery($query);
		dbclose();

		// On raffiche le formulaire de recherche des membres
		search_member($method);
		// On affiche le rsultat de la recherche
		$count = 0;
		while($row=mysql_fetch_array($sql)){
			print_members($row);
			$count++;
		}
		if($count==0) alert($LANG["MEMBERS-NOT-FOUND"]);

	}
}

/**************************************/
/* Affiche le formulaire de recherche */
/**************************************/
function search_member($method){
	global $MYSELF, $LANG, $PF;

	// Saut de ligne
	echo "<BR>";
	
	echo "<table class=atk_default width=100% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
			echo $LANG["MEMBERS-TITLE"];
		echo "</td>";
	echo "</tr><tr>";
		echo "<td class=atk_body_img height=70px>";

			echo "<BR><table width=100% cellpadding=0px cellspacing=0px><tr>";
			echo "<td class=atk_body>";

				// Affiche les choix de classement des rsultats
				echo "<b>" . $LANG["MEMBERS-ORDER"] . " :</b> ";
				echo "&nbsp;&nbsp;&nbsp;";
				if($method!=0) {
					echo "<a href='" . $MYSELF . "choix=5&method=0'>";
					echo $LANG["MEMBERS-ORDER-0"];
					echo "</a>";
				} else {
					echo $LANG["MEMBERS-ORDER-0"];
				}
				echo "&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;";
				if($method!=1) {
					echo "<a href='" . $MYSELF . "choix=5&method=1'>";
					echo $LANG["MEMBERS-ORDER-1"];
					echo "</a>";
				} else {
					echo $LANG["MEMBERS-ORDER-1"];
				}
				echo "&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;";
				if($method!=2){
					echo "<a href='" . $MYSELF . "choix=5&method=2'>";
					echo $LANG["MEMBERS-ORDER-2"];
					echo "</a>";
				} else {
					echo $LANG["MEMBERS-ORDER-2"];
				}

			echo "</td></tr>";
			echo "<tr><td class=atk_body>";

				// Dbut du formulaire
				echo "<form name=search method=post action='" . $MYSELF . "choix=5&method=3'>";

				echo "<b>" . $LANG["MEMBERS-SEARCH"] . " :</b> ";
				echo "<input class=atk_input type=text name=login size=15>";
				echo "&nbsp;&nbsp;&nbsp;";
				
				echo "<BR><BR>";
				echo "<CENTER>";
				$size = getimagesize($PF["button"]);
				echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
					echo "<A class=atk_button_link href='javascript:document.search.submit()' TITLE='" . $LANG["POST-ANSWER"] . "'>";
						echo $LANG["INPUT-OK"];
					echo "</A>";
				echo "</TD></TR></TABLE>";
				echo "</CENTER>";

                    echo "</form>";

			echo "</tr></table><BR>";

		echo "</td>";
	echo "</tr></table>";
}

/*********************/
/* Imprime un membre */
/*********************/
function print_members($row){
	global $DATE, $LANG, $PF, $PRESENCE, $CONNECTED_INDEX_USER, $CONNECTED_FORUM_USER, $MYSELF, $ATK_LOGIN;

	// Saut de ligne
	echo "<BR>";

	echo "<table class=atk_default width=100% cellspacing=0px cellpadding=0><tr>";
		echo "<td class=atk_title align=center>";
			if(!empty($CONNECTED_FORUM_USER[$row["login"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
			elseif(!empty($CONNECTED_INDEX_USER[$row["login"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
			echo $row["login"];
		echo "</td>";
	echo "</tr><tr>";
		echo "<td class=atk_body_img>";

		echo "<table width=100% cellpadding=0px cellspacing=0px><tr>";

		// On vrifie que l'option avatar a t coch
		if($PF["avatar"]){
			echo "<td width=130px>";
				// Affichage de l'avatar
				if($row["avatar"]){
					$row["avatar"]=str_replace("<","&lt;",$row["avatar"]);
					// Affichage de l'image au centre
					echo "<center>";
						echo "<img src='" . $row["avatar"];
						echo "'  alt='" . $row["login"];
						echo "'  title='" . $row["login"];
						echo "' width='" . $row["size_0"];
						echo "' height='" . $row["size_1"] . "'>";
					echo "</center>";
				}
			echo "</td>";
		}

		echo "<td valign=top>";

			echo "<table width=100%><tr>";
			
			// Lui envoyer un MP
			$icon=strrev(decbin($PF["icon"]));
			if($ATK_LOGIN != "nobody" && !empty($icon[0])){
				echo "</td><td class=atk_body>";
					echo "<a href='" . $MYSELF . "choix=11&recipient=" . $row["login"] . "&option=write'>";
					echo $LANG["POST-MP"];
					echo "</A>";
				echo "</td></tr><tr>";
			}

			// Affichage du statut more
			if($row["more"]){
				echo "</td><td class=atk_body>";
					echo "<b>" . $LANG["ADMIN-PROFILE-MORE"] . " :</b> ";
					echo $row["more"];
				echo "</td></tr><tr>";
			}
			
			// Vrifie si l'email est secret
			if($row["show_email"]){
				$row["show_email"]=str_replace("<","&lt;",$row["show_email"]);
				echo "</td><td class=atk_body>";
					echo "<b>" . $LANG["MEMBERS-EMAIL"] . " :</b> ";
					echo "<a href='mailto:" . $row["email"] . "'>";
					echo $row["email"];
					echo "</a>";
				echo "</td></tr><tr>";
			}

			// Si on affiche un messager, on cr une cellule
			if($row["msn"] OR $row["icq"] OR $row["yahoo"] OR $row["aim"] OR $row["skype"]){
				echo "</td><td class=atk_body>";

				// On affiche ventuellement msn
				if($row["msn"]){
					$row["msn"]=str_replace("<","&lt;",$row["msn"]);
					echo "<IMG src='./images/msn.gif' ALT='" . $LANG["MEMBERS-MSN"] . " TITLE='" . $LANG["MEMBERS-MSN"] . "'";
					echo "'>&nbsp;&nbsp; " . $row["msn"] . "&nbsp;&nbsp;&nbsp;&nbsp;";
				}
				// On affiche ventuellement icq
				if($row["icq"]){
					$row["icq"]=str_replace("<","&lt;",$row["icq"]);
					echo "<IMG src='./images/icq.gif' ALT='" . $LANG["MEMBERS-ICQ"] . " TITLE='" . $LANG["MEMBERS-ICQ"] . "'";
					echo "'>&nbsp;&nbsp; " . $row["icq"] . "&nbsp;&nbsp;&nbsp;&nbsp;";
				}
				// On affiche ventuellement aim
				if($row["aim"]){
					$row["aim"]=str_replace("<","&lt;",$row["aim"]);
					echo "<IMG src='./images/aim.gif' ALT='" . $LANG["MEMBERS-AIM"] . " TITLE='" . $LANG["MEMBERS-AIM"] . "'";
					echo "'>&nbsp;&nbsp; " . $row["aim"] . "&nbsp;&nbsp;&nbsp;&nbsp;";
				}
				// On affiche ventuellement yahoo
				if($row["yahoo"]){
					$row["yahoo"]=str_replace("<","&lt;",$row["yahoo"]);
					echo "<IMG src='./images/yahoo.gif' ALT='" . $LANG["MEMBERS-YAHOO"] . " TITLE='" . $LANG["MEMBERS-YAHOO"] . "'";
					echo "'>&nbsp;&nbsp; " . $row["yahoo"];
				}
				// On affiche ventuellement skype
				if($row["skype"]){
					$row["skype"]=str_replace("<","&lt;",$row["skype"]);
					echo "<IMG src='./images/skype.gif' ALT='" . $LANG["MEMBERS-SKYPE"] . " TITLE='" . $LANG["MEMBERS-SKYPE"] . "'";
					echo "'>&nbsp;&nbsp; " . $row["skype"] . "&nbsp;&nbsp;&nbsp;&nbsp;";
				}
	
				echo "</td></tr><tr>";
			}

			// Si un lieu gographique est prcis
			if($row["town"]){
				$row["town"]=str_replace("<","&lt;",$row["town"]);
				echo "</td><td class=atk_body>";
				echo "<b>" . $LANG["MEMBERS-TOWN"] . " :</b> " . $row["town"];
				echo "</td></tr>";
			}
			
			// Date d'inscription
			echo "</td><td class=atk_body>";
				$date=date($LANG["FORMAT-DATE"],$row["subscribe"]+($PF["local_time"]*3600));
				echo "<b>" . $LANG["MEMBERS-SUBSCRIBE"] . " :</b> $date";
			echo "</td></tr>";

			// Nombre de messages
			echo "<tr><td class=atk_body>";
				echo "<b>" . $LANG["MEMBERS-POST"] . " :</b> <A href='" . $MYSELF . "choix=15&member=" . $row["login"] . "'>" . $row["nb_post"] . " message(s)</A>";
			echo "</td></tr>";

			// Prsence du membre
			if($row["show_status"]==0){
				echo "<tr></td><td class=atk_body>";
					$q=$row["nb_post"]/(($DATE-$row["subscribe"])/86400);
					$part=10;
					if($q<$PRESENCE[9]) $part=9;
					if($q<$PRESENCE[8]) $part=8;
					if($q<$PRESENCE[7]) $part=7;
					if($q<$PRESENCE[6]) $part=6;
					if($q<$PRESENCE[5]) $part=5;
					if($q<$PRESENCE[4]) $part=4;
					if($q<$PRESENCE[3]) $part=3;
					if($q<$PRESENCE[2]) $part=2;
					if($q<$PRESENCE[1]) $part=1;
					$img = "images/stars/stars-$part.gif";
					$text = ($part/2) . " / 5";
					echo "<b>" . $LANG["MEMBERS-ACTIVE"] . " :</b> <IMG src='$img' ALT='$text' TITLE='$text'>";
				echo "</td></tr>";
			}

			// Statut en fonction du nombre de post net
			if($row["show_status"]==0){
				if(!empty($PF["max_status"]) && !empty($PF["status"])){
					echo "<tr></td><td class=atk_body>";
						$status = status($row["nb_post"]);
						echo "<b>" . $LANG["MEMBERS-STATUT"] . " :</b> " . $status;
					echo "</td></tr>";
				}
			}		
			
			// Site web du membre
			if($row["url"]){
				$row["url"]=str_replace("<","&lt;",$row["url"]);
				echo "</td><td class=atk_body>";
				echo "<b>" . $LANG["MEMBERS-WEB"] . " :</b> ";
				echo "<a href='" . $row["url"] . "' target='_blank'>";
				echo $row["url"];
				echo "</a>";
				echo "</td></tr>";
			}

			// Autres champs personnalisables
			if($PF["other_profile"]){
				$list_champ = explode("\n",$PF["other_profile"]);
				$list_profil = unserialize($row["other"]);
				$i = 0;
				foreach($list_champ AS $champ){
					if(!empty($list_profil[$i])){
						$list_profil[$i]=str_replace("<","&lt;",$list_profil[$i]);
						echo "<tr><td class=atk_body>";
							$list_profil[$i] = before_print_text(stripslashes($list_profil[$i]));
							echo "<b>" . $champ . " :</b> ";
							echo $list_profil[$i++];
						echo "</td></tr>";
					}
				}
			}

			// Signature du membre
			if($row["signature"]){
				$row["signature"]=before_print_text($row["signature"]);
				echo "</td><td class=atk_body>";
					echo "<b>" . $LANG["MEMBERS-SIGNATURE"] . " :</b> ";
				echo "</TD></TR><TR><TD class=atk_body align=right>";
					echo "<i>" . $row["signature"] . "</i>";
				echo "</td></tr>";
			}

			echo "</tr></table>";

		echo "</td></tr></table>";

	echo "</td></tr></table>";
}
?>
