<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***************************************/
/* Affiche la liste des nouveaux posts */
/***************************************/
function new_post($owner){
	global $PF, $LANG, $BY_ID, $MYSELF, $ATK_VISIT, $LAST_VISIT_DEFAULT, $CONNECTED_INDEX_USER;
	global $DATE, $ATK_SESS, $ATK_READ, $FORUM, $ATK_ACCES, $SMILEY_PATH, $ATK_LOGIN;

	// On rcupre la liste des forums
	$query = "
		SELECT id, title, filename, nb_posts_per_page, passwd, log_login, structure
		FROM atk_forums
		WHERE owner='$owner'
		ORDER BY id";
	$sql_forum = dbquery($query);
	
	if(empty($FORUM)){
		if(!empty($ATK_SESS)) $ATK_SESS=unserialize(stripslashes($ATK_SESS));
		if(!empty($ATK_READ)) $ATK_READ=unserialize(stripslashes($ATK_READ));
		if(!isset($ATK_ACCES)) $ATK_ACCES="";
		$ATK_ACCES = stripslashes($ATK_ACCES);
		if(isset($ATK_ACCES)) $ATK_ACCES=unserialize($ATK_ACCES);
	}
	
	$global_count=0;
	
	// On calcule le nombre de colonne
	$nb=6;
	if($PF["global_smiley"]) $nb++;
	
	// Pour chaque forum, on va rcuprer a liste des sujets nouveaux
	while($row_forum=mysql_fetch_array($sql_forum)){
		
		$id_forum = $row_forum["id"];
		$passwd = $row_forum["passwd"];

		if(!empty($ATK_ACCES[$id_forum]) && $ATK_ACCES[$id_forum]==$passwd) $ACCES=1;
		else $ACCES=0;
		
		$list_login = explode("\n", $row_forum["log_login"]);
		$LOG_FORUM = 0;
		foreach($list_login AS $login){
			$login = str_replace("\r","",$login);
			if(strtolower($login) == strtolower($ATK_LOGIN)) $LOG_FORUM = 1;
		}
		
		if(((!empty($passwd) && $ACCES) || empty($passwd)) && ($row_forum["log_login"]=="" || $LOG_FORUM)){
		
			// On rcupre la date de la dernire visite
			// Si il y a une session dans le forum
			if(!empty($ATK_SESS[$id_forum])){
				$ID_SESS = $ATK_SESS[$id_forum];
				$query = "
					SELECT atk_sessions.last_visit
					FROM atk_sessions
					WHERE atk_sessions.id = '$ID_SESS'
					AND expire >= $DATE";
				$LAST_VISIT = dbgetfirst($query);
				if(empty($LAST_VISIT)) unset($ATK_SESS[$id_forum]);
			}
			// Si aucune session dans le forum
			if(empty($ATK_SESS[$id_forum])){
				if(isset($ATK_VISIT[$row_forum["id"]])) $LAST_VISIT = $ATK_VISIT[$row_forum["id"]];
				else $LAST_VISIT = $LAST_VISIT_DEFAULT;
			}
						
			$query = "
				SELECT atk_posts.id, atk_posts.tab, atk_posts.sender, atk_posts.smiley, atk_posts.title, atk_posts.comment, atk_posts.group_id,
				atk_posts.visited, atk_posts.smiley, atk_posts.date, atk_posts.num, atk_posts.group_lock,
				atk_posts.post_it, atk_posts.visited, atk_posts.text, atk_posts.answer, atk_posts.last_id,
				atk_posts.last_sender, atk_posts.last_date, atk_posts.nb_answer
				FROM atk_posts
				WHERE atk_posts.forum = $id_forum
				AND atk_posts.num = 0
				ORDER BY atk_posts.last_id DESC
				LIMIT 15";
			// On effectue la requte
			$sql_post = dbquery($query);
	
			// Gestion de la surbrillance
			if($PF["bg_highlight"] || $PF["bg_onclick"]){
				include("./javascript/highlight.js");
				$highlight = "onClick=\"setRowColor(this, '" . $PF["bg_onclick"] . "', 'click')\" onMouseOver=\"setRowColor(this, '" . $PF["bg_highlight"] . "', 'over')\" onMouseOut=\"setRowColor(this, '', 'out')\"";
			} else $highlight="";
		
			$flag=0; $color=""; $bg_img=""; $count=0;
			$filename = $row_forum["filename"];
			
			while($row_post=mysql_fetch_array($sql_post)){
				
				if($row_post["last_date"]>$LAST_VISIT && (empty($ATK_READ[$row_post["group_id"]]) || $ATK_READ[$row_post["group_id"]]<$row_post["last_date"])){
				
					$count++;
		
					if(!$flag){
						echo "<BR>";
						echo "<table width=100% class=atk_default cellspacing=0px><tr>";
							echo "<td class=atk_title align=center colspan=$nb>";
								echo $row_forum["title"];
							echo "</td>";
						echo "</tr>";
						$flag=1;
					}
							
					$sender=$row_post["last_sender"];
					$date=$row_post["last_date"];
					$last_id=$row_post["last_id"];
					$id=$row_post["id"];
					$title=$row_post["title"];
					$title=cut_text($title,60);
					$title=before_print_title($title);
					$comment=$row_post["comment"];
					$comment=before_print_title($comment);
							
					// Alternance des couleurs
					if($color==$PF["bg_line_1"]) $color=$PF["bg_line_2"]; else $color=$PF["bg_line_1"];
					if($bg_img==$PF["img_line_1"]) $bg_img=$PF["img_line_2"]; else $bg_img=$PF["img_line_1"];
		
					// Affiche une ligne de post
					echo "\n\n\n<TR bgcolor=$color id=\"row_$id\" $highlight>";
						echo "<TD class=atk_forum width=34px align=center background='$bg_img'>";
							
							// Affiche le folder de la bonne couleur (pour nouveaux messages)
							$img=$PF["folder_new"];
							if($row_post["nb_answer"]>($PF["nb_folder_fire"]-1)) $img=$PF["folder_new_fire"];
							echo "<img border=0 src='$img'>";
		
						echo "</TD>";
							if($PF["global_smiley"]){

								if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
								if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=45px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
								else echo "<TD class=atk_forum width=45px align=center background='$img'>";
									$smiley=$row_post["smiley"];
									if($smiley!='0' AND $smiley!=''){
										echo "<img src='$SMILEY_PATH/" . $smiley;
										echo ".gif' border=0 hspace=6 align=middle>";
									} else echo "&nbsp;";
								echo "</TD>";
							}
						echo "<TD class=atk_forum background='$bg_img'>";

							echo "<TABLE cellpdding=0 cellspacing=0 border=0>";
							echo "<TR>";
							echo "<TD class=atk_body>";
						
							
								if(!empty($row_post["nb_answer"]) && $row_forum["structure"] < 2){
									if($BY_ID) echo "<A href='forum.php?fid=$id_forum&msg=" . $row_post["id"] . "&return=1&view=firstnewpost#firstnewpost'><IMG src='./images/showPost.gif' valign=middle border=0 ALT='" . $LANG["FORUM-FIRST-NON-SEE"] . "' TITLE='" . $LANG["FORUM-FIRST-NON-SEE"] . "'></a>";
									else  echo "<A href='$filename?msg=" . $row_post["id"] . "&return=1&view=firstnewpost#firstnewpost'><IMG src='./images/showPost.gif' valign=middle border=0 ALT='" . $LANG["FORUM-FIRST-NON-SEE"] . "' TITLE='" . $LANG["FORUM-FIRST-NON-SEE"] . "'></a>";
									echo "</TD><TD class=atk_body>";
								}
						
								if($row_forum["structure"] < 2){
									if($BY_ID) echo "<a class=atk_post_tab href='forum.php?fid=$id_forum&msg=$id&return=1#top'>";
									else echo "<a class=atk_post_tab href='$filename?msg=$id&return=1#top'>";
								} else {
									if($BY_ID) echo "<a class=atk_post_tab href='forum.php?fid=$id_forum'>";
									else echo "<a class=atk_post_tab href='$filename'>";
								}
									echo $title;
								echo "</a>";
								if($row_post["group_lock"]){
									echo "&nbsp;&nbsp;&nbsp;";
									echo "<img border=0 src='./images/lock.gif'>";
								}
								create_page($row_post["nb_answer"], $id, 1, $row_forum);

							echo "</TD>";
							echo "</TR>";
							echo "</TABLE>";
	
						echo "</TD>";

						if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
						if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=130px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
						else echo "<TD class=atk_forum width=130px align=center background='$img'>";
							if(!empty($CONNECTED_INDEX_USER[$row_post["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
							$date=date($LANG["FORMAT-DATE"],$row_post["date"]+($PF["local_time"]*3600));
							if($row_post["sender"] != "nobody") echo "<a class=atk_post_tab href='" . $MYSELF . "choix=5&method=3&login=" . $row_post["sender"] . "'>" . $row_post["sender"] . "</a><BR>";
							else echo $LANG["NOBODY"] . "<BR>";
							echo $date;
						echo "</TD>";
						echo "<TD class=atk_forum width=30px align=center background='$bg_img'>";
							echo $row_post["nb_answer"];
						echo "</TD>";
						echo "<TD class=atk_forum width=30px align=center background='$bg_img'>";
							echo $row_post["visited"];
						echo "</TD>";
							
							if(!empty($PF["img_col"])) $img=$PF["img_col"]; else $img=$bg_img;
							if(!empty($PF["bg_col"])) echo "<TD class=atk_forum width=130px align=center background='$img' bgcolor='" . $PF["bg_col"] . "'>";
							else echo "<TD class=atk_forum width=130px align=center background='$img'>";

							if($row_post["last_id"] != $id && $row_forum["structure"] < 2){
								if(!empty($CONNECTED_INDEX_USER[$row_post["last_sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";
								if($row_post["last_sender"] != "nobody") echo "<a class=atk_post_tab href='" . $MYSELF . "choix=5&method=3&login=" . $row_post["last_sender"] . "'>" . $row_post["last_sender"] . "</a>";
								else echo $LANG["NOBODY"];
								if($BY_ID) echo "&nbsp;<a class=atk_post_tab href='forum.php?fid=$id_forum&msg=$last_id&return=1#$last_id'>";
								else echo "&nbsp;<a class=atk_post_tab href='$filename?msg=$last_id&return=1#$last_id'>";
								echo "<IMG src='./images/view.gif' border=0></a>";
								echo "<BR>";
								$last_date=date($LANG["FORMAT-DATE"],$row_post["last_date"]+($PF["local_time"]*3600));
								echo $last_date;
							} else echo "&nbsp;";
						echo "</TD>";
					echo "</TR>";
				}
			}
	
	          if($count){
				echo "</TABLE>";				
				$global_count += $count;
			}
			
		}

	}
	
	// Si aucun nouveau message n'est dtect, met un avertissement
	if(empty($global_count)){

		// Saut de ligne
		echo "<BR>";
		
		echo "<TABLE width=100% class=atk_default cellspacing=0px><tr>";
			echo "<TD class=atk_title align=center>" . $LANG["ALERT-ALERT"] . "</TD>";
		echo "</TR><TR>";
			echo "<TD class=atk_body_img align=center height=40px>" . $LANG["NEWPOSTS-NOPOST"] . "</td>";
		echo "</TR></TABLE>";
	
	}

}

/*************************************/
/* Affiche les pages dans les sujets */
/*************************************/
function create_page($nb, $msg, $page, $row_forum){
	global $PF, $MYSELF;

	$nb=ceil(($nb+1)/$row_forum["nb_posts_per_page"]);

	if($nb<2) return;

     echo "&nbsp;&nbsp;[&nbsp;";

	if($nb>4){
		for($i=1; $i<3; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
		echo "...&nbsp;";
		for($i=$nb-1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	} else {
		for($i=1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	}

	echo "]";
}
?>
