<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/****************************/
/* Gestion des banissements */
/****************************/
if(!empty($ATK_BAN)){
	header("location:$URL_BAN");
	exit;	
}

// Si les sessions php ont t activ
if($PHP_SESS_ENABLED){

	/************************/
	/* Gestion des sessions */
	/************************/
	session_name('ATKSESSID');
	session_start();
	
	// Initialisation des login rels de la session
	if(empty($_SESSION["SESS_LOGIN"])){
		$_SESSION["SESS_LOGIN"]="nobody";
		$_SESSION["SESS_PASSWD"]="";
	}
	
	// Rcupre l'identit des cookies et la vrifie
	if($_SESSION["SESS_LOGIN"]=="nobody" && !empty($COOKIE_L) && !empty($COOKIE_P)){
		
		// Vrification de l'identit des cookies
		$query = "SELECT login,admin,passwd,fast_view FROM atk_users WHERE login='$COOKIE_L'";
		if($row = dbgetline($query) && $COOKIE_P == $row["passwd"]){
	
			// Mise  jour de l'utilisateur de la session
			$_SESSION["SESS_LOGIN"] = $row["login"];
			$_SESSION["SESS_PASSWD"] = $row["passwd"];
			
			$DROIT=1;
			$FAST_VIEW=$row["fast_view"];
			// Vrifie si le $ATK_LOGIN est un administrateur
			$PRIV=strrev(decbin($row["admin"]));
			if(!empty($PRIV[4]) OR $ATK_LOGIN==$owner) $DROIT=2;
	
		} else {
			
			// Supression des cookies incorrectes
			setcookie("COOKIE_L");
			setcookie("COOKIE_P");
				
		}
	
	}
	
	// Donne les valeurs aux varables globales
	$ATK_LOGIN = $_SESSION["SESS_LOGIN"];
	$ATK_PASSWD = $_SESSION["SESS_PASSWD"];
	
	/**********************************************/
	/* Vrifie les droits du visiteur sur l'index */
	/**********************************************/
	if(empty($DROIT)){
		$DROIT=0;
		if($ATK_LOGIN != "nobody"){
			$query = "SELECT login,admin,passwd FROM atk_users WHERE login='$ATK_LOGIN'";
			$row = dbgetline($query);
			if($row AND $ATK_PASSWD == $row["passwd"]){
				$DROIT=1;
				// Vrifie si le $ATK_LOGIN est un administrateur
				$PRIV=strrev(decbin($row["admin"]));
				if(!empty($PRIV[4]) OR $ATK_LOGIN==$owner) $DROIT=2;
			}
		}
	}

	// Session fait "maison"	
} else {

	// On cherche l'identification automatique
	if(empty($ATK_LOGIN)) $ATK_LOGIN="nobody";
	if(empty($ATK_PASSWD)) $ATK_PASSWD="";
	
	// Recherche les droit du visiteur sur l'index
	$DROIT=0;
	if($ATK_LOGIN != "nobody"){
		$query = "SELECT login,admin,passwd,fast_view FROM atk_users WHERE login='$ATK_LOGIN'";
		$row = dbgetline($query);
		if($row AND $ATK_PASSWD == $row["passwd"]){
			$DROIT=1;
			$FAST_VIEW=$row["fast_view"];
			// Vrifie si le $ATK_LOGIN est un administrateur
			$PRIV=strrev(decbin($row["admin"]));
			if(!empty($PRIV[4]) OR $ATK_LOGIN==$owner) $DROIT=2;
		}
	}

}
?>
