<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***

    Ce fichier permet de changer le password d'un user dans
    la base de donnes du forum.
    
    Le fichier s'excute par un include simplement avec pour paramtre
    $atk_login et le $atk_passwd correspondant.
    
    Exemple d'utilisation :
    
    $atk_login = $login;
    $atk_passwd = $password;
    $success = include("Aztek/tools/chgpasswd.php");
    if($success){
        // Ici raliser le changement dans la base des utilisateur du reste du site
        echo "Changement de mot de passe russi";
    } else {
        echo "Changement non accept";
    }

    Remarques :
    * Pour des raison de scurit, ce programme doit se trouver dans
    un rpertoire protg par .htaccess
    * Il faut d'abord envoy l'action sur le forum, vrifier si l'action est
    accept, et si oui, la ralis pour le reste du site. Le forum est prioritaire
    * N'oubliez pas de renseigner les paramtre juste ci-dessous, ou les 5 premiers
    paramtres sont les mme que dans le fichier common/bddconf.php et ou $OWNER
    est le login propritaire des forums sur lesquels vous inscrivez (le superadministrateur
    des forums le plus souvent)

***/

/*********************************************************/
/* Donnes  configurer pour faire fonctionner ce script */
/*********************************************************/
$ATK_DBHOST = "localhost";
$ATK_USEBDD = "";
$ATK_USER = "";
$ATK_PASSWORD = "";
$ATK_SALT = "";

/**********************************/
/* Connexion  la base de donnes */
/**********************************/
function atk_dbconnect(){
	global $ATK_DBHOST, $ATK_USEBDD, $ATK_USER, $ATK_PASSWORD, $ATK_HANDLE;

	$ATK_HANDLE=mysql_connect($ATK_DBHOST,$ATK_USER,$ATK_PASSWORD);
	$database=mysql_select_db($ATK_USEBDD,$ATK_HANDLE);

	return($ATK_HANDLE);
}

/*********************************************/
/* Ferme la connexion  la bdd si ncessaire */
/*********************************************/
function atk_dbclose(){
	global $ATK_HANDLE;

	if($ATK_HANDLE){
		mysql_close($ATK_HANDLE);
		$ATK_HANDLE=0;
	}
}

/***********************/
/* Excute une requete */
/***********************/
function atk_dbquery($query){
	global $ATK_HANDLE;

	$sql=mysql_query($query,$ATK_HANDLE);

	return $sql;
}

atk_dbconnect();

// Vrification de la validit des renseignements fournis
$atk_result = 1;
if(strlen($atk_passwd)<4) $atk_result=0;

if($atk_result){
	$DATE = time();
	// On enregistre le nouveau user dans la table users
	$atk_passwd = crypt($atk_passwd, $ATK_SALT);
	$query = "
		UPDATE atk_users SET passwd = '$atk_passwd' WHERE login = '$atk_login'";
	$sql = atk_dbquery($query);
}

atk_dbclose();

return $atk_result;
?>
