<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***

    Ce fichier permet de loguer un utilisateur sur les forums
    
    Le fichier s'excute par un include simplement avec pour paramtre
    $atk_login et le $atk_passwd correspondant.
    
    Exemple d'utilisation :
    
    $atk_login = $login;
    $atk_passwd = $password;
    $atk_cookie = 1;
    $success = include("Aztek/tools/login.php");
    if($success){
        echo "Le membre est connect";
    } else {
        echo "Le mot de passe n'est pas accept";
    }

    Remarques :
    * Ce fichier doit tre appel avant tout autre envoie d'information au navigateur (Avant
    l'affichage de la balise <HTML>)
    * atk_cookie est  1 quand le membre dcide d'tre toujours reconnu automatiquement,
    0 sinon (durera le temps de la session)
    * Pour des raison de scurit, ce programme doit se trouver dans
    un rpertoire protg par .htaccess
    * Il faut d'abord envoy l'action sur le forum, vrifier si l'action est
    accept, et si oui, la ralis pour le reste du site. Le forum est prioritaire
    * N'oubliez pas de renseigner les paramtre juste ci-dessous, ou les 5 premiers
    paramtres sont les mme que dans le fichier common/bddconf.php et ou $OWNER
    est le login propritaire des forums sur lesquels vous inscrivez (le superadministrateur
    des forums le plus souvent)

***/

/*********************************************************/
/* Donnes  configurer pour faire fonctionner ce script */
/*********************************************************/
$ATK_DBHOST = "localhost";
$ATK_USEBDD = "";
$ATK_USER = "";
$ATK_PASSWORD = "";
$ATK_SALT = "";

$DATE = time();
$COOKIE_EXPIRE = $DATE+7776000;

/**********************************/
/* Connexion  la base de donnes */
/**********************************/
function atk_dbconnect(){
	global $ATK_DBHOST, $ATK_USEBDD, $ATK_USER, $ATK_PASSWORD, $ATK_HANDLE;

	$ATK_HANDLE=mysql_connect($ATK_DBHOST,$ATK_USER,$ATK_PASSWORD);
	$database=mysql_select_db($ATK_USEBDD,$ATK_HANDLE);

	return($ATK_HANDLE);
}

/*********************************************/
/* Ferme la connexion  la bdd si ncessaire */
/*********************************************/
function atk_dbclose(){
	global $ATK_HANDLE;

	if($ATK_HANDLE){
		mysql_close($ATK_HANDLE);
		$ATK_HANDLE=0;
	}
}

/***********************/
/* Excute une requete */
/***********************/
function atk_dbquery($query){
	global $ATK_HANDLE;

	$sql=mysql_query($query,$ATK_HANDLE);

	return $sql;
}

atk_dbconnect();

	// On crypte le password donn pour faire une comparaison
	$atk_passwd=crypt($atk_passwd,$ATK_SALT);
	// Recherche si le login/password existe dans la table users
	$query="SELECT login,passwd,admin,ban FROM atk_users WHERE login='$atk_login' AND passwd='$atk_passwd'";
	$sql=atk_dbquery($query);
	// Si il existe et password correcte alors
	if($row=mysql_fetch_array($sql)){
		// Gestion des bannissements
		if($row["ban"]>$DATE) setcookie("ATK_BAN", "1", $row["ban"]);
		if(!empty($atk_cookie)){
			setcookie("ATK_LOGIN",$row["login"],$COOKIE_EXPIRE);
			setcookie("ATK_PASSWD",$row["passwd"],$COOKIE_EXPIRE);
		} else {
			setcookie("ATK_LOGIN",$row["login"]);
			setcookie("ATK_PASSWD",$row["passwd"]);
		}
	} else {
		// Erreur login/mot de passe
		$atk_result = 0;
	}

atk_dbclose();

return $atk_result;
?>