<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/************************************/
/* Renvoie la structure d'une table */
/************************************/
function getTableDef($table) {
	global $USEBDD;

	$schema_create = "";
	$auto_increment = "";

	$schema_create .= "# Structure of $table\n";
	$schema_create .= "# ------------------------------\n\n";

	$result = dbquery("SHOW TABLE STATUS FROM $USEBDD LIKE '$table'");
	if ($result != FALSE && mysql_num_rows($result) > 0) {
		$tmpres = mysql_fetch_array($result);
		if(!empty($tmpres["Auto_increment"])){
			$auto_increment .= " AUTO_INCREMENT=" . $tmpres["Auto_increment"];
		}
		mysql_free_result($result);
	}

	$result = dbquery("SHOW CREATE TABLE $USEBDD.$table");
	if ($result != FALSE && mysql_num_rows($result) > 0) {
		$tmpres = mysql_fetch_array($result);
		$pos = strpos($tmpres[1], ' (');
		$pos2 = strpos($tmpres[1], '(');
		if ($pos2 != $pos + 1) {
			$pos = $pos2;
			$tmpres[1] = str_replace(",", ",\n", $tmpres[1]);
		}
		$tmpres[1] = substr($tmpres[1], 0, 13) . $tmpres[0] . substr($tmpres[1], $pos);
		if (preg_match_all('((,\r?\n[\s]*(CONSTRAINT|FOREIGN[\s]*KEY)[^\r\n,]+)+)', $tmpres[1], $regs)) {
			$sql_constraints .= "ALTER TABLE $table \n"
					. preg_replace("/(,\r?\n|^)([\s]*)(CONSTRAINT|FOREIGN[\s]*KEY)/", "\1\2ADD \3", substr($regs[0][0], 2))
					. ";\n";
			$tmpres[1]     = preg_replace("((,\r?\n[\s]*(CONSTRAINT|FOREIGN[\s]*KEY)[^\r\n,]+)+)", "", $tmpres[1]);
		}
		$schema_create .= $tmpres[1];
	}

	$schema_create .= $auto_increment . ";\n\n";

	mysql_free_result($result);
	return $schema_create;
}

/***********************************/
/* Renvoie les donnes d'une table */
/***********************************/
function getTableData($table){

	$text = "# Data of $table\n";
	$text .= "# ------------------------------\n\n";

	$buffer = "";

	$query = "SELECT * FROM $table";
	$result = dbquery($query);

	if ($result != FALSE) {
		$fields_cnt = mysql_num_fields($result);
		$rows_cnt   = mysql_num_rows($result);

		// get the real types of the table's fields (in an array)
		// the key of the array is the backquoted field name
		$table_def = dbquery("SHOW FIELDS FROM $table");
		while($row = @mysql_fetch_array($table_def)) {
			$field_types[$row["Field"]] = ereg_replace("\\(.*", "", $row["Type"]);
		}

		// Checks whether the field is an integer or not
		for ($j = 0; $j < $fields_cnt; $j++) {
			$field_set[$j] = mysql_field_name($result, $j);
			$type = $field_types[$field_set[$j]];

			if ($type == 'tinyint' || $type == 'smallint' || $type == 'mediumint' || $type == 'int' ||
			 $type == 'bigint') {
			 $field_num[$j] = TRUE;
			} else {
			 $field_num[$j] = FALSE;
			}
			// blob
			if ($type == 'blob' || $type == 'mediumblob' || $type == 'longblob' || $type == 'tinyblob') {
			 $field_blob[$j] = TRUE;
			} else {
			 $field_blob[$j] = FALSE;
			}
		} // end for

		// Sets the scheme
		$schema_insert = "INSERT INTO " . $table . " VALUES (";

		$search       = array("\x00", "\x0a", "\x0d", "\x1a");
		$replace      = array('\0', '\n', '\r', '\Z');
		$current_row  = 0;

		while ($row = mysql_fetch_row($result)) {
			$current_row++;
			for ($j = 0; $j < $fields_cnt; $j++) {
				if (!isset($row[$j])) {
					$values[]     = 'NULL';
				} else if ($row[$j] == '0' || $row[$j] != '') {
					// a number
					if ($field_num[$j]) {
						$values[] = $row[$j];
					// a not empty blob
					} else if ($field_blob[$j] && !empty($row[$j])) {
						$values[] = '0x' . bin2hex($row[$j]);
					// a string
					} else {
						$values[] = "'" . str_replace($search, $replace, Addslashes($row[$j])) . "'";
					}
				} else {
					$values[] = "''";
				} // end if
			} // end for

			$insert_line = $schema_insert . implode(', ', $values) . ");";

			$text .= $insert_line . "\n";

			unset($values);

		} // end while

	} // end if ($result != FALSE)
	mysql_free_result($result);

	$text .= "\n\n\n";

	return $text;
}

if(empty($PRIV[2])) error(24);


$date = date("Y-j-m H:i:s", $DATE);

$backup = "";
$backup .= "# Aztek Forum Backup from version $VERSION by $ATK_LOGIN\n";
$backup .= "# $date\n\n";
$backup .= "# SALT for passwords (Use with php's crypt() function)\n";
$backup .= "# \$SALT = $SALT\n\n\n";
$backup .= getTableDef("atk_users");
$backup .= getTableData("atk_users");
$backup .= getTableDef("atk_forums");
$backup .= getTableData("atk_forums");
$backup .= getTableDef("atk_index");
$backup .= getTableData("atk_index");
$backup .= getTableDef("atk_category");
$backup .= getTableData("atk_category");
$backup .= getTableDef("atk_admin");
$backup .= getTableData("atk_admin");
$backup .= getTableDef("atk_sessions");
$backup .= getTableData("atk_sessions");
$backup .= getTableDef("atk_inbox");
$backup .= getTableData("atk_inbox");
$backup .= getTableDef("atk_posts");
$backup .= getTableData("atk_posts");

dbclose();

$date = date("Y-j-m-H-i-s", $DATE);
$filename = "backup-$date.sql";

// Download
header('Content-Type: application/force-download');
header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Content-Disposition: attachment; filename="' . $filename . '"');

echo $backup;
?>
