<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/******************************/
/* Fonction de redistribution */
/******************************/
function members($number,$page,$search){
	global $LANG, $PRIV, $ATK_LOGIN;

	if($page==0) $page=1;
	if($number==0) $number=15;

	// Affiche le titre
	echo "<p class=atk_title>" . $LANG["ADMIN-MEMBERS"] . "</p>";

	$flag=0;
	if(empty($PRIV[4])){
		$sql=dbquery("SELECT droit FROM atk_admin WHERE atk_admin.login='$ATK_LOGIN'");
		while($row = mysql_fetch_array($sql)){
			$priv=strrev(decbin($row["droit"]));
			if(!empty($priv[2])) $flag++;
		}
	} else $flag++;

	if($flag){
		show_options($number,$page,$search);
		$n=show_members($number, $page,$search);
		if(!$search) print_pages($n,$number, $page);
	} else echo "<br><p class=atk_info align=center><b>" . $LANG["ADMIN-MEMBERS-NO"] . "</b>";
}

/*************************************/
/* affichage des options d'affichage */
/*************************************/
function show_options($number,$page,$search){
	global $PHP_SELF, $LANG;

	// Dbut du formulaire
	echo "<FORM method=post action='$PHP_SELF?choix=5&page=$page'>";

	echo "<TABLE align=center><TR><TD>";
		echo "<p class=atk_info>" . $LANG["ADMIN-MEMBERS-OPTION"];
	echo "</TD><TD>";
		echo "<SELECT class=atk_input name=number>";
			if($number==5) $selected="selected"; else $selected="";
			echo "<OPTION value='5' $selected>5</OPTION>";
			if($number==10) $selected="selected"; else $selected="";
			echo "<OPTION value='10' $selected>10</OPTION>";
			if($number==15) $selected="selected"; else $selected="";
			echo "<OPTION value='15' $selected>15</OPTION>";
			if($number==20) $selected="selected"; else $selected="";
			echo "<OPTION value='20' $selected>20</OPTION>";
			if($number==30) $selected="selected"; else $selected="";
			echo "<OPTION value='30' $selected>30</OPTION>";
			if($number==50) $selected="selected"; else $selected="";
			echo "<OPTION value='50' $selected>50</OPTION>";
			if($number==100) $selected="selected"; else $selected="";
			echo "<OPTION value='100' $selected>100</OPTION>";
		echo "</SELECT>";
	echo "</TD><TD>";
		echo "<INPUT type=submit value='" . $LANG["INPUT-OK"] . "'>";
	echo "</TD></TR></TABLE>";

	echo "<TABLE align=center><TR><TD>";
		echo "<p class=atk_info>" . $LANG["ADMIN-MEMBER-SEARCH"];
	echo "</TD><TD>";
		echo "<INPUT type=text class=atk_input name=search value=\"$search\">";
	echo "</TD><TD>";
		echo "<INPUT type=submit value='" . $LANG["INPUT-OK"] . "'>";
	echo "</TD></TR></TABLE>";

	echo "</FORM>";
}

/************************************/
/* Affichage du tableau des membres */
/************************************/
function show_members($number,$page,$search){
	global $PHP_SELF, $LANG, $DROIT, $PRIV, $ATK_LOGIN, $ASSIGN_MEMBERS, $DATE;

	// Pour la clause LIMIT de la requte (pour les pages)
	$debut=($page-1)*$number;
	$search=addslashes($search);

	// Recherche tous les membres si admin systme ayant droit
	if(!empty($PRIV[4])){
		
		if($search){
			$query = "
				SELECT atk_users.nb_post, atk_users.login, atk_users.email,
				atk_users.subscribe, atk_users.admin, atk_users.ban,
				atk_admin.droit
				FROM atk_users
				LEFT OUTER JOIN atk_admin
				ON atk_users.login = atk_admin.login
				WHERE LEFT(atk_users.login," . strlen($search) . ") = '$search'
				GROUP BY atk_users.login
				ORDER BY login
				LIMIT $debut,$number";
		}else {
			$query = "
				SELECT atk_users.nb_post, atk_users.login, atk_users.email,
				atk_users.subscribe, atk_users.admin, atk_users.ban,
				atk_admin.droit
				FROM atk_users
				LEFT OUTER JOIN atk_admin
				ON atk_users.login = atk_admin.login
				GROUP BY atk_users.login
				ORDER BY login
				LIMIT $debut,$number";
		}
		$sql = dbquery($query);

		$sql2=dbquery("SELECT COUNT(*) FROM atk_users");

	} else {
		// Tous les membres sont membres de tous les forums
		if($ASSIGN_MEMBERS==0){
			if($search){
				$query = "
					SELECT atk_users.nb_post, atk_users.login, atk_users.email,
					atk_users.subscribe, atk_users.admin, atk_users.ban,
					atk_admin.droit
					FROM atk_users
					LEFT OUTER JOIN atk_admin
					ON atk_users.login = atk_admin.login
					WHERE LEFT(atk_users.login," . strlen($search) . ") = '$search'
					GROUP BY atk_users.login
					ORDER BY login
					LIMIT $debut,$number";
			}else {
				$query = "
					SELECT atk_users.nb_post, atk_users.login, atk_users.email,
					atk_users.subscribe, atk_users.admin, atk_users.ban,
					atk_admin.droit
					FROM atk_users
					LEFT OUTER JOIN atk_admin
					ON atk_users.login = atk_admin.login
					GROUP BY atk_users.login
					ORDER BY login
					LIMIT $debut,$number";
			}
			$sql = dbquery($query);

			$sql2 = dbquery("SELECT COUNT(*) FROM atk_users");
		}

		// Chaque membres est membres des forums du mme crateur
		if($ASSIGN_MEMBERS>=1){

			// Rcupre les owners dont les membres sont  afficher
			$query = "
				SELECT atk_admin.forum, atk_admin.droit, atk_forums.owner
				FROM atk_admin, atk_forums
				WHERE atk_admin.login = '$ATK_LOGIN'
				AND atk_admin.forum = atk_forums.id";
			$sql = dbquery($query);
			while($row=mysql_fetch_array($sql)){
				$droit = strrev(decbin($row["droit"]));
				if(!empty($droit[2])){
					if(!empty($owner_list)) $owner_list .= " OR ";
					else $owner_list = "";
					$owner_list .= "atk_users.owner = '" . $row["owner"] . "'";
				}
			}

			// Rcupre les membres
			if($search){
				$query = "
					SELECT atk_users.nb_post, atk_users.login, atk_users.email,
					atk_users.subscribe, atk_users.admin, atk_admin.droit, atk_users.ban
					FROM atk_users
					LEFT OUTER JOIN atk_admin
					ON atk_users.login = atk_admin.login
					WHERE ($owner_list)
					AND LEFT(atk_users.login," . strlen($search) . ") = '$search'
					GROUP BY atk_users.login
					ORDER BY login
					LIMIT $debut,$number";				
			} else {
				$query = "
					SELECT atk_users.nb_post, atk_users.login, atk_users.email,
					atk_users.subscribe, atk_users.admin, atk_admin.droit, atk_users.ban
					FROM atk_users
					LEFT OUTER JOIN atk_admin
					ON atk_users.login = atk_admin.login
					WHERE ($owner_list)
					GROUP BY atk_users.login
					ORDER BY login
					LIMIT $debut,$number";
			}
			$sql = dbquery($query);

			// Compte les rsultats
			$query = "
				SELECT COUNT(atk_users.login)
				FROM atk_users
				WHERE ($owner_list)";

			$sql2 = dbquery($query);
		}

	}

	$row=mysql_fetch_row($sql2);
	$n=$row[0];

	echo "<TABLE align=center bordercolor=#CCCCFF bgcolor='#CCCCFF' cellspacing=1px style='border-width: 1px; border-style: solid;'>";
	echo "<TR><TD width=140px bgcolor=#DDEEFF height=16px>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-COL-1"];
	echo "</TD><TD width=200px bgcolor=#DDEEFF height=16px>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-COL-2"];
	echo "</TD><TD width=100px bgcolor=#DDEEFF height=16px>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-COL-3"];
	echo "</TD><TD width=40px bgcolor=#DDEEFF height=16px>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-COL-4"];
	echo "</TD><TD width=120px bgcolor=#DDEEFF height=16px>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-COL-5"];
	echo "</TD><TD width=14px bgcolor=#DDEEFF height=16px>";
		echo "&nbsp;";
	echo "</TD></TR>";

	// Affiche les membres 1 par 1
	while($row = mysql_fetch_array($sql)){

		if($row["login"] == $ATK_LOGIN) $color="#FFEEDD";
		else $color="#FFFFFF";

		echo "<TR><TD bgcolor=$color height=20px><p class=atk_info align=center>" . $row["login"] . "</TD>";
		echo "<TD bgcolor=$color height=20px><p class=atk_info align=center><A href='mailto:" . $row["email"] . "'>" . $row["email"] . "</A></TD>";
		echo "<TD bgcolor=$color height=20px><p class=atk_info align=center>" . date($LANG["SHORT-FORMAT-DATE"],$row["subscribe"]) . "</TD>";
		echo "<TD bgcolor=$color height=20px><p class=atk_info align=center>" . $row[0] . "</TD>";
		echo "<TD bgcolor=$color height=20px><p class=atk_info align=center>";
			// Vrifie les droits: Mot de passe autoris si ce n'est pas un admin ou si c'est soit mme
			if(($row["admin"]==0 AND $row["droit"]==NULL) OR $row["login"]==$ATK_LOGIN)
				echo "<a href='$PHP_SELF?choix=13&login=" . $row["login"] . "&number=$number&page=$page'>" . $LANG["ADMIN-MEMBERS-COL-5"] . "</a>";
			else echo "&nbsp;";
		echo "</TD>";
		echo "<TD bgcolor=#FFEEEE height=20px width=40px>";

			// Vrifie les droits: Suppression autoris si ce n'est pas un admin. Autosuppression refuse
			echo "<center>";
			if($row["admin"]==0 AND $row["droit"]==NULL){
				// Delete
				echo "<a href='$PHP_SELF?choix=14&page=$page&number=$number&login=" . $row["login"] . "'><img src='images/delete.gif' border=0 title='" . $LANG["ADMIN-MEMBERS-DEL-TIP"] . "' alt='" . $LANG["ADMIN-MEMBERS-DEL-TIP"] . "' hspace=1></a>";
				// Bannir
				if($row["ban"]>$DATE) echo "<a href='$PHP_SELF?action=unban&login=" . $row["login"] . "&choix=5'><img src='images/unban.gif' border=0 title='" . $LANG["ADMIN-MEMBERS-UNBAN-TIP"] . "' alt='" . $LANG["ADMIN-MEMBERS-UNBAN-TIP"] . "' hspace=1></a>";
				else echo "<a href='$PHP_SELF?choix=23&login=" . $row["login"] . "'><img src='images/ban.gif' border=0 title='" . $LANG["ADMIN-MEMBERS-BAN-TIP"] . "' alt='" . $LANG["ADMIN-MEMBERS-BAN-TIP"] . "' hspace=1></a>";
			}
			// Profile
			echo "<a href='$PHP_SELF?choix=24&login=" . $row["login"] . "'><img src='images/members_profiles.gif' border=0 title='" . $LANG["ADMIN-MEMBERS-PROFIL-TIP"] . "' alt='" . $LANG["ADMIN-MEMBERS-PROFIL-TIP"] . "' hspace=1></a>";
			echo "</center>";	

		echo "</TD></TR>";
	}

	dbclose();

	echo "</TABLE>";

	return $n;
}

/***********************/
/* affichage des pages */
/***********************/
function print_pages($n, $number, $page){
	// Calcul le nombre de pages
	$nb_page=ceil($n/$number);
	show_pages($page,$nb_page,"&choix=5&number=$number");
}

/*******************************************************/
/* Affichage de changement du mot de passe d'un membre */
/*******************************************************/
function password($login,$number,$page){
	global $PHP_SELF, $LANG;

	// Inclue le javascript qui gnre des passwords
	echo "<SCRIPT language='JavaScript' src='javascript/Passwd.js' type='text/javascript'></SCRIPT>";

	echo "<p class=atk_title>Modification du mot de passe de " . $login . "<br>";
	echo "<a href='$PHP_SELF?choix=5&number=$number&page=$page'>" . $LANG["ADMIN-MEMBERS-PASSWD-RETURN"] . "</a></p>";
	echo "<FORM name=form method=post action='$PHP_SELF?action=passwd&login=$login&number=$number&page=$page'>";

	echo "<TABLE align=center>";
	echo "<TR><TD>";
		echo "<p class=atk_info align=center>" . $LANG["ADMIN-MEMBERS-PASSWD-CHOOSE"] . " <b>" . $login . "</b></p>";
		echo "<center><INPUT class=atk_input type=text align=center name=passwd size=10></center>";
		echo "<br><center><a href='javascript:Passwd()'>" . $LANG["ADMIN-MEMBERS-PASSWD-CREATE"] . "</a></center><br>";
		echo "<center><INPUT type=submit value='" . $LANG["INPUT-OK"] . "'></center>";
	echo "</TD></TR>";
	echo "</TABLE>";
	
	echo "</FORM>";
}
?>
