<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/******************************/
/* Enregistre un nouveau post */
/******************************/
function send($login,$passwd,$alert,$smiley,$title,$comment,$question,$choices,$day,$hour,$text,$answer,$nodelay){
	global $SALT, $DATE, $FORUM, $PF, $LANG, $DROIT, $choix, $SERVER_NAME, $PHP_SELF;
	global $ATK_LOGIN, $DELAY_MSG_ALREADY_SENT, $REMOTE_ADDR, $PHP_SESS_ENABLED, $ATK_READ;

	$message="";
	// Vrifie si un log a t fait en mme temps
	if($login && ($passwd || $PF["log"]==1)){
		$passwd=crypt($passwd,$SALT);
		$query = "
			SELECT login
			FROM atk_users
			WHERE login=\"$login\" AND passwd='$passwd'";
		$sql = dbquery($query);
		if($row=mysql_fetch_array($sql)) $login=$row["login"];
		else $message=$LANG["POSTS-USER-ERROR"];
	}
	if($login && empty($passwd)){
		if(ereg("[[:punct:]]", $login) || !ereg("[[:alnum:]]", $login)) $message = $LANG["FORM-LOGIN-ERROR"];
		else $login = "-" . $login . "-";
	}
	// Si le log est obligatoire, vrifie la validit du log
	if((($login!="" AND $message!="") OR $login=="") AND $PF["log"]==1 AND $DROIT==0)
		$message=$LANG["POSTS-LOG-ERROR"];
		
	// Vrifie le droit et si le forum est verrouill
	if(($PF["locked"] && $DROIT!=2) || ($PF["structure"]==3 && $DROIT!=2)) exit();
	
	// Vrifications des champs renvoys
	if($title=="" OR $text=="") $message=$LANG["POST-ERROR"];
	if(!ereg("[[:alnum:]]", $title)) $message=$LANG["POST-ERROR"];

	// Pas d'erreur: Traitement & Enregistrement
	if(!$message){
		
		if($PF["infos_perso"]) $REMOTE_ADDR = "";
	
		if(!isset($alert)) $alert=0;
		// Traitement du titre et du texte
		$text=before_reccord($text);
		$title=before_reccord($title);
		$comment=before_reccord($comment);
		
		// Enregistrement du sondage
		if(!empty($question) && !empty($choices)){
			$question=before_reccord($question);
			$choices=before_reccord($choices);
			if(empty($nodelay)) $expire = $DATE + ($hour*60*60) + ($day*24*60*60);
			else $expire=0;
			$query = "INSERT INTO atk_polls (question, choices, expire) VALUES ('$question', '$choices', $expire)";
			dbquery($query);
			$id_poll=mysql_insert_id();
		} else $id_poll = 0;
		
		// Initialise le sender
		if($login) $sender=$login; else $sender=$ATK_LOGIN;
		if(empty($sender)) $sender="nobody";
		// Vrifie que le message n'a pas encore t ajout
		// (en cas de double click par exemple)
		$limit=$DATE-$DELAY_MSG_ALREADY_SENT;
		$query = "
			SELECT COUNT(*)
			FROM atk_posts
			WHERE sender='$sender' AND date>$limit
			AND title=\"$title\" AND text=\"$text\" AND forum=$FORUM";
		$nb=dbgetfirst($query);
		if(!$nb){
			// Initialise le group  0
			$group=0;

			// Si le message est une rponse:
			// rcupre le group du pre
			if($answer!=0){
				// Rcupre $num, $group, $tab
				$query = "
					SELECT group_id,num,tab,group_lock,post_it,forum
					FROM atk_posts
					WHERE id=$answer";
				$sql = dbquery($query);
				$t=mysql_fetch_array($sql);
				if($t["forum"]!=$FORUM) exit;
				$group=$t["group_id"];
				$tab=$t["tab"];
				$num=$t["num"];
				$post_it=$t["post_it"];
				$lock = $t["group_lock"];
				if(($t["group_lock"] || $PF["locked"]) && $DROIT<2)  exit;

				// Rcupre le suivant de $num  son niveau dans $next_num
				$query = "
					SELECT num
					FROM atk_posts
					WHERE group_id=$group AND num>$num AND tab<=$tab
					ORDER BY num ASC
					LIMIT 1";
				$sql = dbquery($query);
				// S'il existe au moins 1 enregistrement
				if($t=mysql_fetch_row($sql)){
					$next_num=$t[0];
					// Dcalage de l'ordre pour laisser $next_num vide
					$query = "
						UPDATE atk_posts
						SET num=num+1
						WHERE num>=$next_num AND group_id=$group";
					$sql = dbquery($query);
				// Sinon on doit insrer  la fin
				} else {
					// Rcupre le dernier num du groupe
					$query = "
						SELECT num
						FROM atk_posts
						WHERE group_id='$group'
						ORDER BY num DESC
						LIMIT 1";
					$sql = dbquery($query);
					$t=mysql_fetch_row($sql);
					$next_num=$t[0]+1;
				}

				// Incrmentation de la tabulation
				$tab++;
				// Insertion du message dans la bdd
				$query = "
					INSERT INTO atk_posts
					(ip,forum,group_id,num,tab,answer,sender,title,comment,
					text,smiley,date,alert,post_it,group_lock)
					VALUES ('$REMOTE_ADDR',$FORUM, $group, $next_num, $tab, $answer, '$sender',
					'$title', '$comment', '$text', '$smiley', $DATE, $alert, $post_it, $lock)";
				dbquery($query);
				$last_id=mysql_insert_id();
				
				// Met  jour le dernier message du sujet
				$query = "
					UPDATE atk_posts
					SET last_id = $last_id, last_sender = '$sender',
					last_date=$DATE, nb_answer=nb_answer+1
					WHERE group_id = $group";
				dbquery($query);

				// Met  jour le nombre de rponses du direct answer
				$query = "
					UPDATE atk_posts
					SET nb_direct_answer=nb_direct_answer+1
					WHERE id = $answer";
				dbquery($query);

			} else {

				// Insertion du message dans la bdd
				// Nouveau group !!!
				$query = "
					INSERT INTO atk_posts
					(ip,forum,num,tab,answer,sender,title,comment,id_poll,text,smiley,date,alert,nb_answer,nb_direct_answer)
					VALUES
					('$REMOTE_ADDR',$FORUM, 0, 0, 0, '$sender', '$title', '$comment', $id_poll, '$text', '$smiley', '$DATE', '$alert', 0, 0)";
				dbquery($query);

				// Si le message est un nouveau sujet: Met  jour
				// le group du message = son id
				$group=mysql_insert_id();
				$last_id = $group;
				$query = "
					UPDATE atk_posts
					SET group_id=$group, last_id=$group,
					last_date=$DATE, last_sender='$sender'
					WHERE id=$group";
				dbquery($query);
			}

			// Met  jour le nombre de message du forum
			$query = "
				UPDATE atk_forums
				SET nb_post=nb_post+1, last_sender='$sender',
				last_id=$last_id, last_date = $DATE
				WHERE id = $FORUM";
			dbquery($query);
			
			// Met  jour le nombre de message du membre
			if($sender != "nobody"){
				$query = "
					UPDATE atk_users
					SET nb_post=nb_post+1
					WHERE login = '$sender'";
				dbquery($query);	
			}

			// Considre comme lu
			if($PHP_SESS_ENABLED) $_SESSION["READ"][$group] = $DATE;
			else {
				$ATK_READ[$group]=$DATE;
				$tmp = serialize($ATK_READ);
				setcookie("ATK_READ", $tmp);
			}

			// Envoie les emails d'alertes  tous sauf  user
			if($PF["mail_actived"]) alert_mail($group,$sender);
			// Envoie les emails aux administrateurs
			if(!empty($PF["alert_mail"])){
				$body = $LANG["MAIL-ALERT-BODY"];
				$body=str_replace("%url", "http://" . $SERVER_NAME . $PHP_SELF,$body);
				$body=str_replace("%title", $title, $body);
				$body=str_replace("%sender", $sender, $body);
				$body=str_replace("%ip", $REMOTE_ADDR,$body);
				send_mail($PF["alert_mail"],$LANG["MAIL-ALERT-SUBJECT"],$body);
			}
			// Initialise le message OK
			$message=$LANG["POST-OK"];
		// Message dj ajout
		} else $message=$LANG["POST-ALREADY-ADD"];
	} else {
		// Erreur: raffiche le formulaire nouveau post
		$choix=2;
		// Inclue les fonctions pour le formulaire nouveau post
		include("./forum/write_post.php");
	}
	return $message;
}

/***************************************/
/* Modifie le contenu d'un ancien post */
/***************************************/
function modify($post, $title, $comment, $question, $choices, $day, $hour, $text, $smiley, $nodelay){
	global $DROIT, $ATK_LOGIN, $DATE, $LANG, $PF;

	$query = "SELECT sender, group_lock, id_poll FROM atk_posts WHERE id=$post";
	$row = dbgetline($query);
	$flag = $row["group_lock"];
	$id_poll = $row["id_poll"];
	$sender = $row["sender"];
	
	if($text!="" AND $title!="" AND ereg("[[:alnum:]]", $title)){

		// Met  jour l'ventuel sondage
		if($id_poll){

			if(($DROIT!=2 AND $sender==$ATK_LOGIN AND $PF["edit"] AND empty($PF["locked"]) AND empty($flag)) || $DROIT==2){
			
				if(!empty($question) && !empty($choices)){
					$query = "SELECT choices, expire FROM atk_polls WHERE id_poll=$id_poll";
					$row = dbgetline($query);
					
					$values_1 = explode("\n",$row["choices"]);
					$values_2 = explode("\n",$choices);
					$diff = count($values_1) - count($values_2);
					if($diff>0){
						$max = count($value_2)-1;
						$query = "DELETE FROM atk_votes WHERE id_poll=$id_poll AND vote > $max";
						dbquery($query);	
					}
					$expire = $DATE + ($hour*60*60) + ($day*24*60*60);
					if($nodelay) $expire=0;
					$question=before_reccord($question);
					$choices=before_reccord($choices);
				
					$query = "
						UPDATE atk_polls SET question=\"$question\", choices=\"$choices\", expire=$expire
						WHERE id_poll=$id_poll";
					dbquery($query);
				} else {
					$query = "DELETE FROM atk_polls WHERE id_poll=$id_poll";
					dbquery($query);
					$query = "DELETE FROM atk_votes WHERE id_poll=$id_poll";
					dbquery($query);
					$id_poll=0;
				}
			}
		} elseif(!empty($question) && !empty($choices)) {
			$question=before_reccord($question);
			$choices=before_reccord($choices);
			$expire = $DATE + ($hour*60*60) + ($day*24*60*60);
			$query = "INSERT INTO atk_polls (question, choices, expire) VALUES ('$question', '$choices', $expire)";
			dbquery($query);
			$id_poll=mysql_insert_id();
		}
		
		// Traitement du titre et du texte
		if(empty($PF["edit_alert"])){
			$date=date($LANG["FORMAT-DATE"],$DATE+($PF["local_time"]*3600));
			$edit_info = str_replace("%login", $ATK_LOGIN, $LANG["EDIT-INFO"]);
			$edit_info = str_replace("%date", $date, $edit_info);
			$text .= "\n\n----------\n[b]" . $edit_info . "[/b]";
		}
		
		$text=stripslashes($text);
		$title=stripslashes($title);
		$text=before_reccord($text);
		$title=before_reccord($title);
		$comment=stripslashes($comment);
		$comment=before_reccord($comment);
		if($DROIT!=2 AND $PF["edit"] AND empty($PF["locked"]) AND empty($flag)){
			$query = "
				UPDATE atk_posts SET title=\"$title\", text=\"$text\", id_poll=$id_poll, comment=\"$comment\", valid=0, smiley='$smiley'
				WHERE id=$post AND sender='$ATK_LOGIN'";
		}
		if($DROIT==2){
			$query = "
				UPDATE atk_posts SET title=\"$title\", text=\"$text\", id_poll=$id_poll, comment=\"$comment\", valid=0, smiley='$smiley'
				WHERE id=$post";		
		}
		if(!$query) $message=$LANG["EDIT-ERROR"];
		if(empty($message)){
			dbquery($query);
			$message = $LANG["EDIT-OK"];
		}
	} else $message=$LANG["EDIT-ERROR"];

	return $message;
}

/**********************/
/* Connexion au forum */
/**********************/
function login($login,$passwd,$cookie){
	global $SALT, $ATK_LOGIN, $ID_SESS, $DROIT, $LANG, $LAST_VISIT, $owner;
	global $LAST_VISIT_DEFAULT, $FORUM, $COOKIE_EXPIRE, $choix, $NEW_MSG, $URL_BAN;
	global $SESSION_EXPIRE, $REMOTE_ADDR, $DATE, $ATK_VISIT, $ATK_SESS, $FAST_VIEW;
	global $PF, $PHP_SESS_ENABLED;
	
	// On crypte le password donn pour faire une comparaison
	$passwd=crypt($passwd,$SALT);
	// Recherche si le login/password existe dans la table users
	$query = "
		SELECT login,admin,fast_view,ban
		FROM atk_users
		WHERE login=\"$login\" AND passwd='$passwd'";
	$sql = dbquery($query);

	// Si il existe et password correcte alors
	if($row=mysql_fetch_array($sql)){

		// Gestion des bannissements
		if($row["ban"]>$DATE){
			setcookie("ATK_BAN", "1", $row["ban"]);
			header("location: $URL_BAN");
			exit;
		}

		// Gestion session PHP
		if($PHP_SESS_ENABLED){
		
			// Le $ATK_LOGIN devient le $login
			$ATK_LOGIN = $row["login"];
			$ATK_PASSWD = $passwd;
			$FAST_VIEW = $row["fast_view"];
			if($PF["fast_view"]==1) $FAST_VIEW=1;
			
			// $droit=1 au moins (0:Invit(e), 1:membres, 2:Admin)
			// Vrifie si le $ATK_LOGIN est l'administrateur
			$DROIT=1;
			$PRIV=strrev(decbin($row["admin"]));
			$query = "SELECT droit FROM atk_admin WHERE login='$login' AND forum=$FORUM";
			$sql = dbquery($query);
			if($tmp=mysql_fetch_array($sql)) $priv=strrev(decbin($tmp["droit"]));
			if((isset($PRIV[4]) AND $PRIV[4]) OR (isset($priv[1]) AND $priv[1])) $DROIT=2;
	
			// Met  jour le nouveau $ATK_LOGIN dans la table de session
			$query = "
				UPDATE atk_sessions
				SET user = '$ATK_LOGIN', expire=$SESSION_EXPIRE, droit=$DROIT, fast_view=$FAST_VIEW
				WHERE session = '$ID_SESS'";
			dbquery($query);
	
			// Enregistrement du login dans la session
			$_SESSION['SESS_LOGIN'] = $ATK_LOGIN;
			$_SESSION['SESS_PASSWD'] = $ATK_PASSWD;
	
			// Initialise le message de confirmation  afficher
			$message=$LANG["LOGIN-OK"];
			$choix = 0;
	
			// Si reconnaissance auto coch, envoie les cookies
			// d'identification automatique
			if($cookie=="on"){
				setcookie("COOKIE_L",$ATK_LOGIN,$COOKIE_EXPIRE);
				setcookie("COOKIE_P",$ATK_PASSWD,$COOKIE_EXPIRE);
			}
			
		// Gestion session "maison"
		} else {
		
			// Le $ATK_LOGIN devient le $login
			$ATK_LOGIN=$row["login"]; // Rcupre le login avec la bonne casse
			$FAST_VIEW=$row["fast_view"];
			// Cre un ID de session unique
			$ID_SESS=md5(uniqid(rand()));
			// et l'envoie par cookie
			$ATK_SESS[$FORUM]=$ID_SESS;
			$tmp = serialize($ATK_SESS);
			setcookie("ATK_SESS", $tmp);
			// $droit=1 au moins (0:Invit(e), 1:membres, 2:Admin)
			$DROIT=1;
			// Vrifie si le $ATK_LOGIN est l'administrateur
			$PRIV=strrev(decbin($row["admin"]));
			$query = "SELECT droit FROM atk_admin WHERE login='$login' AND forum=$FORUM";
			$sql = dbquery($query);
			if($tmp=mysql_fetch_array($sql)) $priv=strrev(decbin($tmp["droit"]));
			if((isset($PRIV[4]) AND $PRIV[4]) OR (isset($priv[1]) AND $priv[1])) $DROIT=2;
			// Rcupre la date de dernire visite si le cookie
			// existe, sinon c'est gal  $LAST_VISIT_DEFAULT
			if(isset($ATK_VISIT[$FORUM]) AND $ATK_VISIT[$FORUM]) $LAST_VISIT=$ATK_VISIT[$FORUM];
			else $LAST_VISIT=$LAST_VISIT_DEFAULT;
			// Envoie un cookie de dernire visite = maintenant
			$ATK_VISIT[$FORUM] = $DATE;
			$tmp = serialize($ATK_VISIT);
			setcookie("ATK_VISIT",$tmp,$COOKIE_EXPIRE);
			// Insre le nouveau $ATK_LOGIN dans la table de session
			$query = "
				INSERT INTO atk_sessions
				(id,ip,forum,user,expire,droit,last_visit,fast_view)
				VALUES ('$ID_SESS', '$REMOTE_ADDR', $FORUM, '$ATK_LOGIN',
				$SESSION_EXPIRE, $DROIT, $LAST_VISIT, $FAST_VIEW)";
			dbquery($query);
			// Initialise le message de confirmation  afficher
			$message=$LANG["LOGIN-OK"];
			$choix = 0;
			// Si reconnaissance auto coch, envoie les cookies
			// d'identification automatique
			if($cookie=="on"){
				setcookie("ATK_LOGIN",$ATK_LOGIN,$COOKIE_EXPIRE);
				setcookie("ATK_PASSWD",$passwd,$COOKIE_EXPIRE);
			}

		}

	} else {

		// Erreur login/mot de passe
		$message=$LANG["LOGIN-ERROR"];
		// Raffiche la fentre de log
		if($choix!=16) $choix=6;
		// Du coup, on inclue l'affichage de la fentre de log
		include_once("./index/login.php");

	}

	return $message;
}

/************************/
/* Dconnexion du forum */
/************************/
function disconnect(){
	global $FORUM, $REMOTE_ADDR, $LANG, $LAST_VISIT, $ID_SESS, $PF, $owner, $ATK_PASSWD;
	global $SESSION_EXPIRE, $DROIT, $ATK_LOGIN, $ATK_SESS, $LAST_VISIT_DEFAULT, $FAST_VIEW;
	global $PHP_SESS_ENABLED;

	// Gestion session PHP
	if($PHP_SESS_ENABLED){
	
		// Dconnexion de tous les forums
		$_SESSION['SESS_LOGIN']="nobody";
		$_SESSION['SESS_PASSWD']="";
		// Supprime tous les cookies
		setcookie("COOKIE_L");
		setcookie("COOKIE_P");
	
		$FAST_VIEW = 0;
		if($PF["fast_view"]==1) $FAST_VIEW=1;
		$DROIT=0;
	
		// Met  jour l'invit dans la table de session
		$query = "
			UPDATE atk_sessions
			SET user = 'nobody', droit=$DROIT, fast_view=$FAST_VIEW
			WHERE user = '$ATK_LOGIN'";
		dbquery($query);
	
		// Rinitialisation du login
		$ATK_LOGIN = "nobody";
		$ATK_PASSWD = "";
	
	// Gestion des sessions "maison"
	} else {
	
		// Dconnexion de tous les forums
		setcookie("ATK_SESS");
		$query = "
			DELETE FROM atk_sessions
			WHERE (user='$ATK_LOGIN' OR (ip='$REMOTE_ADDR' AND user='$LANG[NOBODY]')) AND forum=$FORUM";
		dbquery($query);
	
		// Supprime tous les cookies, sauf pour le last_visit
		setcookie("ATK_LOGIN");
		setcookie("ATK_PASSWD");
		// Initialise les variables car on est maintenant Invit(e)
		$LAST_VISIT=$LAST_VISIT_DEFAULT;
		$ATK_LOGIN="nobody";
		$DROIT=0;
		// Cr un id de session mais inutile pour les Invits(e)
		// Sert uniquement  utiliser la table sessions.
		$uniqid=md5(uniqid(rand()));
		// On supprime alors $ID_SESS
		$ID_SESS="";
		if($PF["fast_view"]!=1) $FAST_VIEW=0;
		// Insert un Invit(e) dans la table de sessions
		$query = "
			INSERT INTO atk_sessions (id,ip,forum,user,expire)
			VALUES ('$uniqid','$REMOTE_ADDR',$FORUM,'$ATK_LOGIN',$SESSION_EXPIRE)";
		dbquery($query);
		
	}

	// Initialise le message de confirmation  afficher
	$message=$LANG["ALERT-DISCONNECT"];

	return $message;
}

/************************/
/* Inscription au forum */
/************************/
function subscribe($passwd,$passwd2,$login,$email,$show_email,$cookie){
	global $PF, $LANG, $LAST_VISIT, $DROIT, $FORUM, $ATK_LOGIN, $ATK_PASSWD, $ID_SESS;
	global $REMOTE_ADDR, $LAST_VISIT_DEFAULT, $choix, $SALT, $DATE;
	global $SESSION_EXPIRE, $COOKIE_EXPIRE, $owner, $ATK_SESS;
	global $PHP_SESS_ENABLED;

	$message="";
	// Vrification de la validit des renseignements fournis
	if($passwd!=$passwd2)
		$message=$LANG["SUBSCRIBE-PASSWD-ERROR"];
	if(strlen($passwd)<4)
		$message=$LANG["SUBSCRIBE-PASSWD-ERROR-2"];
	if(strlen($passwd)>30)
		$message=$LANG["SUBSCRIBE-PASSWD-ERROR"];
	if(!$PF["infos_perso"] && !(eregi("^[_\.0-9a-z-]+@([0-9a-z-]+\.)+[a-z]{2,4}$",$email)))
		$message=$LANG["SUBSCRIBE-EMAIL-ERROR"];
	if(strlen($login)<2)
		$message=$LANG["SUBSCRIBE-LOGIN-ERROR"];
	if(strlen($login)>30)
		$message=$LANG["SUBSCRIBE-LOGIN-ERROR"];
	if(ereg("[[:punct:]]", $login) || !ereg("[[:alnum:]]", $login))
		$message = $LANG["SUBSCRIBE-LOGIN-ERROR-3"];
	if(!$message && (user_exist($login) || $login=="nobody"))
		$message=$LANG["SUBSCRIBE-LOGIN-ERROR-2"];


	// Si tout est OK (pas de message d'erreur)
	if(!$message){

		// Gestion des sessions php
		if($PHP_SESS_ENABLED){

			// Cryptage du mot de passe
			$passwd=crypt($passwd,$SALT);
			$ATK_LOGIN = $login;
			$ATK_PASSWD = $passwd;
			$DROIT=1;
	
			if($show_email=="on") $show_email=0;
			else $show_email=1;
			// On enregistre le nouveau user dans la table users
			$query = "
				INSERT INTO atk_users
				(login,passwd,email,show_email,alert_mp,subscribe,owner,signature,other)
				VALUES ('$ATK_LOGIN','$passwd','$email',$show_email,1,$DATE,'$owner','','')";
			dbquery($query);
			
			// Le $ATK_LOGIN devient le $login
			$FAST_VIEW=0;
			
			// Enregistrement du login dans la session
			$_SESSION['SESS_LOGIN'] = $ATK_LOGIN;
			$_SESSION['SESS_PASSWD'] = $ATK_PASSWD;
			
			// Mise  jour du nouveau $ATK_LOGIN dans la table de session
			$query = "
				UPDATE atk_sessions
				SET user = '$ATK_LOGIN', expire=$SESSION_EXPIRE, droit=$DROIT, fast_view=$FAST_VIEW
				WHERE id = '$ID_SESS'";
			dbquery($query);
			
			$choix = 0;
	
			// Cre les cookies si reconnaissance automatique coch
			if($cookie=="on"){
				setcookie("COOKIE_L",$ATK_LOGIN,$COOKIE_EXPIRE);
				setcookie("COOKIE_P",$passwd,$COOKIE_EXPIRE);
			}
			
		// Gestion des session "maison"
		} else {
			
			// On supprime de la base tous les invits ayant son ip
			// ou avec son ancien login (si plusieurs fentres).
			if($ATK_LOGIN != "nobody")
				$query = "
					DELETE FROM atk_sessions
					WHERE user='$ATK_LOGIN' AND forum=$FORUM";
			else $query = "
					DELETE FROM atk_sessions
					WHERE ip='$REMOTE_ADDR' AND user='nobody'
					AND forum=$FORUM";
			dbquery($query);
			// Cryptage du mot de passe
			$passwd=crypt($passwd,$SALT);
			// Dernire visite par dfaut
			$LAST_VISIT=$LAST_VISIT_DEFAULT;
			$ATK_LOGIN=$login;
			$DROIT=1;
			// On cre un unique ID de session
			$ID_SESS=md5(uniqid(rand()));
			$ATK_SESS[$FORUM]=$ID_SESS;
			$tmp = serialize($ATK_SESS);
			setcookie("ATK_SESS", $tmp);
			if($show_email=="on") $show_email=0;
			else $show_email=1;
			// On enregistre le nouveau user dans la table users
			$query = "
				INSERT INTO atk_users
				(login,passwd,email,show_email,alert_mp,subscribe,owner,signature,other)
				VALUES ('$ATK_LOGIN','$passwd','$email',$show_email,1,$DATE,'$owner','','')";
			dbquery($query);
			// On cre la nouvelle session
			$query = "
				INSERT INTO atk_sessions
				(id,ip,forum,user,expire,droit,last_visit)
				VALUES ('$ID_SESS','$REMOTE_ADDR',$FORUM,
				'$ATK_LOGIN',$SESSION_EXPIRE,$DROIT,$LAST_VISIT_DEFAULT)";
			dbquery($query);
			$choix = 0;
			// Cre les cookies si reconnaissance automatique coch
			if($cookie=="on"){
				setcookie("ATK_LOGIN",$ATK_LOGIN,$COOKIE_EXPIRE);
				setcookie("ATK_PASSWD",$passwd,$COOKIE_EXPIRE);
			}
			
		}
		
		// Initialise le message de confirmation  afficher
		$message=$LANG["SUBSCRIBE-OK"];
		
	} else {

		// Si message d'erreur, raffiche le formulaire
		if($choix!=16) $choix=4;
		// Fonctions pour rafficher le form d'inscription
		include_once("./index/subscribe.php");

	}

	return $message;
}

/********************/
/* Supprime un post */
/********************/
function delete_post($id_suppr){
	global $LANG, $DROIT;

	// Vrifie le droit du user
	if($DROIT==2){
		// Supprime le post et toutes ses rponses
		delete($id_suppr);
		$message=$LANG["DEL-OK"];
	// Met un message d'erreur si suppression interdite
	} else $message=$LANG["DEL-NOT-ALLOWED"];

	return $message;
}

/***********************************/
/* Donne l'accs aux forums privs */
/***********************************/
function acces($passwd){
	global $FORUM, $LANG, $PF, $ACCES, $ATK_ACCES, $SALT;
	global $PHP_SESS_ENABLED;

	$passwd=crypt($passwd,$SALT);
	
	// Gestion session php
	if($PHP_SESS_ENABLED){
	
		if($passwd==$PF["passwd"]){
			$ACCES=1;
			$_SESSION["SESS_ACCES"][$FORUM]=$passwd;
			$message=$LANG["PRIVATE-OK"];
		} else{
			$ACCES=0;
			$message=$LANG["PRIVATE-ERROR"];
		}
	
	// Gestion session "maison"
	} else {

		if($passwd==$PF["passwd"]){
			$ACCES=1;
			$ATK_ACCES[$FORUM]=$passwd;
			$tmp = serialize($ATK_ACCES);		
			setcookie("ATK_ACCES", $tmp);
			$message=$LANG["PRIVATE-OK"];
		} else{
			$ACCES=0;
			$message=$LANG["PRIVATE-ERROR"];
		}
		
	}

	return $message;
}

/***************************************/
/* Verrouille ou dverrouille un sujet */
/***************************************/
function lock($group){
	global $DROIT, $FORUM;

	if($DROIT == 2){
		$query="
			UPDATE atk_posts
			SET group_lock = ABS(group_lock - 1)
			WHERE group_id = $group
			AND forum = $FORUM";
		dbquery($query);
	}
}

/***************************/
/* Met un sujet en post_it */
/***************************/
function post_it($group){
	global $DROIT, $FORUM;

	if($DROIT == 2){
		$query="
			UPDATE atk_posts
			SET post_it = ABS(post_it - 1)
			WHERE group_id = $group
			AND forum = $FORUM";
		dbquery($query);
	}
}

/********************/
/* Dplace un sujet */
/********************/
function do_move($group, $moveto){
	global $DROIT, $ATK_LOGIN, $FORUM, $LANG;

  if($DROIT != 2) error(42);

  if(empty($moveto)) return(0);

  // Vrifie les droits
  $flag=0;
  $query="SELECT admin FROM atk_users WHERE login='$ATK_LOGIN'";
  $droit = dbgetfirst($query);
  $PRIV=strrev(decbin($droit));
	if(!$PRIV[4]){
		$query = "SELECT droit FROM atk_admin WHERE atk_admin.login='$ATK_LOGIN' AND atk_admin.forum=$moveto";
    $priv=dbgetfirst($query);
    $priv=strrev(decbin($priv));
    if($priv[0]) $flag=1;
	} else $flag = 1;
	
  // Excute le dplacement
  if($flag){

    // Nombre de messages  dplacer
    $query = "SELECT count(*) FROM atk_posts WHERE group_id=$group";
    $nb = dbgetfirst($query);
    
  	/************************/
  	/* Dplacement du sujet */
  	/************************/
  	$query = "
      UPDATE atk_posts
      SET forum=$moveto
      WHERE group_id=$group";
    dbquery($query);

    /*********************************/
    /* Mise  jour de l'ancien forum */
    /*********************************/
    // Dernier posts du forum
    $query = "SELECT max(id) FROM atk_posts WHERE forum=$FORUM";
  	$last_id = dbgetfirst($query);

  	if($last_id){
  		$query = "SELECT sender, date FROM atk_posts WHERE id=$last_id";
  		$row=dbgetline($query);
  		$last_sender = $row["sender"];
  		$last_date = $row["date"];
  	} else {
  		$last_sender="";
  		$last_date=0;
  		$last_id=0;
  	}

  	// On update le nombre de message du forum
  	$query = "
  		UPDATE atk_forums
  		SET
  		nb_post = nb_post - $nb, last_id=$last_id,
  		last_sender='$last_sender', last_date=$last_date
  		WHERE id = $FORUM";
  	dbquery($query);
  	
    /**************************/
    /* Mise  jour du nouveau */
    /**************************/
    // Dernier posts du forum
    $query = "SELECT max(id) FROM atk_posts WHERE forum=$moveto";
  	$last_id = dbgetfirst($query);

  	if($last_id){
  		$query = "SELECT sender, date FROM atk_posts WHERE id=$last_id";
  		$row=dbgetline($query);
  		$last_sender = $row["sender"];
  		$last_date = $row["date"];
  	} else {
  		$last_sender="";
  		$last_date=0;
  		$last_id=0;
  	}

  	// On update le nombre de message du forum
  	$query = "
  		UPDATE atk_forums
  		SET
  		nb_post = nb_post + $nb, last_id=$last_id,
  		last_sender='$last_sender', last_date=$last_date
  		WHERE id = $moveto";
  	dbquery($query);

    return $LANG["MOVE-OK"];

  }
}

/******************************************************************/
/* Balance l'affichage d'arborescence vers tableau et inversement */
/******************************************************************/
function switch_button(){
	global $ID_SESS, $SWITCH, $PF, $choix;
	
	if($ID_SESS){

		if($SWITCH==1) $SWITCH=2;
		elseif($SWITCH==2) $SWITCH=1;
		elseif($SWITCH==0 && $PF["structure"]) $SWITCH=1;
		elseif($SWITCH==0 && !$PF["structure"]) $SWITCH=2;
		$query = "
			UPDATE atk_sessions
			SET switch = $SWITCH
			WHERE id='$ID_SESS'";
		dbquery($query);	

		if($SWITCH==1 && $choix==0) include("./forum/view_forum.php");
		if($SWITCH==2 && $choix==0) include("./forum/view_tab_forum.php");
		
		if($SWITCH==1) $PF["incrementation"]=1;
		if($SWITCH==2) $PF["incrementation"]=0;
	
	} else {
		
		if($choix==0 && $PF["structure"]) include("./forum/view_tab_forum.php");
		if($choix==0 && !$PF["structure"]) include("./forum/view_forum.php");

	}
}

/**************************************/
/* Enregistre un vote pour un sondage */
/**************************************/
function vote($id, $vote){
	global $ATK_LOGIN, $LANG, $DATE;
	
	if($ATK_LOGIN != "nobody"){
		$query = "SELECT count(*) FROM atk_votes WHERE id_poll=$id AND login='$ATK_LOGIN'";
		$nb = dbgetfirst($query);
		
		$query = "SELECT expire FROM atk_polls WHERE id_poll=$id";
		$expire = dbgetfirst($query);
	}
	
	if(!empty($nb) || $ATK_LOGIN == "nobody" || ($DATE>$expire && $expire!=0))
		$msg = $LANG["POLL-VOTE-ERROR"];
	
	if(empty($msg)){
		$query = "INSERT INTO atk_votes (id_poll,login,vote) VALUES ($id, '$ATK_LOGIN', $vote)";
		dbquery($query);
		$msg = $LANG["POLL-VOTE"];
	}
	
	return $msg;
}
?>
