<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/*********************************************/
/* Mise en place de l'environnement du forum */
/*********************************************/
include("./common/errors.php");				// Gestion des erreurs
include("./common/config.php");				// Variables de configuration
include("./forum/functions.php");				// Fonctions gnrales
include("./index/common_functions.php");		// Fonctions spcifiques
include("./common/check_text.php");			// Traitement des textes
include("./common/global_func.php");			// Fonctions communes
$tps_start = get_microtime();					// Lance le calcul du temps

// Initialise les variable non initialises
if(empty($msg)) $msg="";
if(empty($page)) $page=0;
if(empty($cit)) $cit=0;
if(empty($suppr)) $suppr="";
if(empty($choix)) $choix=0;
if(empty($action)) $action="";
if(empty($avertissement)) $avertissement=0;
if(empty($message)) $message="";
if(empty($answer)) $answer=0;
if(empty($title)) $title="";
if(empty($comment)) $comment="";
if(empty($text)) $text="";
if(empty($login)) $login="";
if(empty($return)) $return=0;
if(empty($view)) $view="";
if(empty($question)) $question = "";
if(empty($choices)) $choices = "";
if(!isset($day)) $day = 7;
if(!isset($hour)) $hour = 0;

// Valeur intrinsque de $choix
if($msg!=0) $choix=1;
if($cit!=0) $choix=2;
if($suppr) $choix=7;

dbconnect();									// Connexion  la bdd
include("./forum/load.php");					// Chargement des paramtres
include("./lang/" . $PF["language"] . "/" . $PF["language"] . ".php");	// Chargement de la Langue
include("./forum/sessions.php");				// Gestion des sessions

if($PF["log_forum"] && $ATK_LOGIN == "nobody") $choix=16;

// include ncessaire en fonction des paramtres
if($action) include("./forum/actions.php");
if($action) include("./index/common_actions.php");

if(empty($SWITCH) && $action!="switch" && ($choix==0 || $choix==16) && $PF["structure"]==1) include("./forum/view_tab_forum.php");
if(empty($SWITCH) && $action!="switch" && ($choix==0 || $choix==16) && $PF["structure"]==0) include("./forum/view_forum.php");
if(($choix==0 || $choix==16) && $PF["structure"]==2) include("./forum/view_livre.php");
if(($choix==0 || $choix==16) && $PF["structure"]==3) include("./forum/view_news.php");

if($SWITCH==1 && $choix==0 && $action!="switch") include("./forum/view_forum.php");
if($SWITCH==2 && $choix==0 && $action!="switch") include("./forum/view_tab_forum.php");
if($choix==0 && !empty($PF["show_stat"])) include("./index/infos.php");
if($choix==1) include("./forum/view_posts.php");
if($choix==1) include("./forum/write_post.php");
if($choix==2) include("./forum/view_posts.php");
if($choix==2) include("./forum/write_post.php");
if($choix==3) include("./index/profile.php");
if($choix==4) include("./index/subscribe.php");
if($choix==5) include("./index/members.php");
if($choix==6) include("./index/login.php");
if($choix==8) include("./index/passwd.php");
if($choix==9) include("./index/passwd.php");
if($choix==10) include("./index/search.php");
if($choix==11) include("./index/inbox.php");
if($choix==12) include("./forum/edit.php");
if($choix==13) include("./index/infos.php");
if($choix==14) include("./forum/move.php");
if($choix==16) include("./index/login.php");
if($choix==16) include("./index/subscribe.php");
?>
