<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/*******************************************************************/
/* Gestion des sessions. Sortie: $ATK_LOGIN, $droit et $LAST_VISIT */
/* Pas de session pour les Invit(e)s                              */
/*******************************************************************/

/****************************/
/* Gestion des banissements */
/****************************/
if(!empty($ATK_BAN)){
	header("location: $URL_BAN");
	exit;	
}

if($PHP_SESS_ENABLED){

	/******************************/
	/* Initialisation des cookies */
	/******************************/
	// Cookie de dernire visite pour chaque forum
	if(!isset($ATK_VISIT)) $ATK_VISIT="";
	$ATK_VISIT = stripslashes($ATK_VISIT);
	$ATK_VISIT=unserialize($ATK_VISIT);
	
	// Flag pour le mode d'affichage
	$SWITCH=0;
	
	// Dmarrage de la session
	session_name('ATKSESSID');
	session_start();
	
	// Initialisation des login rels de la session
	if(empty($_SESSION["SESS_LOGIN"])){
		$_SESSION["SESS_LOGIN"]="nobody";
		$_SESSION["SESS_PASSWD"]="";
	}
	
	// Rcupre l'identit des cookies
	if($_SESSION["SESS_LOGIN"]=="nobody" && !empty($COOKIE_L) && !empty($COOKIE_P)){
		$_SESSION["SESS_LOGIN"] = $COOKIE_L;
		$_SESSION["SESS_PASSWD"] = $COOKIE_P;
	}
	
	// Donne les valeurs aux varables globales
	$ATK_LOGIN = $_SESSION["SESS_LOGIN"];
	$ATK_PASSWD = $_SESSION["SESS_PASSWD"];
	
	// Recherche un ventuel ID de session
	if(isset($_SESSION["SESS_ID"][$FORUM])) $ID_SESS = $_SESSION["SESS_ID"][$FORUM];
	else $ID_SESS="";
	
	/***********************************************/
	/* La session existe dj, reconnait le membre */
	/***********************************************/
	if(!empty($ID_SESS)){
	
		// Une session existe, rcupre les enregistrements
		$query = "
			SELECT atk_sessions.user, atk_sessions.droit,
			atk_sessions.last_visit, atk_sessions.fast_view, atk_sessions.switch
			FROM atk_sessions
			WHERE id='$ID_SESS' AND forum=$FORUM
			AND expire >= $DATE";
		$sql = dbquery($query);
	
		// Vrification de l'existence de la session
		// + vrification d'un log sur $SESS_LOGIN global
		if(!$row=mysql_fetch_array($sql)){
	
			// Session inexistante dans la table sessions (session expir par ex.)
			$ID_SESS="";
			// Supprime la session
			$_SESSION['SESS_ID'][$FORUM] = "";
			// On sort de cette partie et on fait comme si on avait pas encore
			// t connect. Permet de recrer une session
	
		} else {
	
			// Rcupre la dernire visite dans tous les cas
			$LAST_VISIT = $row["last_visit"];
			
			/******************************************/
			/* En cas de connexion sur un autre forum */
			/******************************************/
			if($row["user"] != $ATK_LOGIN){
				
				// Vrifie l'identification
				$query = "SELECT login,admin,passwd,fast_view,ban FROM atk_users WHERE login='$ATK_LOGIN'";
				$sql = dbquery($query);
				if($row=mysql_fetch_array($sql) and $ATK_PASSWD==$row["passwd"]){
				
					// Vrifie le bannissement
					if($row["ban"]>$DATE){
						setcookie("ATK_BAN", "1", $row["ban"]);
						header("location: $URL_BAN");
						exit;
					}
	
					// Cookies d'identification OK
					$FAST_VIEW = $row["fast_view"];
	
					$ATK_LOGIN = $row["login"];
					$ATK_PASSWD = $row["passwd"];
					
					// Enregistrement du login dans la session
					$_SESSION['SESS_LOGIN'] = $ATK_LOGIN;
					$_SESSION['SESS_PASSWD'] = $ATK_PASSWD;
			
					// Vrifie si le $ATK_LOGIN est un administrateur
					$PRIV=strrev(decbin($row["admin"]));
					$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$FORUM";
					$sql = dbquery($query);
					if($row=mysql_fetch_array($sql)) $priv=strrev(decbin($row["droit"]));
					if(!empty($PRIV[4]) OR !empty($priv[1])) $DROIT=2; else $DROIT=1;
					
					$query = "
						UPDATE atk_sessions
						SET user = '$ATK_LOGIN', expire = $SESSION_EXPIRE, droit = $DROIT, fast_view = $FAST_VIEW
						WHERE id = '$ID_SESS'";
					dbquery($query);
					
				/*********************************************************************************/
				/* La connexion sur l'autre forum n'est pas bon => Ne devrait jamais se produire */
				/* Met le visiteur en nobody											 */
				/*********************************************************************************/
				} else {
				
					// Initialisation de variables
					$FAST_VIEW = 0;
					$DROIT = 0;
					$ATK_LOGIN = "nobody";
					$ATK_PASSWD = "";
					
					// Suppression des ventuels cookies
					setcookie("COOKIE_L");
					setcookie("COOKIE_P");
					
					// Enregistrement du login dans la session
					$_SESSION['SESS_LOGIN'] = $ATK_LOGIN;
					$_SESSION['SESS_PASSWD'] = $ATK_PASSWD;
			
					$query = "
						UPDATE atk_sessions
						SET user = '$ATK_LOGIN', expire = $SESSION_EXPIRE, droit = $DROIT, fast_view = $FAST_VIEW
						WHERE id = '$ID_SESS'";
					dbquery($query);
					
				}
				
			/***************************************/
			/* On rcupre les infos de la session */
			/***************************************/
			} else {
			
				// Rcupre les donnes de la session
				$ATK_LOGIN = $row["user"];
				$DROIT = $row["droit"];
				$LAST_VISIT = $row["last_visit"];
				$FAST_VIEW = $row["fast_view"];
				$SWITCH = $row["switch"];
				if($SWITCH==1) $PF["incrementation"]=1;
				if($SWITCH==2) $PF["incrementation"]=0;
		
				// Met  jour la date d'expiration de la session
				$query = "
					UPDATE atk_sessions
					SET expire = $SESSION_EXPIRE
					WHERE id = '$ID_SESS' AND forum = $FORUM";
				dbquery($query);
				
			}
	
		}
	
	}
	
	/*******************************/
	/* Pas de session et un cookie */
	/*******************************/
	if(empty($ID_SESS) && $ATK_LOGIN!="nobody"){
		
		// Vrifie les cookies d'identification
		$query = "SELECT login,admin,passwd,fast_view,ban FROM atk_users WHERE login='$ATK_LOGIN'";
		$sql = dbquery($query);
		if($row=mysql_fetch_array($sql) and $ATK_PASSWD==$row["passwd"]){
	
			// Vrifie le bannissement
			if($row["ban"]>$DATE){
				setcookie("ATK_BAN", "1", $row["ban"]);
				header("location: $URL_BAN");
				exit;
			}
	
			// On supprime de la base les sessions expires
			$query = "DELETE FROM atk_sessions WHERE expire < $DATE OR (user = '$ATK_LOGIN' && forum = $FORUM)";
			dbquery($query);
			
			// Cookies d'identification OK
			$ATK_LOGIN = $row["login"];
			$FAST_VIEW = $row["fast_view"];
			
			// Cre la session
			$ID_SESS = md5(uniqid(rand()));
			$_SESSION["SESS_ID"][$FORUM] = $ID_SESS;
			
			// Enregistrement du login dans la session
			$_SESSION['SESS_LOGIN'] = $row["login"];
			$_SESSION['SESS_PASSWD'] = $row["passwd"];
	
			// Vrifie si le $ATK_LOGIN est un administrateur
			$PRIV=strrev(decbin($row["admin"]));
			$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$FORUM";
			$sql = dbquery($query);
			if($row=mysql_fetch_array($sql)) $priv=strrev(decbin($row["droit"]));
			if(!empty($PRIV[4]) OR !empty($priv[1])) $DROIT=2; else $DROIT=1;
	
			// Rcupre la date de dernire visite si le cookie existe,
			// sinon =  $LAST_VISIT_DEFAULT
			if(!empty($ATK_VISIT[$FORUM])) $LAST_VISIT=$ATK_VISIT[$FORUM];
			else $LAST_VISIT = $LAST_VISIT_DEFAULT;
	
			// Insre le nouveau $ATK_LOGIN dans la table de session
			$query = "
				INSERT INTO atk_sessions (id,session,ip,forum,user,expire,droit,last_visit,fast_view)
				VALUES ('$ID_SESS', '$ATKSESSID', '$REMOTE_ADDR', $FORUM, '$ATK_LOGIN',
				$SESSION_EXPIRE, $DROIT, $LAST_VISIT, '$FAST_VIEW')";
			dbquery($query);
	
			// Incrmente le nombre de visite du forum
			$query = "UPDATE atk_forums	SET nb_visit = nb_visit+1 WHERE id = $FORUM";
			dbquery($query);
	
		} else {
	
			// Les cookies d'identifications ne correspondent pas
			// Supprime les cookies et met  jour
			setcookie("COOKIE_L");
			setcookie("COOKIE_P");
			$_SESSION["SESS_LOGIN"] = "nobody";
			$_SESSION["SESS_PASSWD"] = "";
			$ATK_LOGIN = $_SESSION["SESS_LOGIN"];
			$ATK_PASSWD = $_SESSION["SESS_PASSWD"];
	
		}
	}
	
	/************************************************/
	/* Pas de session ni de cookie d'identification */
	/************************************************/
	if(empty($ID_SESS) && $ATK_LOGIN=="nobody"){
	
			// On supprime de la base les sessions expires
			$query = "DELETE FROM atk_sessions WHERE expire < $DATE OR (user = '$ATK_LOGIN' && forum = $FORUM)";
			dbquery($query);
			
			// Initialisation des variables
			$FAST_VIEW = 0;
			$DROIT=0;
	
			// Cre la session
			$ID_SESS = md5(uniqid(rand()));
			$_SESSION["SESS_ID"][$FORUM] = $ID_SESS;
	
			// Rcupre la date de dernire visite si le cookie existe,
			// sinon =  $LAST_VISIT_DEFAULT
			if(!empty($ATK_VISIT[$FORUM])) $LAST_VISIT = $ATK_VISIT[$FORUM];
			else $LAST_VISIT = $LAST_VISIT_DEFAULT;
	
			// Insre le nouveau $ATK_LOGIN dans la table de session
			$query = "
				INSERT INTO atk_sessions (id,session,ip,forum,user,expire,droit,last_visit,fast_view)
				VALUES ('$ID_SESS', '$ATKSESSID', '$REMOTE_ADDR', $FORUM, '$ATK_LOGIN',
				$SESSION_EXPIRE, $DROIT, $LAST_VISIT, '$FAST_VIEW')";
			dbquery($query);
	
			// Incrmente le nombre de visite du forum
			$query = "UPDATE atk_forums	SET nb_visit = nb_visit+1 WHERE id = $FORUM";
			dbquery($query);
	
	}
	
	
	/*************************************/
	/* Met  jour des variables globales */
	/*************************************/
	
	// Met  jour le cookie de dernire visite
	$ATK_VISIT[$FORUM]=$DATE;
	$tmp = serialize($ATK_VISIT);		
	setcookie("ATK_VISIT", $tmp, $COOKIE_EXPIRE);
	
	// Vrifie l'accs aux forums privs
	$ACCES=0;
	if(!empty($_SESSION["SESS_ACCES"][$FORUM]) && $_SESSION["SESS_ACCES"][$FORUM]==$PF["passwd"]) $ACCES=1;
	if(!$PF["passwd"]) $ACCES=1;
	
	// Initialisation des fast_view
	if($PF["fast_view"]==0) $FAST_VIEW=0;
	if($PF["fast_view"]==1) $FAST_VIEW=1;


// Gestion des sessions "maison"
} else {
	
	$SWITCH=0;

	/****************************************************/
	/* Un cookie de session existe, reconnait le membre */
	/****************************************************/
	if($ID_SESS){
		// Une session existe, rcupre les enregistrement
		$query = "
			SELECT atk_sessions.user, atk_sessions.droit,
			atk_sessions.last_visit, atk_sessions.fast_view, atk_sessions.switch
			FROM atk_sessions
			WHERE forum=$FORUM AND id='$ID_SESS'
			AND expire >= $DATE";
		$sql = dbquery($query);
		if(!$row=mysql_fetch_array($sql)){
			// Session inexistante dans la table sessions (session expir par ex.)
			$ID_SESS="";
			// Supprime le cookie de session
			unset($ATK_SESS[$FORUM]);
			$tmp = serialize($ATK_SESS);
			setcookie("ATK_SESS", $tmp);
		// On sort de cette partie et on fait comme si on avait pas encore
		// t connect. Permet de recrer une session
		} else {
			// Rcupre les donnes de la session
			$ATK_LOGIN = $row["user"];
			$DROIT = $row["droit"];
			$LAST_VISIT = $row["last_visit"];
			$FAST_VIEW = $row["fast_view"];
			$SWITCH = $row["switch"];
			if($SWITCH==1) $PF["incrementation"]=1;
			if($SWITCH==2) $PF["incrementation"]=0;
			// Met  jour le cookie de dernire visite
			$ATK_VISIT[$FORUM]=$DATE;
			$tmp = serialize($ATK_VISIT);		
			setcookie("ATK_VISIT", $tmp, $COOKIE_EXPIRE);
			// Met  jour la date d'expiration de la session
			$query = "
				UPDATE atk_sessions
				SET expire = $SESSION_EXPIRE
				WHERE id = '$ID_SESS' AND forum = $FORUM";
			dbquery($query);
			
		}
	}
	
	/*********************************************************************/
	/* Pas de cookie de session, mais un cookie membre: Cre une session */
	/*********************************************************************/
	if(!$ID_SESS AND $ATK_LOGIN){
		// Vrifie les cookies d'identification
		$query = "SELECT login,admin,passwd,fast_view,ban FROM atk_users WHERE login='$ATK_LOGIN'";
		$sql = dbquery($query);
		if($row=mysql_fetch_array($sql) and $ATK_PASSWD==$row["passwd"]){
			// Vrifie le bannissement
			if($row["ban"]>$DATE){
				setcookie("ATK_BAN", "1", $row["ban"]);
				header("location:$URL_BAN");
				exit;
			}
			// On supprime de la base les invit(e) ayant son ip
			// ou avec son ancien login (si plusieurs fentres)
			// et les sessions expires
			$query = "
				DELETE FROM atk_sessions
				WHERE ((user='$ATK_LOGIN' OR user='nobody') AND forum=$FORUM)
				OR expire < $DATE";
			dbquery($query);
			// Cookies d'identification OK
			$ATK_LOGIN=$row["login"];
			$FAST_VIEW=$row["fast_view"];
			$ID_SESS=md5(uniqid(rand()));
			// Cre un cookie de session
			$ATK_SESS[$FORUM] = $ID_SESS;
			$tmp = serialize($ATK_SESS);		
			setcookie("ATK_SESS", $tmp);
			// Vrifie si le $ATK_LOGIN est un administrateur
			$PRIV=strrev(decbin($row["admin"]));
			$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$FORUM";
			$sql = dbquery($query);
			if($row=mysql_fetch_array($sql)) $priv=strrev(decbin($row["droit"]));
			if(!empty($PRIV[4]) OR !empty($priv[1])) $DROIT=2; else $DROIT=1;
			// Rcupre la date de dernire visite si le cookie existe,
			// sinon =  $LAST_VISIT_DEFAULT
			if(!empty($ATK_VISIT[$FORUM])) $LAST_VISIT=$ATK_VISIT[$FORUM];
			else $LAST_VISIT=$LAST_VISIT_DEFAULT;
			// Envoie un cookie de dernire visite = maintenant
			$ATK_VISIT[$FORUM] = $DATE;
			$tmp = serialize($ATK_VISIT);		
			setcookie("ATK_VISIT", $tmp, $COOKIE_EXPIRE);
			// On supprime de la base les ventuelles sessions de $ATK_LOGIN, et les sessions expires
			$query = "DELETE FROM atk_sessions WHERE (user='$ATK_LOGIN' AND forum=$FORUM) OR expire < $DATE";
			$sql = dbquery($query);
			// Insre le nouveau $ATK_LOGIN dans la table de session
			$query = "
				INSERT INTO atk_sessions (id,ip,forum,user,expire,droit,last_visit,fast_view)
				VALUES ('$ID_SESS', '$REMOTE_ADDR', $FORUM, '$ATK_LOGIN',
				$SESSION_EXPIRE, $DROIT, $LAST_VISIT, '$FAST_VIEW')";
			dbquery($query);
			// Incrmente le nombre de visite du forum
			$query = "
				UPDATE atk_forums
				SET nb_visit = nb_visit+1
				WHERE id = $FORUM";
			dbquery($query);
		} else {
			// Les cookies d'identifications ne correspondent pas
			// Supprime les cookies
			setcookie("ATK_LOGIN"); $ATK_LOGIN="";
			setcookie("ATK_PASSWD"); $ATK_PASSWD="";
		}
	}
	
	/*************************************************/
	/* Pas de cookie de session: Valeurs par dfauts */
	/*************************************************/
	if(!$ID_SESS AND !$ATK_LOGIN){
		// Valeurs par dfaut pour les invits(e)
		$LAST_VISIT = $LAST_VISIT_DEFAULT;
		$ATK_LOGIN = "nobody";
		$DROIT=0;
		// Met  jour la session des invit(e) (champ expire) retrouv par leur ip
		// Peu fiable, mais suffisant car les invits n'ont aucun droit spcifique
		// Sert uniquement pour compter le nombre de visites par ip
		$query = "
			UPDATE atk_sessions
			SET expire = '$SESSION_EXPIRE'
			WHERE forum = $FORUM
			AND ip = '$REMOTE_ADDR'
			AND user = '$ATK_LOGIN'
			AND expire >= $DATE";
		dbquery($query);
		// Si aucun enregistrement n'a t mis  jour, on en cre un nouveau
		if(!mysql_affected_rows()){
			// Supprime les sessions expires
			$query = "DELETE FROM atk_sessions WHERE expire < $DATE";
			dbquery($query);
			// Et on gnre un ID unique
			$uniqid = md5(uniqid(rand()));
			$ID_SESS=$uniqid;
			$ATK_SESS[$FORUM] = $ID_SESS;
			$tmp = serialize($ATK_SESS);		
			setcookie("ATK_SESS", $tmp);
			$query = "
				INSERT INTO atk_sessions (id,ip,forum,user,expire,last_visit)
				VALUES ('$uniqid','$REMOTE_ADDR',$FORUM,'$ATK_LOGIN',$SESSION_EXPIRE,$LAST_VISIT)";
			dbquery($query);
			// Augmente le nombre de visite du forum de 1
			$query = "
				UPDATE atk_forums
				SET nb_visit = nb_visit+1
				WHERE id = $FORUM";
			dbquery($query);
		}
	}
	
	// Vrifie l'accs aux forums privs
	if(!empty($ATK_ACCES[$FORUM]) AND $ATK_ACCES[$FORUM]==$PF["passwd"]) $ACCES=1;
	if(!$PF["passwd"]) $ACCES=1;
	if($PF["fast_view"]==0) $FAST_VIEW=0;
	if($PF["fast_view"]==1) $FAST_VIEW=1;

}
?>
