<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/*****************************************/
/* Fonction d'affichage du forum         */
/* Rcupre les donnes, et les affiches */
/*****************************************/
function view_forum($page){
	global $TAB_LENGTH, $SMILEY_PATH, $PF, $FAST_VIEW;
	global $LAST_VISIT, $TAB_HEIGHT, $MYSELF, $FORUM, $LANG, $ATK_LOGIN;
	global $last_date, $PF, $ATK_READ, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;
	global $PHP_SESS_ENABLED;

	$debut = ($page-1)*$PF["nb_subjects_per_page"];

	/************************************/
	/* Rcupre l'ensemble des messages */
	/************************************/
	// Retrouve la liste des sujets
	$order="id";
	$query = "
		SELECT atk_posts.id, atk_posts.tab, atk_posts.sender, atk_posts.title, atk_posts.comment, atk_posts.id_poll,
		atk_posts.group_id, atk_posts.visited, atk_posts.smiley, atk_posts.date, atk_posts.num,
		atk_posts.group_lock, atk_posts.post_it, atk_posts.visited, atk_posts.text, atk_posts.answer,
		atk_posts.last_id, atk_posts.last_sender, atk_posts.last_date, atk_posts.nb_answer,
		atk_users.signature, atk_users.show_email, atk_users.town, atk_users.msn, atk_users.yahoo,
		atk_users.icq, atk_users.aim, atk_users.skype, atk_users.email, atk_users.url, atk_users.nb_post
		FROM atk_posts
		LEFT OUTER JOIN atk_users
		ON atk_posts.sender = atk_users.login
		WHERE atk_posts.forum = $FORUM
		ORDER BY atk_posts.post_it DESC, $order DESC
		LIMIT $debut," . $PF["nb_subjects_per_page"];
	$sql = dbquery($query);
		
	/************************************/
	/* Affichage des posts dans l'ordre */
	/************************************/

	while($row=mysql_fetch_array($sql)){

		$count++;

		$title=cut_text($row["title"],60);
		$title=before_print_title($title);
		$comment=before_print_title($row["comment"]);
		$id=$row["id"];
		
		show_post($row,$id,$page);

	}

	/*******************************************/
	/* Nombre de messages, affichage des pages */
	/*******************************************/
	// Nombre de sujets
	$query = "SELECT count(*) FROM atk_posts WHERE forum=$FORUM AND num=0";
	$n_posts=dbgetfirst($query);
	
	$n_page=ceil($n_posts/$PF["nb_subjects_per_page"]);
	$param="";
	show_pages($page, $n_page, $param);

	/**************************/
	/* Affiche le double menu */
	/**************************/
	if($PF["dblmenu"]){
		echo "<BR>";
		navigator();
	}
}

/************************/
/* Affichage d'un posts */
/************************/
function show_post($t,$id, $return){
	global $LANG, $DROIT, $MYSELF, $PF, $ATK_LOGIN, $MAX_TAB, $OPACITY, $LAST_VISIT, $LAST_READ;
	global $PRESENCE, $DATE, $SMILEY_PATH, $CONNECTED_FORUM_USER, $CONNECTED_INDEX_USER;

	$t["title"]=before_print_title($t["title"]);
	$t["comment"]=before_print_title($t["comment"]);
	$t["text"]=before_print_text($t["text"]);
	$t["signature"]=before_print_text($t["signature"]);

	if($t["tab"]>$MAX_TAB) $t["tab"]=$MAX_TAB;
	$t["tab"]=0;
	$width=100-$t["tab"]*2;

	echo "<a name='" . $t["id"] . "'></a>";
	
	echo "<p align=right>";
	echo "<table class=atk_default width=$width% cellspacing=0px><tr>";
		echo "<td class=atk_title align=center>";
		if($t["id"]==$id) echo "<span class=atk_selected>" . $t["title"] . "</span>";
		else echo $t["title"] . " [" . $t["id"] . "]";
		if($DROIT==2){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a href='" . $MYSELF . "suppr=" . $t["id"] . "'>";
			echo "<img src='images/delete.gif' border=0 align=middle ALT='Delete' TITLE='Delete'>";
			echo "</a>";
		}
		if($DROIT==2 AND $t["id"]==$t["group_id"]){
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=lock&group=" . $t["group_id"] . "'>";
			if($t["group_lock"]) echo "<img src='./images/unlock.gif' border=0 align=middle ALT='Unlock' TITLE='Unlock'>";
			else echo "<img src='./images/lock.gif' border=0 align=middle ALT='Lock' TITLE='Lock'>";
			echo "</a>";
			
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "choix=14&group=" . $t["group_id"] . "'>";
			echo "<img src='./images/move.gif' border=0 align=middle ALT='Move' TITLE='Move'>";
			echo "</a>";			

			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<a class=atk_menu href='" . $MYSELF . "action=post_it&group=" . $t["group_id"] . "'>";
			if($t["post_it"]) echo "<img src='./images/del_post-it.gif' border=0 align=middle ALT='Delete Post-it' TITLE='Delete Post-it'>";
			else echo "<img src='./images/post-it.gif' border=0 align=center ALT='Post-it' TITLE='Post-it'>";
			echo "</a>";
		}
		
		echo "</td>";
	echo "</tr><tr>";
		// $flag = true si nouveau message
		$flag = (empty($LAST_READ) || (!empty($LAST_READ) && $LAST_READ<$t["date"]));
		if($t["date"]>$LAST_VISIT && $flag) echo "<td class=atk_body_img_new>";
		else echo "<td class=atk_body_img>";
	
		// Prpare la mise en place du fade
		$fade = " onmouseover=nereidFade(this,100,30,10) ";
		$fade.= "style='FILTER: alpha(opacity=$OPACITY)' ";
		$fade.= "onmouseout=nereidFade(this,$OPACITY,50,5)";
	
		echo "<table width=100% cellpadding=0px cellspacing=0px><tr>";

			echo "<td width=140px class=atk_body valign=top>";
			
				echo "<BR>";
				echo "<TABLE width=100% cellpadding=0 cellspacing=0>";
				echo "<TR>";
				echo "<TD class=atk_body valign=top>";
			
				if(!empty($CONNECTED_FORUM_USER[$t["sender"]])) echo "<IMG src='images/eclair_jaune.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-FORUM"] . "' TITLE='" . $LANG["FORUM-CONNECTED-FORUM"] . "'>&nbsp;";
				elseif(!empty($CONNECTED_INDEX_USER[$t["sender"]])) echo "<IMG src='images/eclair_vert.gif' align=center ALT='" . $LANG["FORUM-CONNECTED-INDEX"] . "' TITLE='" . $LANG["FORUM-CONNECTED-INDEX"] . "'>&nbsp;";

				if($t["show_email"]){
					echo "<a href='mailto:" . $t["email"] . "' ALT='" . $t["email"] . "' TITLE='" . $t["email"] . "'>";
					echo $t["sender"];
					echo "</a>";
				} elseif($t["sender"]=="nobody") echo $LANG["NOBODY"];
				else echo $t["sender"];
				
				if(!empty($t["more"])){
					echo "<BR><B>" . $t["more"] . "</b>";
				}

				echo"<BR><BR>";	

				if($t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg)){
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/profil.gif' ALT='" . $LANG["POST-PROFIL"] . "' TITLE='" . $LANG["POST-PROFIL"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["url"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $t["url"] . "' target='_blank'>";
					echo "<img src='./images/web.gif' border='0px' ALT='" . $LANG["POST-WEB"] . " : " . $t["url"] . "' TITLE='" . $LANG["POST-WEB"] . " : " . $t["url"] . "'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				$icon=strrev(decbin($PF["icon"]));
				if(!empty($icon[0]) && $t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg) && $ATK_LOGIN!="nobody"){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=11&recipient=" . $t["sender"] . "&option=write'>";
					echo "<img src='./images/empty.gif' ALT='" . $LANG["POST-MP"] . "' TITLE='" . $LANG["POST-MP"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["msn"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/msn.gif' ALT='" . $LANG["POST-MSN"] . " : " . $t["msn"] . "' TITLE='" . $LANG["POST-MSN"] . " : " . $t["msn"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["icq"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<IMG src='./images/icq.gif' ALT='" . $LANG["POST-ICQ"] . " : " . $t["icq"] . "' TITLE='" . $LANG["POST-ICQ"] . " : " . $t["icq"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["aim"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/aim.gif' ALT='" . $LANG["POST-AIM"] . " : " . $t["aim"] . "' TITLE='" . $LANG["POST-AIM"] . " : " . $t["aim"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["skype"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/skype.gif' ALT='" . $LANG["POST-SKYPE"] . " : " . $t["skype"] . "' TITLE='" . $LANG["POST-SKYPE"] . " : " . $t["skype"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				if($t["sender"] != "nobody" AND $t["yahoo"]){
					echo "&nbsp;&nbsp;";
					echo "<a href='" . $MYSELF . "choix=5&method=3&login=" . $t["sender"] . "'>";
					echo "<img src='./images/yahoo.gif' ALT='" . $LANG["POST-YAHOO"] . " : " . $t["yahoo"] . "' TITLE='" . $LANG["POST-YAHOO"] . " : " . $t["yahoo"] . "' border='0px'";
					if($PF["fade_icon"]) echo $fade;
					echo "></a>";
				}
				
				echo "<BR><BR>";
				
				// Affichage de l'avatar
				if($PF["avatar"] && $t["avatar"]){
					echo "<center><img src='" . $t["avatar"] . "' alt='" . $t["sender"] . "' title='" . $t["sender"] . "' ";
					echo "width='" . $t["size_0"] . "' height='" . $t["size_1"] . "'></center><BR>";
				}

				if($t["sender"] != "nobody" && !ereg("^-(.)*-$",$t["sender"],$reg)){
					
					if($t["show_status"]==0){
						$q=$t["nb_post"]/(($DATE-$t["subscribe"])/86400);
						$part=10;
						if($q<$PRESENCE[9]) $part=9;
						if($q<$PRESENCE[8]) $part=8;
						if($q<$PRESENCE[7]) $part=7;
						if($q<$PRESENCE[6]) $part=6;
						if($q<$PRESENCE[5]) $part=5;
						if($q<$PRESENCE[4]) $part=4;
						if($q<$PRESENCE[3]) $part=3;
						if($q<$PRESENCE[2]) $part=2;
						if($q<$PRESENCE[1]) $part=1;
						$img = "images/stars/stars-$part.gif";
						$text = ($part/2) . " / 5";
						echo "<b>" . $LANG["USERS-LEVEL"] . " :</b> <IMG src='$img' ALT='$text' TITLE='$text'><BR>";
					
						if(!empty($PF["max_status"]) && !empty($PF["status"])){
							$status = status($t["nb_post"]);
							echo "$status<BR>";
						}
					}
						
					echo "<A href='" . $MYSELF . "choix=15&member=" . $t["sender"] . "'>" . $t["nb_post"] . " " . $LANG["POST-MSG-POST"] . "</A><BR><BR>";
					
				}

				echo "</TD>";
				echo "</TR>";
				echo "</TABLE>";
														
			echo "</td>";
			echo "<td valign=top class=atk_body>";

				$date=date($LANG["FORMAT-DATE"],$t["date"]+($PF["local_time"]*3600));
		
				echo "<BR><TABLE width=100% cellpadding=0 cellspacing=0>";
				echo "<TR>";
				echo "<TD class=atk_body valign=top width=400px>";
					if($t["smiley"]) echo "<IMG src='$SMILEY_PATH/" . $t["smiley"] . ".gif' align=center>&nbsp;&nbsp;";
					
					$read=str_replace("%n",$t["visited"],$LANG["POST-READ"]);
					echo "<b>" . $LANG["POST-DATE"];
					echo " :&nbsp;</b>$date" . " ($read)";
				echo "</TD>";
				
				$size = getimagesize($PF["button"]);
				$col=1;
				
					if($DROIT==2 OR ($ATK_LOGIN==$t["sender"] AND $PF["edit"] AND $ATK_LOGIN!="nobody" AND !$t["group_lock"] AND empty($PF["locked"]))){
						
						$col++;
						
						echo "<TD  width='" . ($size[0]+10) . "' align='center'>";
						
						echo "<TABLE background='" . $PF["button"] . "' border=0 cellpadding=0 cellspacing=0 width='" . $size[0] . "' height='" . $size[1] . "'><TR><TD align='center'>";
							echo "<A class=atk_button_link href='" . $MYSELF . "choix=12&post=" . $t["id"] . "' ALT='" . $LANG["POST-EDIT"] . "' TITLE='" . $LANG["POST-EDIT"] . "'>";
								echo $LANG["EDIT-ICON"];
							echo "</A>";
						echo "</TD></TR></TABLE>";
						
						echo "</TD>";
					}

				echo "</TR>";
				echo "<TR>";
				echo "<TD class=atk_body colspan=$col>";
				
					if(!empty($t["comment"])){
							echo "<BR><b>" . $LANG["POST-COMMENT"];
							echo " :</b>&nbsp;&nbsp;" . $t["comment"] . "<br><br>";
					}
					echo "<BR>" . $t["text"] . "<BR><BR>";

				echo "</TD>";
				echo "</TR><TR>";
				echo "<TD class=atk_body colspan=$col align=right>";				
					if(!empty($t["signature"])){
						echo "--------------------------------<BR>";
						echo $t["signature"];
					}
				echo "</TD>";				
				echo "</TR>";
				echo "</TABLE>";

			echo "</td></tr></table>";

		echo "</td>";
	echo "</tr></table>";
}

/*************************************/
/* Affiche les pages dans les sujets */
/*************************************/
function create_page($nb, $msg, $page){
	global $PF, $MYSELF;

	$nb=ceil(($nb+1)/$PF["nb_posts_per_page"]);

	if($nb<2) return;

     echo "&nbsp;&nbsp;[&nbsp;";

	if($nb>4){
		for($i=1; $i<3; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
		echo "...&nbsp;";
		for($i=$nb-1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	} else {
		for($i=1; $i<=$nb; $i++){
			echo "<a class=atk_post_tab href='" . $MYSELF . "msg=$msg&return=$page&page=$i'>";
			echo $i;
			echo "</a>";
			echo "&nbsp;";
		}
	}

	echo "]";
}
?>
