<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/******************************************/
/* Affichage des messages d'avertissement */
/******************************************/
function alert($message){
	global $LANG;

	// Saut de ligne
	echo "<BR>";
	
	echo "<TABLE width=100% class=atk_default cellspacing=0px><tr>";
		echo "<TD class=atk_title align=center>" . $LANG["ALERT-ALERT"] . "</TD>";
	echo "</TR><TR>";
		echo "<TD class=atk_body_img align=center height=40px>" . $message . "</td>";
	echo "</TR></TABLE>";
}

/********************************************/
/* Affiche les smileys pour les formulaires */
/********************************************/
function show_smileys(){
	global $PF, $NB_COL_SMILEY, $SMILEY_PATH;

	$nb_line=ceil($PF["nb_smiley"]/$NB_COL_SMILEY);

	if($nb_line!=0){
		echo "<br><table align=center cellpadding=2px><tr><td align=right></td>";
		for($i=1;$i<=$NB_COL_SMILEY;$i++) echo "<td class=atk_body align=center>$i</td>";
		$n=0;
		for($i=0;$i<$nb_line;$i++){
			$c=chr(ord("A")+$i);
			echo "<tr><td class=atk_body align=center>$c</td>";
			for($j=0;$j<$NB_COL_SMILEY;$j++){
				$n++;
				echo "<td class=atk_body align=center>";	
				if($PF["nb_smiley"]>=$n){
					$l=$n-$i*$NB_COL_SMILEY;
					$char="#$c$l";
					echo "<img src='$SMILEY_PATH/$c$l.gif' alt='$c$l' title='$c$l' border=0 onMouseOver=\"javascript:this.style.cursor='hand';\" onclick=\"javascript:insertAtCaret(' $char ')\">";
				}
				echo "</td>";
			}
			echo "</tr>";
		}
		echo "</table>";
	}
}

/*********************************/
/* Affiche les liens des options */
/*********************************/
function show_options(){
	global $LANG, $PF;

	$tags=strrev(decbin($PF["tags"]));
	
	if($tags){
		echo "<br>";
	
		if(!empty($tags[1])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-CIT"] . "') class=atk_form>[" . $LANG["TAG-CIT"] . "]</a>";
		if(!empty($tags[0])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-IMG"] . "') class=atk_form>[" . $LANG["TAG-IMG"] . "]</a>";
		if(!empty($tags[19])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-FLASH"] . "') class=atk_form>[" . $LANG["TAG-FLASH"] . "]</a>";
		
		echo "<BR><BR>";
	
		if(!empty($tags[2])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-BOLD"] . "') class=atk_form>[" . $LANG["TAG-BOLD"] . "]</a>";
		if(!empty($tags[3])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-ITALIC"] . "') class=atk_form>[" . $LANG["TAG-ITALIC"] . "]</a>";
		if(!empty($tags[4])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-UNDERLINE"] . "') class=atk_form>[" . $LANG["TAG-UNDERLINE"] . "]</a>";
		echo "<BR>";
		if(!empty($tags[5])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-STRIKE"] . "') class=atk_form>[" . $LANG["TAG-STRIKE"] . "]</a>";
		if(!empty($tags[6])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-SUPERSCRIPT"] . "') class=atk_form>[" . $LANG["TAG-SUPERSCRIPT"] . "]</a>";
		if(!empty($tags[7])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-SUBSCRIPT"] . "') class=atk_form>[" . $LANG["TAG-SUBSCRIPT"] . "]</a>";
		echo "<BR>";
		if(!empty($tags[8])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-BIG"] . "') class=atk_form>[" . $LANG["TAG-BIG"] . "]</a>";
		if(!empty($tags[9])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-SMALL"] . "') class=atk_form>[" . $LANG["TAG-SMALL"] . "]</a>";
		if(!empty($tags[10])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-CODE"] . "') class=atk_form>[" . $LANG["TAG-CODE"] . "]</a>";
		
		echo "<BR><BR>";
	
		if(!empty($tags[12])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-BLACK"] . "') class=atk_form>[" . $LANG["TAG-BLACK"] . "]</a>";
		if(!empty($tags[11])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-WHITE"] . "') class=atk_form>[" . $LANG["TAG-WHITE"] . "]</a>";
		if(!empty($tags[13])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-YELLOW"] . "') class=atk_form>[" . $LANG["TAG-YELLOW"] . "]</a>";
		if(!empty($tags[14])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-ORANGE"] . "') class=atk_form>[" . $LANG["TAG-ORANGE"] . "]</a>";
		echo "<BR>";
		if(!empty($tags[15])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-RED"] . "') class=atk_form>[" . $LANG["TAG-RED"] . "]</a>";
		if(!empty($tags[16])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-PURPLE"] . "') class=atk_form>[" . $LANG["TAG-PURPLE"] . "]</a>";
		if(!empty($tags[17])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-BLUE"] . "') class=atk_form>[" . $LANG["TAG-BLUE"] . "]</a>";
		if(!empty($tags[18])) echo "&nbsp;<a href=javascript:insert_option('" . $LANG["TAG-GREEN"] . "') class=atk_form>[" . $LANG["TAG-GREEN"] . "]</a>";
	}
}

/*****************************/
/* Fonction d'envoie d'email */
/*****************************/
function send_mail($recipient,$subject,$body){
	global $PF;

	// Cre les enttes
	$headers  = "From:" . $PF["return_mail"] . "\n";
	$headers .= "X-Sender:" . $PF["return_mail"] . "\n";
	$headers .= "X-Mailer: PHP\n"; // maileur
	$headers .= "X-Priority:1\n"; //  Message urgent !
	$headers .= "Return-Path:" . $PF["return_mail"] . "\n";
	$headers .= "MIME-Version:1.0\n";
	$headers .= "Content-Type:text/plain; charset=iso-8859-1\n";
	$headers .= "Content-Transfer-Encoding:8bit\n";
	// et hop,  la poste !!!
	$result=mail($recipient, $subject, $body, $headers);
	// Pour online, en remplacant webmaster par la premire partie de votre email online:
	// $result=email("postmaster",$recipient, $subject, $body, "postmaster");
	if(!$result) reccord_error("Mail error (not send) : " . $recipient);
}

/****************************************/
/* Avertie un membre d'un message priv */
/****************************************/
function mp_mail($recipient){
	global $LANG, $SERVER_NAME, $PHP_SELF, $PF;

	$subject = $LANG["MP-MAIL-SUBJECT"];

	$query = "
		SELECT atk_users.login,atk_users.email,atk_users.alert_mp
		FROM atk_users
		WHERE atk_users.login='$recipient'";
	$sql = dbquery($query);

	if($row=mysql_fetch_array($sql) AND $row["alert_mp"]){
		$body=str_replace("%user",$row["login"],$LANG["MP-MAIL-BODY"]);
		$body=str_replace("%url", "http://" . $SERVER_NAME . $PHP_SELF,$body);
		send_mail($row["email"],$subject,$body);
	}
}

/****************************/
/* Affiche le smiley global */
/****************************/
function show_global_smiley($default=0){
	global $PF, $LANG, $NB_COL_SMILEY, $SMILEY_PATH;

	$nb_line=ceil($PF["nb_smiley"]/$NB_COL_SMILEY);

	if($nb_line){
		echo "<table class=atk_parametre align=center>";
		echo "<tr><td class=atk_body>";
			echo "<select class=atk_input name='smiley' onChange='select_smiley();'>";
			if($default==0 or $default==$default) $selected="SELECTED"; else $selected="";
			echo "<option value='0' $selected>" . $LANG["FORM-SMILEY-NONE"] . " </option>";
			$n=0;
			for($i=0;$i<$nb_line;$i++){
				for($j=0;$j<$NB_COL_SMILEY;$j++){
					$n++;
					if($PF["nb_smiley"]>=$n){
						$c=chr(ord("A")+$i);
						$l=$n-$i*$NB_COL_SMILEY;
						$char="$c$l";
						if($default == $char) $selected="SELECTED"; else $selected="";
						echo "<option value='$char' $selected>$char</option>";
					}
				}
			}
			echo "</select>";
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo "<IMG name=img_smiley>";

			echo "<SCRIPT language='JavaScript'>";
				echo "select_smiley();";
			echo "</SCRIPT>";
		echo "</td></tr></table>";
	}
}

/****************************/
/* Fait le calcul du statut */
/****************************/
function status($nb_post){
	global $PF;
	
	if(empty($PF["max_status"]) || empty($PF["status"])) return 0;
	
	$max = $PF["max_status"];
	$status = explode("\n",$PF["status"]);
	
	// Calcul des intervalles sur la fonction carr
	$count = count($status) - 1;
	$img_max = sqrt($max);
	if($count == 0) $interval = 0;
	else $interval = $img_max/$count;
		
	$rang[$count]=$img_max;
	for($i=($count-1); $i>0;$i--){
		$rang[$i]=$rang[$i+1]-$interval;	
	}
	$rang[0]=0;
	
	// On cherche le rang en fct de $nb_post
	$sqrt_nb_post = sqrt($nb_post);
	for($i=$count; $i>=0; $i--){
		if($sqrt_nb_post>=$rang[$i]) break;	
	}
	
	// On renvoie la valeur du status
	return $status[$i];
}
?>
